package epsilonStandalone;

import epsilonStandalone.DNIRunner;
import epsilonStandalone.ExperimentModel;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import org.eclipse.epsilon.eol.execute.context.Variable;
import org.eclipse.epsilon.eol.types.EolPrimitiveType;
import org.eclipse.xtext.xbase.lib.CollectionLiterals;
import org.eclipse.xtext.xbase.lib.Functions.Function1;
import org.eclipse.xtext.xbase.lib.InputOutput;
import org.eclipse.xtext.xbase.lib.IntegerRange;
import org.eclipse.xtext.xbase.lib.IterableExtensions;
import org.eclipse.xtext.xbase.lib.Procedures.Procedure2;

@SuppressWarnings("all")
public class DNIRunner_old_2 extends DNIRunner {
  public static void main(final String[] args) {
    final DNIRunner_old_2 a = new DNIRunner_old_2();
    a.reset();
    a.start_experiment1(true);
  }
  
  public String reset() {
    String _xblockexpression = null;
    {
      this.simQpnParser.interestingPlaces = CollectionLiterals.<String>newLinkedList("SW40_i_SW00_rx", "SW40_i_SW00_tx", 
        "SW41_i_SW00_rx", "SW41_i_SW00_tx", 
        "SW41_i_C12_rx", "SW41_i_C12_tx", 
        "SW41_i_C13_rx", "SW41_i_C13_tx", 
        "SW42_i_SW00_rx", "SW42_i_SW00_tx", 
        "SW42_i_C17_rx", "SW42_i_C17_tx", 
        "SW42_i_C36_rx", "SW42_i_C36_tx", 
        "SW43_i_SW00_rx", "SW43_i_SW00_tx", 
        "SW43_i_C37_rx", "SW43_i_C38_tx", 
        "SW43_i_C38_rx", "SW43_i_C38_tx", 
        "SW35_i1_rx", "SW35_i1_tx", "SW35_i2_rx", "SW35_i2_tx", 
        "SW00_i_SW40_rx", "SW00_i_SW40_tx", 
        "SW00_i_SW41_rx", "SW00_i_SW41_tx", 
        "SW00_i_SW42_rx", "SW00_i_SW42_tx", 
        "SW00_i_SW43_rx", "SW00_i_SW43_tx", 
        "SW00_i_SW35_rx", "SW00_i_SW35_tx", 
        "SW00_i_C16_rx", "SW00_i_C16_tx", 
        "SW40_i_C10_rx", "SW40_i_C11_rx", 
        "SW41_i_C12_rx", "SW41_i_C13_rx", 
        "SW42_i_C17_rx", "SW42_i_C36_rx", 
        "SW42_i_C17_tx", "SW42_i_C36_tx", 
        "SW43_i_C37_rx", "SW43_i_C38_rx", 
        "SW35_i2_tx", "SW35_i2_rx", 
        "C13_i1_rx", "C13_i1_tx", 
        "C13a_i_C13_rx", "C13a_i_C13_tx", 
        "C13a_i_C13b_rx", "C13a_i_C13b_tx", 
        "C13b_i_C13_rx", "C13b_i_C13_tx", 
        "C13b_i_C13a_rx", "C13b_i_C13a_tx");
      this.simQpnParser.interestingColors = CollectionLiterals.<String>newLinkedList(
        "Traffic_send");
      this.simQpnParser.interestingMetrics = CollectionLiterals.<String>newLinkedList("arrivThrPut");
      this.dniModels.clear();
      this.qpmeModels.clear();
      this.qpmeFiles.clear();
      this.qpmeSimulationResultFiles.clear();
      this.qpmeSimulationProcessedResults.clear();
      _xblockexpression = this.dni_base_model_file = "models/scenario0A.model";
    }
    return _xblockexpression;
  }
  
  public void start_experiment1(final boolean simulate) {
    String finalResult = "";
    ExperimentModel _experimentModel = new ExperimentModel("Experiment-2", "/home/mk/workspaces/workspace_DNI_neo/DNI3/output/results/2/scenario2.zzz.results.xml");
    LinkedList<ExperimentModel> models = CollectionLiterals.<ExperimentModel>newLinkedList(_experimentModel);
    for (final ExperimentModel m : models) {
      {
        String experimentName = ((ExperimentModel) m).getExperimentName();
        String result = this.parseResult(((ExperimentModel) m).getModelURI(), experimentName);
        String line = ((experimentName + " # ") + result);
        String _finalResult = finalResult;
        finalResult = (_finalResult + line);
        InputOutput.<String>println(line);
        this.qpmeSimulationProcessedResults.add(result);
        this.saveOutput(finalResult, (("/home/mk/workspaces/workspace_DNI_neo/DNI3/output/results/" + experimentName) + ".final"));
        finalResult = "";
      }
    }
    this.cleanup();
  }
  
  public void start_experiment2() {
    this.simQpnParser.interestingPlaces = CollectionLiterals.<String>newLinkedList("rx_of_Receiver");
    this.simQpnParser.interestingColors = CollectionLiterals.<String>newLinkedList("Flow-iperf_to_iperf-destination");
    this.simQpnParser.interestingMetrics = CollectionLiterals.<String>newLinkedList("arrivThrPut");
    this.epsilonTransformationParameters.clear();
    String expNamePrefix = "Experiment2";
    LinkedList<Integer> mtus = CollectionLiterals.<Integer>newLinkedList(Integer.valueOf(1500), Integer.valueOf(1188), Integer.valueOf(888), Integer.valueOf(588), Integer.valueOf(288), Integer.valueOf(128));
    int i = 0;
    for (final Boolean goOverSdnSW : Collections.<Boolean>unmodifiableList(CollectionLiterals.<Boolean>newArrayList(Boolean.valueOf(true)))) {
      for (final Integer swlatency : Collections.<Integer>unmodifiableList(CollectionLiterals.<Integer>newArrayList(Integer.valueOf(10), Integer.valueOf(20), Integer.valueOf(30), Integer.valueOf(40), Integer.valueOf(50)))) {
        for (final Integer mtu : mtus) {
          {
            int _i = i;
            i = (_i + 1);
            Integer param_MTUsize = mtu;
            Integer param_SdnSwSwitchingLatency = swlatency;
            int param_SdnSwSwitchingperfPPS = (10 * 1000);
            boolean param_goOverSdnSW = (goOverSdnSW).booleanValue();
            double param_SdnHwSwitchingLatency = 3.3;
            double param_SdnHwSwitchingperfPPS = 7.57E7;
            double param_SdnHwSwitchingperfBPS = (((101.8 * 1000) * 1000) * 1000);
            String expName = ((((((((((((expNamePrefix + ".mtu.") + param_MTUsize) + ".SWlatency.") + param_SdnSwSwitchingLatency) + ".SWpps.") + Integer.valueOf(param_SdnSwSwitchingperfPPS)) + ".HWlatency.") + Double.valueOf(param_SdnHwSwitchingLatency)) + ".HWpps.") + Double.valueOf(param_SdnHwSwitchingperfPPS)) + ".goOverSwSDN.") + Boolean.valueOf(param_goOverSdnSW));
            List<Variable> list = CollectionLiterals.<Variable>newLinkedList();
            Variable _variable = new Variable("param_goOverSdnSW", Boolean.valueOf(param_goOverSdnSW), EolPrimitiveType.Boolean);
            list.add(_variable);
            Variable _variable_1 = new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer);
            list.add(_variable_1);
            Variable _variable_2 = new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real);
            list.add(_variable_2);
            Variable _variable_3 = new Variable("param_SdnSwSwitchingperfPPS", Integer.valueOf(param_SdnSwSwitchingperfPPS), EolPrimitiveType.Integer);
            list.add(_variable_3);
            Variable _variable_4 = new Variable("param_SdnHwSwitchingLatency", Double.valueOf(param_SdnHwSwitchingLatency), EolPrimitiveType.Real);
            list.add(_variable_4);
            Variable _variable_5 = new Variable("param_SdnHwSwitchingperfPPS", Double.valueOf(param_SdnHwSwitchingperfPPS), EolPrimitiveType.Integer);
            list.add(_variable_5);
            Variable _variable_6 = new Variable("param_SdnHwSwitchingperfBPS", Double.valueOf(param_SdnHwSwitchingperfBPS), EolPrimitiveType.Real);
            list.add(_variable_6);
            this.epsilonTransformationParameters.put(expName, list);
            this.generateDniModel(this.dni_base_model_file, list, i, expName);
          }
        }
      }
    }
    this.checkDniModels();
    this.transformAll();
    this.generateQpeFiles();
    InputOutput.<String>println((("Starting run of " + Integer.valueOf(i)) + " simulations."));
    this.simulateAll();
    InputOutput.<String>println(("pwdURI " + this.pwdURI));
    InputOutput.<String>println(("pwdUnix " + this.pwdUnix));
    String _currentTimeStamp = DNIRunner.getCurrentTimeStamp();
    String _plus = (expNamePrefix + _currentTimeStamp);
    String _plus_1 = (_plus + "_final.txt");
    this.parseAllResults(_plus_1);
    final Procedure2<Object, Integer> _function = (Object pair, Integer placeIndex) -> {
      ExperimentModel p = ((ExperimentModel) pair);
      String _experimentName = p.getExperimentName();
      String _plus_2 = ("EXP " + _experimentName);
      String _plus_3 = (_plus_2 + " FILE ");
      String _modelURI = p.getModelURI();
      String _plus_4 = (_plus_3 + _modelURI);
      InputOutput.<String>println(_plus_4);
    };
    IterableExtensions.<Object>forEach(this.qpmeSimulationResultFiles, _function);
    this.cleanup();
  }
  
  public void start_experiment3_3500() {
    this.simQpnParser.interestingPlaces = CollectionLiterals.<String>newLinkedList("rx_of_Receiver");
    this.simQpnParser.interestingColors = CollectionLiterals.<String>newLinkedList("Flow-iperf_to_iperf-destination");
    this.simQpnParser.interestingMetrics = CollectionLiterals.<String>newLinkedList("arrivThrPut");
    this.epsilonTransformationParameters.clear();
    String expNamePrefix = "Experiment3_3500_";
    final Function1<Integer, Integer> _function = (Integer v) -> {
      return Integer.valueOf(((v).intValue() * 100));
    };
    Iterable<Integer> ppsList = IterableExtensions.<Integer, Integer>map(new IntegerRange(1, 100), _function);
    int i = 0;
    for (final Boolean goOverSdnSW : Collections.<Boolean>unmodifiableList(CollectionLiterals.<Boolean>newArrayList(Boolean.valueOf(true)))) {
      for (final Integer swlatency : Collections.<Integer>unmodifiableList(CollectionLiterals.<Integer>newArrayList(Integer.valueOf(0)))) {
        for (final Integer pps : ppsList) {
          {
            int _i = i;
            i = (_i + 1);
            int param_MTUsize = 1500;
            Integer param_SdnSwSwitchingLatency = swlatency;
            Integer param_SdnSwSwitchingperfPPS = pps;
            boolean param_goOverSdnSW = (goOverSdnSW).booleanValue();
            double param_SdnHwSwitchingLatency = 3.4;
            double param_SdnHwSwitchingperfPPS = 7.57E7;
            double param_SdnHwSwitchingperfBPS = 101.8;
            String expName = ((((((((((((expNamePrefix + ".mtu.") + Integer.valueOf(param_MTUsize)) + ".SWlatency.") + param_SdnSwSwitchingLatency) + ".SWpps.") + param_SdnSwSwitchingperfPPS) + ".HWlatency.") + Double.valueOf(param_SdnHwSwitchingLatency)) + ".HWpps.") + Double.valueOf(param_SdnHwSwitchingperfPPS)) + ".goOverSwSDN.") + Boolean.valueOf(param_goOverSdnSW));
            List<Variable> list = CollectionLiterals.<Variable>newLinkedList();
            Variable _variable = new Variable("param_goOverSdnSW", Boolean.valueOf(param_goOverSdnSW), EolPrimitiveType.Boolean);
            list.add(_variable);
            Variable _variable_1 = new Variable("param_MTUsize", Integer.valueOf(param_MTUsize), EolPrimitiveType.Integer);
            list.add(_variable_1);
            Variable _variable_2 = new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real);
            list.add(_variable_2);
            Variable _variable_3 = new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer);
            list.add(_variable_3);
            Variable _variable_4 = new Variable("param_SdnHwSwitchingLatency", Double.valueOf(param_SdnHwSwitchingLatency), EolPrimitiveType.Real);
            list.add(_variable_4);
            Variable _variable_5 = new Variable("param_SdnHwSwitchingperfPPS", Double.valueOf(param_SdnHwSwitchingperfPPS), EolPrimitiveType.Integer);
            list.add(_variable_5);
            Variable _variable_6 = new Variable("param_SdnHwSwitchingperfBPS", Double.valueOf(param_SdnHwSwitchingperfBPS), EolPrimitiveType.Real);
            list.add(_variable_6);
            this.epsilonTransformationParameters.put(expName, list);
            this.generateDniModel(this.dni_base_model_file, list, i, expName);
          }
        }
      }
    }
    this.checkDniModels();
    this.transformAll();
    this.generateQpeFiles();
    InputOutput.<String>println((("Starting run of " + Integer.valueOf(i)) + " simulations."));
    this.simulateAll();
    InputOutput.<String>println(("pwdURI " + this.pwdURI));
    InputOutput.<String>println(("pwdUnix " + this.pwdUnix));
    String _currentTimeStamp = DNIRunner.getCurrentTimeStamp();
    String _plus = (expNamePrefix + _currentTimeStamp);
    String _plus_1 = (_plus + "_final.txt");
    this.parseAllResults(_plus_1);
    final Procedure2<Object, Integer> _function_1 = (Object pair, Integer placeIndex) -> {
      ExperimentModel p = ((ExperimentModel) pair);
      String _experimentName = p.getExperimentName();
      String _plus_2 = ("EXP " + _experimentName);
      String _plus_3 = (_plus_2 + " FILE ");
      String _modelURI = p.getModelURI();
      String _plus_4 = (_plus_3 + _modelURI);
      InputOutput.<String>println(_plus_4);
    };
    IterableExtensions.<Object>forEach(this.qpmeSimulationResultFiles, _function_1);
    this.cleanup();
  }
  
  public void start_experiment3_2920() {
    this.simQpnParser.interestingPlaces = CollectionLiterals.<String>newLinkedList("rx_of_Receiver");
    this.simQpnParser.interestingColors = CollectionLiterals.<String>newLinkedList("Flow-iperf_to_iperf-destination");
    this.simQpnParser.interestingMetrics = CollectionLiterals.<String>newLinkedList("arrivThrPut");
    this.epsilonTransformationParameters.clear();
    String expNamePrefix = "Experiment3_2920_";
    final Function1<Integer, Integer> _function = (Integer v) -> {
      return Integer.valueOf(((v).intValue() * 100));
    };
    Iterable<Integer> ppsList = IterableExtensions.<Integer, Integer>map(new IntegerRange(1, 20), _function);
    int i = 0;
    for (final Boolean goOverSdnSW : Collections.<Boolean>unmodifiableList(CollectionLiterals.<Boolean>newArrayList(Boolean.valueOf(true)))) {
      for (final Integer swlatency : Collections.<Integer>unmodifiableList(CollectionLiterals.<Integer>newArrayList(Integer.valueOf(200), Integer.valueOf(300)))) {
        for (final Integer pps : ppsList) {
          {
            int _i = i;
            i = (_i + 1);
            int param_MTUsize = 1500;
            Integer param_SdnSwSwitchingLatency = swlatency;
            Integer param_SdnSwSwitchingperfPPS = pps;
            boolean param_goOverSdnSW = (goOverSdnSW).booleanValue();
            double param_SdnHwSwitchingLatency = 3.3;
            double param_SdnHwSwitchingperfPPS = (92.2 * 1000000);
            int param_SdnHwSwitchingperfBPS = 128;
            String expName = ((((((((((((expNamePrefix + ".mtu.") + Integer.valueOf(param_MTUsize)) + ".SWlatency.") + param_SdnSwSwitchingLatency) + ".SWpps.") + param_SdnSwSwitchingperfPPS) + ".HWlatency.") + Double.valueOf(param_SdnHwSwitchingLatency)) + ".HWpps.") + Double.valueOf(param_SdnHwSwitchingperfPPS)) + ".goOverSwSDN.") + Boolean.valueOf(param_goOverSdnSW));
            List<Variable> list = CollectionLiterals.<Variable>newLinkedList();
            Variable _variable = new Variable("param_goOverSdnSW", Boolean.valueOf(param_goOverSdnSW), EolPrimitiveType.Boolean);
            list.add(_variable);
            Variable _variable_1 = new Variable("param_MTUsize", Integer.valueOf(param_MTUsize), EolPrimitiveType.Integer);
            list.add(_variable_1);
            Variable _variable_2 = new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real);
            list.add(_variable_2);
            Variable _variable_3 = new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer);
            list.add(_variable_3);
            Variable _variable_4 = new Variable("param_SdnHwSwitchingLatency", Double.valueOf(param_SdnHwSwitchingLatency), EolPrimitiveType.Real);
            list.add(_variable_4);
            Variable _variable_5 = new Variable("param_SdnHwSwitchingperfPPS", Double.valueOf(param_SdnHwSwitchingperfPPS), EolPrimitiveType.Integer);
            list.add(_variable_5);
            Variable _variable_6 = new Variable("param_SdnHwSwitchingperfBPS", Integer.valueOf(param_SdnHwSwitchingperfBPS), EolPrimitiveType.Real);
            list.add(_variable_6);
            this.epsilonTransformationParameters.put(expName, list);
            this.generateDniModel(this.dni_base_model_file, list, i, expName);
          }
        }
      }
    }
    this.checkDniModels();
    this.transformAll();
    this.generateQpeFiles();
    InputOutput.<String>println((("Starting run of " + Integer.valueOf(i)) + " simulations."));
    this.simulateAll();
    InputOutput.<String>println(("pwdURI " + this.pwdURI));
    InputOutput.<String>println(("pwdUnix " + this.pwdUnix));
    String _currentTimeStamp = DNIRunner.getCurrentTimeStamp();
    String _plus = (expNamePrefix + _currentTimeStamp);
    String _plus_1 = (_plus + "_final.txt");
    this.parseAllResults(_plus_1);
    final Procedure2<Object, Integer> _function_1 = (Object pair, Integer placeIndex) -> {
      ExperimentModel p = ((ExperimentModel) pair);
      String _experimentName = p.getExperimentName();
      String _plus_2 = ("EXP " + _experimentName);
      String _plus_3 = (_plus_2 + " FILE ");
      String _modelURI = p.getModelURI();
      String _plus_4 = (_plus_3 + _modelURI);
      InputOutput.<String>println(_plus_4);
    };
    IterableExtensions.<Object>forEach(this.qpmeSimulationResultFiles, _function_1);
    this.cleanup();
  }
}
