import uuid

file_template = """<?xml version="1.0" encoding="UTF-8"?>
<dnimm3:NetworkInfrastructure xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dnimm3="dnimm3/2016/07/07/1729" xmi:id="_YRLUIOlEEeWVGvgYicTWCQ" dataCenterName="ntwrk_infr">
  <traffic xmi:id="_YRLUIelEEeWVGvgYicTWCQ">
    <software xmi:id="_j29HoFS0EeaPj40YabHd8Q" uid="r_10" name="Requester_C10" deployedOn="_d4soIERbEeafFpwgYSzDXA"/>
    <software xmi:id="_loGLUHd1EeaixYgYIj3kPQ" uid="r_11" name="Requester_C11" deployedOn="_ru0QZlJyEeaaxa87zqCaAg"/>
    <software xmi:id="_ppEGYHd1EeaixYgYIj3kPQ" uid="r_12" name="Requester_C12" deployedOn="_sIhw5lJyEeaaxa87zqCaAg"/>
    <software xmi:id="_ppEGYXd1EeaixYgYIj3kPQ" uid="r_13b" name="Requester_C13b" deployedOn="_uhAQVmMqEeaHvtpwJ9k0ww"/>
    <software xmi:id="_p1Cs4Hd1EeaixYgYIj3kPQ" uid="r_17" name="Requester_C17" deployedOn="_2JQ2BlJyEeaaxa87zqCaAg"/>
    <software xmi:id="_p1Cs4Xd1EeaixYgYIj3kPQ" uid="r_36" name="Requester_C36" deployedOn="_3ZdSllJyEeaaxa87zqCaAg"/>
    <software xmi:id="_p8q-4Hd1EeaixYgYIj3kPQ" uid="s_37" name="Sender_C37" deployedOn="_3jOSllJyEeaaxa87zqCaAg">
    	${C37_TS}
    </software>
    <software xmi:id="_26s7kHd1EeaixYgYIj3kPQ" uid="s_38" name="Sender_C38" deployedOn="_3rAVllJyEeaaxa87zqCaAg">
    	${C38_TS}
    </software>
    ${FLOWS}
  </traffic>
  <structure xmi:id="_YRLUKOlEEeWVGvgYicTWCQ">
    <nodes xmi:id="_I59kYERbEeafFpwgYSzDXA" uid="_7BuA4WMUEeaKB_XSam0fGw" name="C10">
      <interfaces xmi:id="_l4UxIERbEeafFpwgYSzDXA" name="C10_i1" uid="_7BuA4mMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_Celj8ElfEeaTI4FV-m29jw">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_Dd66AElfEeaTI4FV-m29jw" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_EtC_kElfEeaTI4FV-m29jw" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_mxxhoERbEeafFpwgYSzDXA"/>
      <end xmi:id="_d4soIERbEeafFpwgYSzDXA" uid="_7Bun8GMUEeaKB_XSam0fGw" software="_j29HoFS0EeaPj40YabHd8Q"/>
    </nodes>
    <nodes xmi:id="_ru0QYFJyEeaaxa87zqCaAg" uid="_7Bun8WMUEeaKB_XSam0fGw" name="C11">
      <interfaces xmi:id="_ru0QYVJyEeaaxa87zqCaAg" name="C11_i1" uid="_7Bun8mMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_ru0QYlJyEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_ru0QY1JyEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_ru0QZFJyEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_ru0QZVJyEeaaxa87zqCaAg"/>
      <end xmi:id="_ru0QZlJyEeaaxa87zqCaAg" uid="_7BvPAGMUEeaKB_XSam0fGw" software="_loGLUHd1EeaixYgYIj3kPQ"/>
    </nodes>
    <nodes xmi:id="_sIhw4FJyEeaaxa87zqCaAg" uid="_7B8qYGMUEeaKB_XSam0fGw" name="C12">
      <interfaces xmi:id="_sIhw4VJyEeaaxa87zqCaAg" name="C12_i1" uid="_7B8qYWMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_sIhw4lJyEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_sIhw41JyEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_sIhw5FJyEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_sIhw5VJyEeaaxa87zqCaAg"/>
      <end xmi:id="_sIhw5lJyEeaaxa87zqCaAg" uid="_7B9RcGMUEeaKB_XSam0fGw" software="_ppEGYHd1EeaixYgYIj3kPQ"/>
    </nodes>
    <nodes xmi:id="_sTIeYFJyEeaaxa87zqCaAg" uid="_7B9RcWMUEeaKB_XSam0fGw" name="C13" hosts="_uhAQUGMqEeaHvtpwJ9k0ww">
      <interfaces xmi:id="_sTIeYVJyEeaaxa87zqCaAg" name="C13_i1" uid="_7B9RcmMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_sTIeYlJyEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_sTIeY1JyEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_sTIeZFJyEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_5wKiQHd0EeaixYgYIj3kPQ" name="C13_i_C13b" uid="_asjdhbva9faeefnaksdjfla" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_-FQ6QHd0EeaixYgYIj3kPQ">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_-FQ6QXd0EeaixYgYIj3kPQ" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_-FQ6Qnd0EeaixYgYIj3kPQ" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_sTIeZVJyEeaaxa87zqCaAg"/>
      <end xmi:id="_sTIeZlJyEeaaxa87zqCaAg" uid="_7B9Rc2MUEeaKB_XSam0fGw"/>
    </nodes>
    <nodes xmi:id="_uhAQUGMqEeaHvtpwJ9k0ww" uid="iahsildfg0i9q3ß8tnasjfgnv" name="C13b" isPhysical="false" isHostedOn="_sTIeYFJyEeaaxa87zqCaAg">
      <interfaces xmi:id="_uhAQUWMqEeaHvtpwJ9k0ww" name="C13b_i_C13" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_uhAQUmMqEeaHvtpwJ9k0ww">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_uhAQU2MqEeaHvtpwJ9k0ww" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_uhAQVGMqEeaHvtpwJ9k0ww" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_uhAQVWMqEeaHvtpwJ9k0ww"/>
      <end xmi:id="_uhAQVmMqEeaHvtpwJ9k0ww" software="_ppEGYXd1EeaixYgYIj3kPQ"/>
    </nodes>
    <nodes xmi:id="_2JQ2AFJyEeaaxa87zqCaAg" uid="_7B94gGMUEeaKB_XSam0fGw" name="C17">
      <interfaces xmi:id="_2JQ2AVJyEeaaxa87zqCaAg" name="C17_i1" uid="_7B94gWMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_2JQ2AlJyEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_2JQ2A1JyEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_2JQ2BFJyEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_2JQ2BVJyEeaaxa87zqCaAg"/>
      <end xmi:id="_2JQ2BlJyEeaaxa87zqCaAg" uid="_7B94gmMUEeaKB_XSam0fGw" software="_p1Cs4Hd1EeaixYgYIj3kPQ"/>
    </nodes>
    <nodes xmi:id="_3ZdSkFJyEeaaxa87zqCaAg" uid="_7B_GoGMUEeaKB_XSam0fGw" name="C36">
      <interfaces xmi:id="_3ZdSkVJyEeaaxa87zqCaAg" name="C36_i1" uid="_7B_GoWMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_3ZdSklJyEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_3ZdSk1JyEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_3ZdSlFJyEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_3ZdSlVJyEeaaxa87zqCaAg"/>
      <end xmi:id="_3ZdSllJyEeaaxa87zqCaAg" uid="_7B_tsGMUEeaKB_XSam0fGw" software="_p1Cs4Xd1EeaixYgYIj3kPQ"/>
    </nodes>
    <nodes xmi:id="_3jOSkFJyEeaaxa87zqCaAg" uid="_7B_tsWMUEeaKB_XSam0fGw" name="C37">
      <interfaces xmi:id="_3jOSkVJyEeaaxa87zqCaAg" name="C37_i1" uid="_7B_tsmMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_3jOSklJyEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_3jOSk1JyEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_3jOSlFJyEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_3jOSlVJyEeaaxa87zqCaAg"/>
      <end xmi:id="_3jOSllJyEeaaxa87zqCaAg" uid="_7CAUwGMUEeaKB_XSam0fGw" software="_p8q-4Hd1EeaixYgYIj3kPQ"/>
    </nodes>
    <nodes xmi:id="_3rAVkFJyEeaaxa87zqCaAg" uid="_7CAUwWMUEeaKB_XSam0fGw" name="C38">
      <interfaces xmi:id="_3rAVkVJyEeaaxa87zqCaAg" name="C38_i1" uid="_7CAUwmMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_3rAVklJyEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_3rAVk1JyEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_3rAVlFJyEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_3rAVlVJyEeaaxa87zqCaAg"/>
      <end xmi:id="_3rAVllJyEeaaxa87zqCaAg" uid="_7CA70GMUEeaKB_XSam0fGw" software="_26s7kHd1EeaixYgYIj3kPQ"/>
    </nodes>
    <nodes xmi:id="_81U4YERbEeafFpwgYSzDXA" uid="_7CBi4GMUEeaKB_XSam0fGw" name="SW40">
      <interfaces xmi:id="_tuhB0FJzEeaaxa87zqCaAg" name="SW40_i_C11" uid="_7CBi4WMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_tuhB0VJzEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_tuhB0lJzEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_tuhB01JzEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_81U4YURbEeafFpwgYSzDXA" name="SW40_i_C10" uid="_7CBi4mMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_KE_7sElfEeaTI4FV-m29jw">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_KE_7sUlfEeaTI4FV-m29jw" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_KE_7sklfEeaTI4FV-m29jw" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="__7h0UERbEeafFpwgYSzDXA" name="SW40_i_SW00" uid="_7CCJ8GMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_-8IAEE4PEeaBkM5VNV3dKg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_-8IAEU4PEeaBkM5VNV3dKg" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_-8IAEk4PEeaBkM5VNV3dKg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_81U4YkRbEeafFpwgYSzDXA"/>
      <intermediate xmi:id="_-CrC0E3_EeaBkM5VNV3dKg" uid="_7CCJ8WMUEeaKB_XSam0fGw">
        <performance xmi:id="_-YStgE3_EeaBkM5VNV3dKg">
          <forwardingLatency xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_sh6k0GFmEea1es0BNrNkVA" value="5.0">
            <unit xsi:type="dnimm3:TimeUnit" xmi:id="_tptTUGFmEea1es0BNrNkVA" unit="us"/>
          </forwardingLatency>
          <forwardingBandwidthBPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_oTGGEE4BEeaBkM5VNV3dKg" value="128.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_qJK24E4BEeaBkM5VNV3dKg" unit="bitsPerSec" prefix="G"/>
          </forwardingBandwidthBPS>
          <switchingCapacityPPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_J8kB8E4AEeaBkM5VNV3dKg" value="96.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_Lq7BME4AEeaBkM5VNV3dKg" unit="packetsPerSec" prefix="M"/>
          </switchingCapacityPPS>
        </performance>
      </intermediate>
    </nodes>
    <nodes xmi:id="_YnKNkFJzEeaaxa87zqCaAg" uid="_7CMiAGMUEeaKB_XSam0fGw" name="SW41">
      <interfaces xmi:id="_YnKNkVJzEeaaxa87zqCaAg" name="SW41_i_C12" uid="_7CRagGMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_YnKNklJzEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_YnKNk1JzEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_YnKNlFJzEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_YnKNlVJzEeaaxa87zqCaAg" name="SW41_i_C13" uid="_7CSBkGMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_YnKNllJzEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_YnKNl1JzEeaaxa87zqCaAg" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_YnKNmFJzEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_GEtUIFJ1Eeaaxa87zqCaAg" name="SW41_i_SW00" uid="_7CSooGMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_GEtUIVJ1Eeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_GEtUIlJ1Eeaaxa87zqCaAg" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_GEtUI1J1Eeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_HBt34Hd1EeaixYgYIj3kPQ"/>
      <intermediate xmi:id="_YnKNmlJzEeaaxa87zqCaAg" uid="_7CTPsGMUEeaKB_XSam0fGw">
        <performance xmi:id="_rsBSGnd0EeaixYgYIj3kPQ">
          <forwardingLatency xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsBSG3d0EeaixYgYIj3kPQ" value="5.0">
            <unit xsi:type="dnimm3:TimeUnit" xmi:id="_rsBSHHd0EeaixYgYIj3kPQ" unit="us"/>
          </forwardingLatency>
          <forwardingBandwidthBPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsBSHXd0EeaixYgYIj3kPQ" value="128.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_rsBSHnd0EeaixYgYIj3kPQ" unit="bitsPerSec" prefix="G"/>
          </forwardingBandwidthBPS>
          <switchingCapacityPPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsBSH3d0EeaixYgYIj3kPQ" value="96.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_rsBSIHd0EeaixYgYIj3kPQ" unit="packetsPerSec" prefix="M"/>
          </switchingCapacityPPS>
        </performance>
      </intermediate>
    </nodes>
    <nodes xmi:id="_Y6dkEFJzEeaaxa87zqCaAg" uid="_7CTPsWMUEeaKB_XSam0fGw" name="SW42">
      <interfaces xmi:id="_Y6dkEVJzEeaaxa87zqCaAg" name="SW42_i_C17" uid="_7CT2wGMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_Y6dkElJzEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_Y6dkE1JzEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_Y6dkFFJzEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_Y6dkFVJzEeaaxa87zqCaAg" name="SW42_i_C36" uid="_7CUd0GMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_Y6dkFlJzEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_Y6dkF1JzEeaaxa87zqCaAg" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_Y6dkGFJzEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_Hj2LoFJ1Eeaaxa87zqCaAg" name="SW42_i_SW00" uid="_7CUd0WMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_Hj2LoVJ1Eeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_Hj2LolJ1Eeaaxa87zqCaAg" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_Hj2Lo1J1Eeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_Y6dkGVJzEeaaxa87zqCaAg"/>
      <intermediate xmi:id="_Y6dkGlJzEeaaxa87zqCaAg" uid="_7CUd0mMUEeaKB_XSam0fGw">
        <performance xmi:id="_rsB5IHd0EeaixYgYIj3kPQ">
          <forwardingLatency xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsB5IXd0EeaixYgYIj3kPQ" value="5.0">
            <unit xsi:type="dnimm3:TimeUnit" xmi:id="_rsB5Ind0EeaixYgYIj3kPQ" unit="us"/>
          </forwardingLatency>
          <forwardingBandwidthBPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsB5I3d0EeaixYgYIj3kPQ" value="128.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_rsB5JHd0EeaixYgYIj3kPQ" unit="bitsPerSec" prefix="G"/>
          </forwardingBandwidthBPS>
          <switchingCapacityPPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsB5JXd0EeaixYgYIj3kPQ" value="96.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_rsB5Jnd0EeaixYgYIj3kPQ" unit="packetsPerSec" prefix="M"/>
          </switchingCapacityPPS>
        </performance>
      </intermediate>
    </nodes>
    <nodes xmi:id="_ZByUEFJzEeaaxa87zqCaAg" uid="_7CUd02MUEeaKB_XSam0fGw" name="SW43">
      <interfaces xmi:id="_ZByUEVJzEeaaxa87zqCaAg" name="SW43_i_C37" uid="_7CVE4GMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_ZByUElJzEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_ZByUE1JzEeaaxa87zqCaAg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_ZByUFFJzEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_ZByUFVJzEeaaxa87zqCaAg" description="" name="SW43_i_C38" uid="_7CVE4WMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_ZByUFlJzEeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_ZByUF1JzEeaaxa87zqCaAg" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_ZByUGFJzEeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_Hz3koFJ1Eeaaxa87zqCaAg" name="SW43_i_SW00" uid="_7CVE4mMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_Hz3koVJ1Eeaaxa87zqCaAg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_Hz3kolJ1Eeaaxa87zqCaAg" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_Hz3ko1J1Eeaaxa87zqCaAg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_ZByUGVJzEeaaxa87zqCaAg"/>
      <intermediate xmi:id="_ZByUGlJzEeaaxa87zqCaAg" uid="_7CVE42MUEeaKB_XSam0fGw">
        <performance xmi:id="_rsCgMHd0EeaixYgYIj3kPQ">
          <forwardingLatency xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsCgMXd0EeaixYgYIj3kPQ" value="5.0">
            <unit xsi:type="dnimm3:TimeUnit" xmi:id="_rsCgMnd0EeaixYgYIj3kPQ" unit="us"/>
          </forwardingLatency>
          <forwardingBandwidthBPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsCgM3d0EeaixYgYIj3kPQ" value="128.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_rsCgNHd0EeaixYgYIj3kPQ" unit="bitsPerSec" prefix="G"/>
          </forwardingBandwidthBPS>
          <switchingCapacityPPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_rsCgNXd0EeaixYgYIj3kPQ" value="96.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_rsCgNnd0EeaixYgYIj3kPQ" unit="packetsPerSec" prefix="M"/>
          </switchingCapacityPPS>
        </performance>
      </intermediate>
    </nodes>
    <nodes xmi:id="_C-3pgERcEeafFpwgYSzDXA" uid="_7CVr8GMUEeaKB_XSam0fGw" name="SW00">
      <interfaces xmi:id="_C-3pgkRcEeafFpwgYSzDXA" name="SW00_i_C16" uid="_7CVr8WMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_vczLUE4PEeaBkM5VNV3dKg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_vczLUU4PEeaBkM5VNV3dKg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_vczLUk4PEeaBkM5VNV3dKg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_GcqJkERdEeafFpwgYSzDXA" name="SW00_i_SW35" uid="_7CVr8mMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_2sTe8E4PEeaBkM5VNV3dKg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_2sTe8U4PEeaBkM5VNV3dKg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_2sTe8k4PEeaBkM5VNV3dKg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_5ltO0F9DEea0NYck6FJgDA" name="SW00_i_SW40" uid="_7CVr82MUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_5ltO0V9DEea0NYck6FJgDA">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_5ltO0l9DEea0NYck6FJgDA" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_5ltO019DEea0NYck6FJgDA" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_5ltO1F9DEea0NYck6FJgDA" name="SW00_i_SW41" uid="_7CVr9GMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_5ltO1V9DEea0NYck6FJgDA">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_5ltO1l9DEea0NYck6FJgDA" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_5ltO119DEea0NYck6FJgDA" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_5ltO2F9DEea0NYck6FJgDA" name="SW00_i_SW42" uid="_7CWTAGMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_5ltO2V9DEea0NYck6FJgDA">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_5ltO2l9DEea0NYck6FJgDA" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_5ltO219DEea0NYck6FJgDA" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <interfaces xmi:id="_5ltO3F9DEea0NYck6FJgDA" name="SW00_i_SW43" uid="_7CWTAWMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_5ltO3V9DEea0NYck6FJgDA">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_5ltO3l9DEea0NYck6FJgDA" value="10">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_5ltO319DEea0NYck6FJgDA" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_C-3pg0RcEeafFpwgYSzDXA"/>
      <intermediate xmi:id="_RnyZgE4GEeaBkM5VNV3dKg" uid="_7CWTAmMUEeaKB_XSam0fGw">
        <performance xmi:id="_RnyZgU4GEeaBkM5VNV3dKg">
          <forwardingLatency xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_5ghwUGFmEea1es0BNrNkVA" value="1.5">
            <unit xsi:type="dnimm3:TimeUnit" xmi:id="_5ghwUWFmEea1es0BNrNkVA" unit="us"/>
          </forwardingLatency>
          <forwardingBandwidthBPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_RnyZhE4GEeaBkM5VNV3dKg" value="960.0">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_RnyZhU4GEeaBkM5VNV3dKg" unit="bitsPerSec" prefix="G"/>
          </forwardingBandwidthBPS>
          <switchingCapacityPPS xsi:type="dnimm3:ConstantDoubleVariable" xmi:id="_RnyZhk4GEeaBkM5VNV3dKg" value="714.2">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_RnyZh04GEeaBkM5VNV3dKg" unit="packetsPerSec" prefix="M"/>
          </switchingCapacityPPS>
        </performance>
      </intermediate>
    </nodes>
    <nodes xmi:id="_SSrKwERcEeafFpwgYSzDXA" uid="_7ChSI2MUEeaKB_XSam0fGw" name="C16">
      <interfaces xmi:id="_SSrKwURcEeafFpwgYSzDXA" name="C16_i1" uid="_7Ch5MGMUEeaKB_XSam0fGw" usedProtocolStack="_YRLUTulEEeWVGvgYicTWCQ">
        <performance xmi:id="_skMmgE4PEeaBkM5VNV3dKg">
          <interfaceThroughput xsi:type="dnimm3:ConstantLongVariable" xmi:id="_skMmgU4PEeaBkM5VNV3dKg" value="1">
            <unit xsi:type="dnimm3:SpeedUnit" xmi:id="_skMmgk4PEeaBkM5VNV3dKg" unit="bitsPerSec" prefix="G"/>
          </interfaceThroughput>
        </performance>
      </interfaces>
      <sdntype xsi:type="dnimm3:Common" xmi:id="_WUeMQERcEeafFpwgYSzDXA"/>
      <end xmi:id="_SSrKw0RcEeafFpwgYSzDXA" uid="_7Ch5MWMUEeaKB_XSam0fGw"/>
    </nodes>
    <links xmi:id="_ZRjocERcEeafFpwgYSzDXA" uid="_7Ck8gGMUEeaKB_XSam0fGw" name="C10-SW40" connects="_l4UxIERbEeafFpwgYSzDXA _81U4YURbEeafFpwgYSzDXA"/>
    <links xmi:id="_hHkvcFJzEeaaxa87zqCaAg" uid="_7Ck8gWMUEeaKB_XSam0fGw" name="C11-SW40" connects="_ru0QYVJyEeaaxa87zqCaAg _tuhB0FJzEeaaxa87zqCaAg"/>
    <links xmi:id="_OhXM0FJ0Eeaaxa87zqCaAg" uid="_7Ck8gmMUEeaKB_XSam0fGw" name="C12-SW41" connects="_sIhw4VJyEeaaxa87zqCaAg _YnKNkVJzEeaaxa87zqCaAg"/>
    <links xmi:id="_OmoHUFJ0Eeaaxa87zqCaAg" uid="_7CljkGMUEeaKB_XSam0fGw" name="C13-SW41" connects="_sTIeYVJyEeaaxa87zqCaAg _YnKNlVJzEeaaxa87zqCaAg"/>
    <links xmi:id="_OskXQFJ0Eeaaxa87zqCaAg" uid="_7CljkWMUEeaKB_XSam0fGw" name="C17-SW42" connects="_2JQ2AVJyEeaaxa87zqCaAg _Y6dkEVJzEeaaxa87zqCaAg"/>
    <links xmi:id="_OyTL0FJ0Eeaaxa87zqCaAg" uid="_7CljkmMUEeaKB_XSam0fGw" name="C36-SW42" connects="_3ZdSkVJyEeaaxa87zqCaAg _Y6dkFVJzEeaaxa87zqCaAg"/>
    <links xmi:id="_O33oUFJ0Eeaaxa87zqCaAg" uid="_7Cljk2MUEeaKB_XSam0fGw" name="C37-SW43" connects="_3jOSkVJyEeaaxa87zqCaAg _ZByUEVJzEeaaxa87zqCaAg"/>
    <links xmi:id="_O9XMUFJ0Eeaaxa87zqCaAg" uid="_7CmKoGMUEeaKB_XSam0fGw" name="C38-SW43" connects="_3rAVkVJyEeaaxa87zqCaAg _ZByUFVJzEeaaxa87zqCaAg"/>
    <links xmi:id="_hO5ScERcEeafFpwgYSzDXA" uid="_7CmKoWMUEeaKB_XSam0fGw" name="SW40-SW00" connects="__7h0UERbEeafFpwgYSzDXA _5ltO0F9DEea0NYck6FJgDA"/>
    <links xmi:id="_iJHfAERcEeafFpwgYSzDXA" uid="_7CmKomMUEeaKB_XSam0fGw" name="SW00-C16" connects="_C-3pgkRcEeafFpwgYSzDXA _SSrKwURcEeafFpwgYSzDXA"/>
    <links xmi:id="_L2cCMFJ1Eeaaxa87zqCaAg" uid="_7CmxsWMUEeaKB_XSam0fGw" name="SW41-SW00" connects="_GEtUIFJ1Eeaaxa87zqCaAg _5ltO1F9DEea0NYck6FJgDA"/>
    <links xmi:id="_MPnXMFJ1Eeaaxa87zqCaAg" uid="_7CutgGMUEeaKB_XSam0fGw" description="" name="SW42-SW00" connects="_Hj2LoFJ1Eeaaxa87zqCaAg _5ltO2F9DEea0NYck6FJgDA"/>
    <links xmi:id="_MX2tMFJ1Eeaaxa87zqCaAg" uid="_7CzmAGMUEeaKB_XSam0fGw" description="" name="SW43-SW00" connects="_Hz3koFJ1Eeaaxa87zqCaAg _5ltO3F9DEea0NYck6FJgDA"/>
    <links xmi:id="_0XOHoHd0EeaixYgYIj3kPQ" uid="2178345" name="C13b-C13" connects="_uhAQUWMqEeaHvtpwJ9k0ww _5wKiQHd0EeaixYgYIj3kPQ"/>
  </structure>
  <configuration xmi:id="_YRLUTOlEEeWVGvgYicTWCQ">
    <protocolsAndStacks xmi:id="_YRLUTelEEeWVGvgYicTWCQ">
      <stacks xmi:id="_YRLUTulEEeWVGvgYicTWCQ" uid="_7CzmAWMUEeaKB_XSam0fGw" description="" name="Stack TCP/IP/Eth">
        <layers xmi:id="_YRLUT-lEEeWVGvgYicTWCQ" uid="_7CzmAmMUEeaKB_XSam0fGw" name="Layer TCP" protocol="_YRLUU-lEEeWVGvgYicTWCQ" isCarriedBy="_YRLUUOlEEeWVGvgYicTWCQ"/>
        <layers xmi:id="_YRLUUOlEEeWVGvgYicTWCQ" uid="_7CzmA2MUEeaKB_XSam0fGw" name="Layer IP" protocol="_YRLUUulEEeWVGvgYicTWCQ" isCarriedBy="_YRLUUelEEeWVGvgYicTWCQ" carries="_YRLUT-lEEeWVGvgYicTWCQ"/>
        <layers xmi:id="_YRLUUelEEeWVGvgYicTWCQ" uid="_7CzmBGMUEeaKB_XSam0fGw" name="Ethernet" protocol="_YRLUVOlEEeWVGvgYicTWCQ" carries="_YRLUUOlEEeWVGvgYicTWCQ"/>
      </stacks>
      <protocols xmi:id="_YRLUUulEEeWVGvgYicTWCQ" uid="_7C0NEGMUEeaKB_XSam0fGw" name="IP"/>
      <protocols xmi:id="_YRLUU-lEEeWVGvgYicTWCQ" uid="_7C0NEWMUEeaKB_XSam0fGw" name="TCP"/>
      <protocols xmi:id="_YRLUVOlEEeWVGvgYicTWCQ" uid="_7C0NEmMUEeaKB_XSam0fGw" name="Eth"/>
    </protocolsAndStacks>
    <routes xmi:id="_YRLUVelEEeWVGvgYicTWCQ">
    	${DIRS}
    </routes>
  </configuration>
</dnimm3:NetworkInfrastructure>
"""

def buildFlowString(id, name, src, dest):
	flow_template = """
	<flows uid="$ID" name="$NAME" sourceSoftware="$SRC" destinationSoftware="$DEST">
  		<generatedTraffic xsi:type="dnimm3:GenericFlowTraffic" xmi:id="flow_traffic_$ID">
    		<dataSize xsi:type="dnimm3:ConstantDoubleVariable" value="50.0">
  				<unit xsi:type="dnimm3:DataUnit" prefix="M"/>
    		</dataSize>
  		</generatedTraffic>
	</flows>"""
	return flow_template.replace('$ID', id).replace('$NAME', name).replace('$SRC', src).replace('$DEST', dest)

def buildTrafficSourceString(flow_id, wait_time):
	ts_template = """
	 <trafficSources name="ts_send">
        <workload xsi:type="dnimm3:GenericWorkload">
          <actions xsi:type="dnimm3:StartAction"/>
          <actions xsi:type="dnimm3:WaitAction">
            <waitTime xsi:type="dnimm3:ConstantDoubleVariable" value="${WAIT_TIME}">
            	<unit xsi:type="dnimm3:TimeUnit"/>
            </waitTime>
          </actions>
          <actions xsi:type="dnimm3:TransmitAction" flowTraffic="flow_traffic_${FLOW_ID}"/>
          <actions xsi:type="dnimm3:StopAction"/>
        </workload>
      </trafficSources>"""
	return ts_template.replace("${FLOW_ID}", flow_id).replace("${WAIT_TIME}", wait_time)

def buildDirection(name, onNode, flow, via):
	direction_template = """
	<directions  xmi:id="${ID}" description="" name="${NAME}" onNode="${ON_NODE}" flow="${FLOW}" via="${VIA}"/>
	"""
	return direction_template.replace("${NAME}", name).replace("${ON_NODE}", onNode).replace("${FLOW}", flow).replace("${VIA}", via).replace("${ID}", str(uuid.uuid4()))


def addFileContents(filename, current_file):
	src = filename
	fname = src+'.txt'
	dest2arrival = list()
	node2id = {'C10' : '_7BuA4WMUEeaKB_XSam0fGw',
			   'C11' : '_7Bun8WMUEeaKB_XSam0fGw',
			   'C12' : '_7B8qYGMUEeaKB_XSam0fGw',
			   'C13' : '_7B9RcWMUEeaKB_XSam0fGw',
			   'C13b': 'iahsildfg0i9q3ß8tnasjfgnv',
			   'C17' : '_7B94gGMUEeaKB_XSam0fGw',
			   'C36' : '_7B_GoGMUEeaKB_XSam0fGw',
			   'C37' : '_7B_tsWMUEeaKB_XSam0fGw',
			   'C38' : '_7CAUwWMUEeaKB_XSam0fGw',
			   'SW43' : '_7CUd02MUEeaKB_XSam0fGw',
			   'SW42' : '_7CTPsWMUEeaKB_XSam0fGw',
			   'SW41' : '_7CMiAGMUEeaKB_XSam0fGw',
			   'SW40' : '_7CBi4GMUEeaKB_XSam0fGw',
			   'SW00' : '_7CVr8GMUEeaKB_XSam0fGw'
			   }

	iface2id = {'C37_i1' : '_7B_tsmMUEeaKB_XSam0fGw',
    		    'C38_i1' : '_7CAUwmMUEeaKB_XSam0fGw',
    			'SW43_i_SW00' : '_7CVE4mMUEeaKB_XSam0fGw',
    			'SW00_i_SW40' : '_7CVr82MUEeaKB_XSam0fGw',
    			'SW00_i_SW41' : '_7CVr9GMUEeaKB_XSam0fGw',
    			'SW00_i_SW42' : '_7CWTAGMUEeaKB_XSam0fGw',
    			'SW40_i_C10' : '_7CBi4mMUEeaKB_XSam0fGw',
    			'SW40_i_C11' : '_7CBi4WMUEeaKB_XSam0fGw',
    			'SW41_i_C12' : '_7CRagGMUEeaKB_XSam0fGw',
    			'SW41_i_C13' : '_7CSBkGMUEeaKB_XSam0fGw',
    			'SW42_i_C17' : '_7CT2wGMUEeaKB_XSam0fGw',
    			'SW42_i_C36' : '_7CUd0GMUEeaKB_XSam0fGw',
    			'C13_i_C13b' : '_asjdhbva9faeefnaksdjfla'}

	node2CA = {'C10' : 'Requester_C10',
				'C11' : 'Requester_C11',
				'C12' : 'Requester_C12',
				'C13b' : 'Requester_C13b',
				'C17' : 'Requester_C17',
				'C36' : 'Requester_C36',
				'C37' : 'Sender_C37',
				'C38' : 'Sender_C38'}

	ca2ID = {'Requester_C10' : "r_10",
				'Requester_C11' : "r_11",
				'Requester_C12' : "r_12",
				'Requester_C13' : "r_13",
				'Requester_C13b' : "r_13b",
				'Requester_C17' : "r_17",
				'Requester_C36' : "r_36",
				"Sender_C37" : "s_37",
				"Sender_C38" : "s_38"}

	flow2routenodes = {('C37', 'C10') : ['C37', 'SW43', 'SW00', 'SW40'],
					   ('C37', 'C11') : ['C37', 'SW43', 'SW00', 'SW40'],
					   ('C37', 'C12') : ['C37', 'SW43', 'SW00', 'SW41'],
					   ('C37', 'C13b') : ['C37', 'SW43', 'SW00', 'SW41', 'C13'],
					   ('C37', 'C17') : ['C37', 'SW43', 'SW00', 'SW42'],
					   ('C37', 'C36') : ['C37', 'SW43', 'SW00', 'SW42'],
					   ('C38', 'C10') : ['C38', 'SW43', 'SW00', 'SW40'],
					   ('C38', 'C11') : ['C38', 'SW43', 'SW00', 'SW40'],
					   ('C38', 'C12') : ['C38', 'SW43', 'SW00', 'SW41'],
					   ('C38', 'C13b') : ['C38', 'SW43', 'SW00', 'SW41', 'C13'],
					   ('C38', 'C17') : ['C38', 'SW43', 'SW00', 'SW42'],
					   ('C38', 'C36') : ['C38', 'SW43', 'SW00', 'SW42']}

	flow2routeifaces = {('C37', 'C10') : ['C37_i1', 'SW43_i_SW00', 'SW00_i_SW40', 'SW40_i_C10'],
					   ('C37', 'C11') : ['C37_i1', 'SW43_i_SW00', 'SW00_i_SW40', 'SW40_i_C11'],
					   ('C37', 'C12') : ['C37_i1', 'SW43_i_SW00', 'SW00_i_SW41', 'SW41_i_C12'],
					   ('C37', 'C13b') : ['C37_i1', 'SW43_i_SW00', 'SW00_i_SW41', 'SW41_i_C13', 'C13_i_C13b'],
					   ('C37', 'C17') : ['C37_i1', 'SW43_i_SW00', 'SW00_i_SW42', 'SW42_i_C17'],
					   ('C37', 'C36') : ['C37_i1', 'SW43_i_SW00', 'SW00_i_SW42', 'SW42_i_C36'],
					   ('C38', 'C10') : ['C38_i1', 'SW43_i_SW00', 'SW00_i_SW40', 'SW40_i_C10'],
					   ('C38', 'C11') : ['C38_i1', 'SW43_i_SW00', 'SW00_i_SW40', 'SW40_i_C11'],
					   ('C38', 'C12') : ['C38_i1', 'SW43_i_SW00', 'SW00_i_SW41', 'SW41_i_C12'],
					   ('C38', 'C13b') : ['C38_i1', 'SW43_i_SW00', 'SW00_i_SW41', 'SW41_i_C13', 'C13_i_C13b'],
					   ('C38', 'C17') : ['C38_i1', 'SW43_i_SW00', 'SW00_i_SW42', 'SW42_i_C17'],
					   ('C38', 'C36') : ['C38_i1', 'SW43_i_SW00', 'SW00_i_SW42', 'SW42_i_C36']}

	with open(fname) as f:
		content = f.readlines()
		# Filter comments
		content = filter(lambda c: not c.startswith('#'), content)
		for c in content:
			vals = c.split(" ")		
			

			arrival = vals[3]
			dest = vals[5]
			if dest == "C13":
				dest = "C13b" # mistake in results from Nikolai
			dest2arrival.append((dest, arrival))

			src_ca = ca2ID[node2CA[src]]
			dest_ca = ca2ID[node2CA[dest]]

			# Build strings for flow			
			flow_id_ = str(uuid.uuid4())
			flow_string = buildFlowString(flow_id_, src+"-to-"+dest, src_ca, dest_ca)
			current_file = addReplacement(current_file, "${FLOWS}", flow_string)

			# Build traffic source for flow
			ts = buildTrafficSourceString(flow_id_, arrival)
			current_file = addReplacement(current_file, "${"+filename+"_TS}", ts)

			# Build directions
			routenodes = flow2routenodes[(src, dest)]
			routeifaces = flow2routeifaces[(src, dest)]

			for i in range(0, len(routenodes)):
				node = node2id[routenodes[i]]
				iface = iface2id[routeifaces[i]]
				direction = buildDirection('dir', node, flow_id_, iface)
				current_file = addReplacement(current_file, "${DIRS}", direction)

	return current_file

def addReplacement(string, tok, repl):
	return string.replace(tok, repl+tok)

def cleanFileContent(content):
	return content.replace("${FLOWS}", "").replace("${C37_TS}", "").replace("${C38_TS}", "").replace("${DIRS}", "")

input_files = ['C37', 'C38']
file_content = file_template
for f in input_files:
	file_content = addFileContents(f, file_content)

file_content = cleanFileContent(file_content)

out_path = '/home/mk/workspaces/workspace_DNI_neo/DNI3/DNIinstances/5/output.model'
f = open(out_path, 'w')
f.write(file_content)