/**
 */
package OMNET.util;

import OMNET.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see OMNET.OMNETPackage
 * @generated
 */
public class OMNETAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static OMNETPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OMNETAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = OMNETPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OMNETSwitch<Adapter> modelSwitch =
		new OMNETSwitch<Adapter>() {
			@Override
			public Adapter caseRoutingXmlRoute(RoutingXmlRoute object) {
				return createRoutingXmlRouteAdapter();
			}
			@Override
			public Adapter caseRoutingXmlInterface(RoutingXmlInterface object) {
				return createRoutingXmlInterfaceAdapter();
			}
			@Override
			public Adapter caseRoutingXmlMulticast(RoutingXmlMulticast object) {
				return createRoutingXmlMulticastAdapter();
			}
			@Override
			public Adapter caseRoutingXmlFile(RoutingXmlFile object) {
				return createRoutingXmlFileAdapter();
			}
			@Override
			public Adapter caseOmnetppIniGroup(OmnetppIniGroup object) {
				return createOmnetppIniGroupAdapter();
			}
			@Override
			public Adapter caseOmnetppIniLine(OmnetppIniLine object) {
				return createOmnetppIniLineAdapter();
			}
			@Override
			public Adapter caseOmnetppIniFile(OmnetppIniFile object) {
				return createOmnetppIniFileAdapter();
			}
			@Override
			public Adapter caseNedFile(NedFile object) {
				return createNedFileAdapter();
			}
			@Override
			public Adapter caseFileHeader(FileHeader object) {
				return createFileHeaderAdapter();
			}
			@Override
			public Adapter caseLocalType(LocalType object) {
				return createLocalTypeAdapter();
			}
			@Override
			public Adapter caseInterfaceType(InterfaceType object) {
				return createInterfaceTypeAdapter();
			}
			@Override
			public Adapter caseModuleType(ModuleType object) {
				return createModuleTypeAdapter();
			}
			@Override
			public Adapter caseChannel(Channel object) {
				return createChannelAdapter();
			}
			@Override
			public Adapter caseChannelInterface(ChannelInterface object) {
				return createChannelInterfaceAdapter();
			}
			@Override
			public Adapter caseSimpleModule(SimpleModule object) {
				return createSimpleModuleAdapter();
			}
			@Override
			public Adapter caseModuleInterface(ModuleInterface object) {
				return createModuleInterfaceAdapter();
			}
			@Override
			public Adapter caseCompoundModule(CompoundModule object) {
				return createCompoundModuleAdapter();
			}
			@Override
			public Adapter caseNetwork(Network object) {
				return createNetworkAdapter();
			}
			@Override
			public Adapter caseGate(Gate object) {
				return createGateAdapter();
			}
			@Override
			public Adapter caseModuleParam(ModuleParam object) {
				return createModuleParamAdapter();
			}
			@Override
			public Adapter caseProperty(Property object) {
				return createPropertyAdapter();
			}
			@Override
			public Adapter caseSimpleProperty(SimpleProperty object) {
				return createSimplePropertyAdapter();
			}
			@Override
			public Adapter caseMultiValueProperty(MultiValueProperty object) {
				return createMultiValuePropertyAdapter();
			}
			@Override
			public Adapter caseSingleValueProperty(SingleValueProperty object) {
				return createSingleValuePropertyAdapter();
			}
			@Override
			public Adapter casePropertyDeclaration(PropertyDeclaration object) {
				return createPropertyDeclarationAdapter();
			}
			@Override
			public Adapter caseParameter(Parameter object) {
				return createParameterAdapter();
			}
			@Override
			public Adapter caseVariable(Variable object) {
				return createVariableAdapter();
			}
			@Override
			public Adapter caseSubModule(SubModule object) {
				return createSubModuleAdapter();
			}
			@Override
			public Adapter caseConnections(Connections object) {
				return createConnectionsAdapter();
			}
			@Override
			public Adapter caseConnection(Connection object) {
				return createConnectionAdapter();
			}
			@Override
			public Adapter caseConnectionItem(ConnectionItem object) {
				return createConnectionItemAdapter();
			}
			@Override
			public Adapter caseChannelConnectionItem(ChannelConnectionItem object) {
				return createChannelConnectionItemAdapter();
			}
			@Override
			public Adapter caseConnectionGroup(ConnectionGroup object) {
				return createConnectionGroupAdapter();
			}
			@Override
			public Adapter caseForLoop(ForLoop object) {
				return createForLoopAdapter();
			}
			@Override
			public Adapter casePortID(PortID object) {
				return createPortIDAdapter();
			}
			@Override
			public Adapter caseInputGate(InputGate object) {
				return createInputGateAdapter();
			}
			@Override
			public Adapter caseOutputGate(OutputGate object) {
				return createOutputGateAdapter();
			}
			@Override
			public Adapter caseInOutGate(InOutGate object) {
				return createInOutGateAdapter();
			}
			@Override
			public Adapter caseStringParameter(StringParameter object) {
				return createStringParameterAdapter();
			}
			@Override
			public Adapter caseIntParameter(IntParameter object) {
				return createIntParameterAdapter();
			}
			@Override
			public Adapter caseDoubleParameter(DoubleParameter object) {
				return createDoubleParameterAdapter();
			}
			@Override
			public Adapter caseBoolParameter(BoolParameter object) {
				return createBoolParameterAdapter();
			}
			@Override
			public Adapter caseIntVariable(IntVariable object) {
				return createIntVariableAdapter();
			}
			@Override
			public Adapter caseDoubleVariable(DoubleVariable object) {
				return createDoubleVariableAdapter();
			}
			@Override
			public Adapter caseBoolVariable(BoolVariable object) {
				return createBoolVariableAdapter();
			}
			@Override
			public Adapter caseStringVariable(StringVariable object) {
				return createStringVariableAdapter();
			}
			@Override
			public Adapter caseSimplePort(SimplePort object) {
				return createSimplePortAdapter();
			}
			@Override
			public Adapter caseArrayPort(ArrayPort object) {
				return createArrayPortAdapter();
			}
			@Override
			public Adapter caseVarArrayPort(VarArrayPort object) {
				return createVarArrayPortAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link OMNET.RoutingXmlRoute <em>Routing Xml Route</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.RoutingXmlRoute
	 * @generated
	 */
	public Adapter createRoutingXmlRouteAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.RoutingXmlInterface <em>Routing Xml Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.RoutingXmlInterface
	 * @generated
	 */
	public Adapter createRoutingXmlInterfaceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.RoutingXmlMulticast <em>Routing Xml Multicast</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.RoutingXmlMulticast
	 * @generated
	 */
	public Adapter createRoutingXmlMulticastAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.RoutingXmlFile <em>Routing Xml File</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.RoutingXmlFile
	 * @generated
	 */
	public Adapter createRoutingXmlFileAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.OmnetppIniGroup <em>Omnetpp Ini Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.OmnetppIniGroup
	 * @generated
	 */
	public Adapter createOmnetppIniGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.OmnetppIniLine <em>Omnetpp Ini Line</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.OmnetppIniLine
	 * @generated
	 */
	public Adapter createOmnetppIniLineAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.OmnetppIniFile <em>Omnetpp Ini File</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.OmnetppIniFile
	 * @generated
	 */
	public Adapter createOmnetppIniFileAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.NedFile <em>Ned File</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.NedFile
	 * @generated
	 */
	public Adapter createNedFileAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.FileHeader <em>File Header</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.FileHeader
	 * @generated
	 */
	public Adapter createFileHeaderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.LocalType <em>Local Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.LocalType
	 * @generated
	 */
	public Adapter createLocalTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.InterfaceType <em>Interface Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.InterfaceType
	 * @generated
	 */
	public Adapter createInterfaceTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ModuleType <em>Module Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ModuleType
	 * @generated
	 */
	public Adapter createModuleTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.Channel <em>Channel</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.Channel
	 * @generated
	 */
	public Adapter createChannelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ChannelInterface <em>Channel Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ChannelInterface
	 * @generated
	 */
	public Adapter createChannelInterfaceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.SimpleModule <em>Simple Module</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.SimpleModule
	 * @generated
	 */
	public Adapter createSimpleModuleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ModuleInterface <em>Module Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ModuleInterface
	 * @generated
	 */
	public Adapter createModuleInterfaceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.CompoundModule <em>Compound Module</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.CompoundModule
	 * @generated
	 */
	public Adapter createCompoundModuleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.Network <em>Network</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.Network
	 * @generated
	 */
	public Adapter createNetworkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.Gate <em>Gate</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.Gate
	 * @generated
	 */
	public Adapter createGateAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ModuleParam <em>Module Param</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ModuleParam
	 * @generated
	 */
	public Adapter createModuleParamAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.Property <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.Property
	 * @generated
	 */
	public Adapter createPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.SimpleProperty <em>Simple Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.SimpleProperty
	 * @generated
	 */
	public Adapter createSimplePropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.MultiValueProperty <em>Multi Value Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.MultiValueProperty
	 * @generated
	 */
	public Adapter createMultiValuePropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.SingleValueProperty <em>Single Value Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.SingleValueProperty
	 * @generated
	 */
	public Adapter createSingleValuePropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.PropertyDeclaration <em>Property Declaration</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.PropertyDeclaration
	 * @generated
	 */
	public Adapter createPropertyDeclarationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.Parameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.Parameter
	 * @generated
	 */
	public Adapter createParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.Variable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.Variable
	 * @generated
	 */
	public Adapter createVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.SubModule <em>Sub Module</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.SubModule
	 * @generated
	 */
	public Adapter createSubModuleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.Connections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.Connections
	 * @generated
	 */
	public Adapter createConnectionsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.Connection <em>Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.Connection
	 * @generated
	 */
	public Adapter createConnectionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ConnectionItem <em>Connection Item</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ConnectionItem
	 * @generated
	 */
	public Adapter createConnectionItemAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ChannelConnectionItem <em>Channel Connection Item</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ChannelConnectionItem
	 * @generated
	 */
	public Adapter createChannelConnectionItemAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ConnectionGroup <em>Connection Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ConnectionGroup
	 * @generated
	 */
	public Adapter createConnectionGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ForLoop <em>For Loop</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ForLoop
	 * @generated
	 */
	public Adapter createForLoopAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.PortID <em>Port ID</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.PortID
	 * @generated
	 */
	public Adapter createPortIDAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.InputGate <em>Input Gate</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.InputGate
	 * @generated
	 */
	public Adapter createInputGateAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.OutputGate <em>Output Gate</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.OutputGate
	 * @generated
	 */
	public Adapter createOutputGateAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.InOutGate <em>In Out Gate</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.InOutGate
	 * @generated
	 */
	public Adapter createInOutGateAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.StringParameter <em>String Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.StringParameter
	 * @generated
	 */
	public Adapter createStringParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.IntParameter <em>Int Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.IntParameter
	 * @generated
	 */
	public Adapter createIntParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.DoubleParameter <em>Double Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.DoubleParameter
	 * @generated
	 */
	public Adapter createDoubleParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.BoolParameter <em>Bool Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.BoolParameter
	 * @generated
	 */
	public Adapter createBoolParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.IntVariable <em>Int Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.IntVariable
	 * @generated
	 */
	public Adapter createIntVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.DoubleVariable <em>Double Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.DoubleVariable
	 * @generated
	 */
	public Adapter createDoubleVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.BoolVariable <em>Bool Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.BoolVariable
	 * @generated
	 */
	public Adapter createBoolVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.StringVariable <em>String Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.StringVariable
	 * @generated
	 */
	public Adapter createStringVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.SimplePort <em>Simple Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.SimplePort
	 * @generated
	 */
	public Adapter createSimplePortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.ArrayPort <em>Array Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.ArrayPort
	 * @generated
	 */
	public Adapter createArrayPortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link OMNET.VarArrayPort <em>Var Array Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see OMNET.VarArrayPort
	 * @generated
	 */
	public Adapter createVarArrayPortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //OMNETAdapterFactory
