/**
 */
package DNImaster.impl;

import DNImaster.ExperimentParam;
import DNImaster.MasterPackage;
import DNImaster.NetworkConfiguration;
import DNImaster.NetworkInfrastructure;
import DNImaster.NetworkStructure;
import DNImaster.NetworkTraffic;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.MinimalEObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Network Infrastructure</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * </p>
 * <ul>
 *   <li>{@link DNImaster.impl.NetworkInfrastructureImpl#getTraffic <em>Traffic</em>}</li>
 *   <li>{@link DNImaster.impl.NetworkInfrastructureImpl#getStructure <em>Structure</em>}</li>
 *   <li>{@link DNImaster.impl.NetworkInfrastructureImpl#getConfiguration <em>Configuration</em>}</li>
 *   <li>{@link DNImaster.impl.NetworkInfrastructureImpl#getParams <em>Params</em>}</li>
 *   <li>{@link DNImaster.impl.NetworkInfrastructureImpl#getDataCenterName <em>Data Center Name</em>}</li>
 *   <li>{@link DNImaster.impl.NetworkInfrastructureImpl#getDataCenterAltName <em>Data Center Alt Name</em>}</li>
 * </ul>
 *
 * @generated
 */
public class NetworkInfrastructureImpl extends MinimalEObjectImpl.Container implements NetworkInfrastructure {
	/**
	 * The cached value of the '{@link #getTraffic() <em>Traffic</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTraffic()
	 * @generated
	 * @ordered
	 */
	protected NetworkTraffic traffic;

	/**
	 * The cached value of the '{@link #getStructure() <em>Structure</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getStructure()
	 * @generated
	 * @ordered
	 */
	protected NetworkStructure structure;

	/**
	 * The cached value of the '{@link #getConfiguration() <em>Configuration</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConfiguration()
	 * @generated
	 * @ordered
	 */
	protected NetworkConfiguration configuration;

	/**
	 * The cached value of the '{@link #getParams() <em>Params</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getParams()
	 * @generated
	 * @ordered
	 */
	protected EList<ExperimentParam> params;

	/**
	 * The default value of the '{@link #getDataCenterName() <em>Data Center Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataCenterName()
	 * @generated
	 * @ordered
	 */
	protected static final String DATA_CENTER_NAME_EDEFAULT = "noname";

	/**
	 * The cached value of the '{@link #getDataCenterName() <em>Data Center Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataCenterName()
	 * @generated
	 * @ordered
	 */
	protected String dataCenterName = DATA_CENTER_NAME_EDEFAULT;

	/**
	 * The default value of the '{@link #getDataCenterAltName() <em>Data Center Alt Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataCenterAltName()
	 * @generated
	 * @ordered
	 */
	protected static final String DATA_CENTER_ALT_NAME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDataCenterAltName() <em>Data Center Alt Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataCenterAltName()
	 * @generated
	 * @ordered
	 */
	protected String dataCenterAltName = DATA_CENTER_ALT_NAME_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkInfrastructureImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return MasterPackage.Literals.NETWORK_INFRASTRUCTURE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NetworkTraffic getTraffic() {
		return traffic;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetTraffic(NetworkTraffic newTraffic, NotificationChain msgs) {
		NetworkTraffic oldTraffic = traffic;
		traffic = newTraffic;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC, oldTraffic, newTraffic);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTraffic(NetworkTraffic newTraffic) {
		if (newTraffic != traffic) {
			NotificationChain msgs = null;
			if (traffic != null)
				msgs = ((InternalEObject)traffic).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC, null, msgs);
			if (newTraffic != null)
				msgs = ((InternalEObject)newTraffic).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC, null, msgs);
			msgs = basicSetTraffic(newTraffic, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC, newTraffic, newTraffic));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NetworkStructure getStructure() {
		return structure;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetStructure(NetworkStructure newStructure, NotificationChain msgs) {
		NetworkStructure oldStructure = structure;
		structure = newStructure;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE, oldStructure, newStructure);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setStructure(NetworkStructure newStructure) {
		if (newStructure != structure) {
			NotificationChain msgs = null;
			if (structure != null)
				msgs = ((InternalEObject)structure).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE, null, msgs);
			if (newStructure != null)
				msgs = ((InternalEObject)newStructure).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE, null, msgs);
			msgs = basicSetStructure(newStructure, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE, newStructure, newStructure));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NetworkConfiguration getConfiguration() {
		return configuration;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetConfiguration(NetworkConfiguration newConfiguration, NotificationChain msgs) {
		NetworkConfiguration oldConfiguration = configuration;
		configuration = newConfiguration;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION, oldConfiguration, newConfiguration);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setConfiguration(NetworkConfiguration newConfiguration) {
		if (newConfiguration != configuration) {
			NotificationChain msgs = null;
			if (configuration != null)
				msgs = ((InternalEObject)configuration).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION, null, msgs);
			if (newConfiguration != null)
				msgs = ((InternalEObject)newConfiguration).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION, null, msgs);
			msgs = basicSetConfiguration(newConfiguration, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION, newConfiguration, newConfiguration));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<ExperimentParam> getParams() {
		if (params == null) {
			params = new EObjectContainmentEList<ExperimentParam>(ExperimentParam.class, this, MasterPackage.NETWORK_INFRASTRUCTURE__PARAMS);
		}
		return params;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDataCenterName() {
		return dataCenterName;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDataCenterName(String newDataCenterName) {
		String oldDataCenterName = dataCenterName;
		dataCenterName = newDataCenterName;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_NAME, oldDataCenterName, dataCenterName));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDataCenterAltName() {
		return dataCenterAltName;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDataCenterAltName(String newDataCenterAltName) {
		String oldDataCenterAltName = dataCenterAltName;
		dataCenterAltName = newDataCenterAltName;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_ALT_NAME, oldDataCenterAltName, dataCenterAltName));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC:
				return basicSetTraffic(null, msgs);
			case MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE:
				return basicSetStructure(null, msgs);
			case MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION:
				return basicSetConfiguration(null, msgs);
			case MasterPackage.NETWORK_INFRASTRUCTURE__PARAMS:
				return ((InternalEList<?>)getParams()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC:
				return getTraffic();
			case MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE:
				return getStructure();
			case MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION:
				return getConfiguration();
			case MasterPackage.NETWORK_INFRASTRUCTURE__PARAMS:
				return getParams();
			case MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_NAME:
				return getDataCenterName();
			case MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_ALT_NAME:
				return getDataCenterAltName();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC:
				setTraffic((NetworkTraffic)newValue);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE:
				setStructure((NetworkStructure)newValue);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION:
				setConfiguration((NetworkConfiguration)newValue);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__PARAMS:
				getParams().clear();
				getParams().addAll((Collection<? extends ExperimentParam>)newValue);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_NAME:
				setDataCenterName((String)newValue);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_ALT_NAME:
				setDataCenterAltName((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC:
				setTraffic((NetworkTraffic)null);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE:
				setStructure((NetworkStructure)null);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION:
				setConfiguration((NetworkConfiguration)null);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__PARAMS:
				getParams().clear();
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_NAME:
				setDataCenterName(DATA_CENTER_NAME_EDEFAULT);
				return;
			case MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_ALT_NAME:
				setDataCenterAltName(DATA_CENTER_ALT_NAME_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case MasterPackage.NETWORK_INFRASTRUCTURE__TRAFFIC:
				return traffic != null;
			case MasterPackage.NETWORK_INFRASTRUCTURE__STRUCTURE:
				return structure != null;
			case MasterPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION:
				return configuration != null;
			case MasterPackage.NETWORK_INFRASTRUCTURE__PARAMS:
				return params != null && !params.isEmpty();
			case MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_NAME:
				return DATA_CENTER_NAME_EDEFAULT == null ? dataCenterName != null : !DATA_CENTER_NAME_EDEFAULT.equals(dataCenterName);
			case MasterPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_ALT_NAME:
				return DATA_CENTER_ALT_NAME_EDEFAULT == null ? dataCenterAltName != null : !DATA_CENTER_ALT_NAME_EDEFAULT.equals(dataCenterAltName);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (dataCenterName: ");
		result.append(dataCenterName);
		result.append(", dataCenterAltName: ");
		result.append(dataCenterAltName);
		result.append(')');
		return result.toString();
	}

} //NetworkInfrastructureImpl
