
#ifndef __INET_DNITCPSESSIONAPP_H
#define __INET_DNITCPSESSIONAPP_H

#include <vector>
#include "INETDefs.h"
#include "TCPSocket.h"


/**
 * Single-connection TCP application.
 */
class INET_API DNITCPSessionApp : public cSimpleModule
{
  protected:
    struct Command
    {
        simtime_t tSend;
        int numBytes;
    };
    typedef std::vector<Command> CommandVector;
    CommandVector commands;

    TCPSocket socket;

    // statistics
    int packetsRcvd;
    long bytesRcvd;
    long bytesSent;
    int indicationsRcvd;
    static simsignal_t rcvdPkSignal;
    static simsignal_t sentPkSignal;
    static simsignal_t recvIndicationsSignal;

  public:
    DNITCPSessionApp() : cSimpleModule(65536) {}

  protected:
    virtual void parseScript(const char *script);
    virtual void parseSpecialScript(const char *script);
    virtual void parseSpecialScriptShort(const char *script);
    virtual void parseSpecialScriptShortSegments(const char *script);
    virtual void waitUntil(simtime_t t);
    virtual void count(cMessage *msg);

    virtual cPacket* genDataMsg(long sendBytes);

    virtual void activity();
    virtual void finish();
};

#endif

