/**
 */
package OMNET;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see OMNET.OMNETFactory
 * @model kind="package"
 * @generated
 */
public interface OMNETPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "OMNET";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.net.org/metamodel/omnet/Ned";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "OMNET";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	OMNETPackage eINSTANCE = OMNET.impl.OMNETPackageImpl.init();

	/**
	 * The meta object id for the '{@link OMNET.impl.RoutingXmlRouteImpl <em>Routing Xml Route</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.RoutingXmlRouteImpl
	 * @see OMNET.impl.OMNETPackageImpl#getRoutingXmlRoute()
	 * @generated
	 */
	int ROUTING_XML_ROUTE = 0;

	/**
	 * The feature id for the '<em><b>Hosts</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_ROUTE__HOSTS = 0;

	/**
	 * The feature id for the '<em><b>Destination</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_ROUTE__DESTINATION = 1;

	/**
	 * The feature id for the '<em><b>Netmask</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_ROUTE__NETMASK = 2;

	/**
	 * The feature id for the '<em><b>Gateway</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_ROUTE__GATEWAY = 3;

	/**
	 * The feature id for the '<em><b>Iface</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_ROUTE__IFACE = 4;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_ROUTE__METRIC = 5;

	/**
	 * The number of structural features of the '<em>Routing Xml Route</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_ROUTE_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>Routing Xml Route</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_ROUTE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.RoutingXmlInterfaceImpl <em>Routing Xml Interface</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.RoutingXmlInterfaceImpl
	 * @see OMNET.impl.OMNETPackageImpl#getRoutingXmlInterface()
	 * @generated
	 */
	int ROUTING_XML_INTERFACE = 1;

	/**
	 * The feature id for the '<em><b>Hosts</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_INTERFACE__HOSTS = 0;

	/**
	 * The feature id for the '<em><b>Names</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_INTERFACE__NAMES = 1;

	/**
	 * The feature id for the '<em><b>Address</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_INTERFACE__ADDRESS = 2;

	/**
	 * The feature id for the '<em><b>Netmask</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_INTERFACE__NETMASK = 3;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_INTERFACE__METRIC = 4;

	/**
	 * The number of structural features of the '<em>Routing Xml Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_INTERFACE_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>Routing Xml Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_INTERFACE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.RoutingXmlMulticastImpl <em>Routing Xml Multicast</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.RoutingXmlMulticastImpl
	 * @see OMNET.impl.OMNETPackageImpl#getRoutingXmlMulticast()
	 * @generated
	 */
	int ROUTING_XML_MULTICAST = 2;

	/**
	 * The feature id for the '<em><b>Hosts</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_MULTICAST__HOSTS = 0;

	/**
	 * The feature id for the '<em><b>Interfaces</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_MULTICAST__INTERFACES = 1;

	/**
	 * The feature id for the '<em><b>Address</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_MULTICAST__ADDRESS = 2;

	/**
	 * The number of structural features of the '<em>Routing Xml Multicast</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_MULTICAST_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Routing Xml Multicast</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_MULTICAST_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.RoutingXmlFileImpl <em>Routing Xml File</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.RoutingXmlFileImpl
	 * @see OMNET.impl.OMNETPackageImpl#getRoutingXmlFile()
	 * @generated
	 */
	int ROUTING_XML_FILE = 3;

	/**
	 * The feature id for the '<em><b>Filename</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_FILE__FILENAME = 0;

	/**
	 * The feature id for the '<em><b>Ifaces</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_FILE__IFACES = 1;

	/**
	 * The feature id for the '<em><b>Multicasts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_FILE__MULTICASTS = 2;

	/**
	 * The feature id for the '<em><b>Routes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_FILE__ROUTES = 3;

	/**
	 * The number of structural features of the '<em>Routing Xml File</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_FILE_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Routing Xml File</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ROUTING_XML_FILE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.OmnetppIniGroupImpl <em>Omnetpp Ini Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.OmnetppIniGroupImpl
	 * @see OMNET.impl.OMNETPackageImpl#getOmnetppIniGroup()
	 * @generated
	 */
	int OMNETPP_INI_GROUP = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_GROUP__NAME = 0;

	/**
	 * The feature id for the '<em><b>Lines</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_GROUP__LINES = 1;

	/**
	 * The number of structural features of the '<em>Omnetpp Ini Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_GROUP_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Omnetpp Ini Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.OmnetppIniLineImpl <em>Omnetpp Ini Line</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.OmnetppIniLineImpl
	 * @see OMNET.impl.OMNETPackageImpl#getOmnetppIniLine()
	 * @generated
	 */
	int OMNETPP_INI_LINE = 5;

	/**
	 * The feature id for the '<em><b>Prefix</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_LINE__PREFIX = 0;

	/**
	 * The feature id for the '<em><b>Node Selector</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_LINE__NODE_SELECTOR = 1;

	/**
	 * The feature id for the '<em><b>Parameter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_LINE__PARAMETER = 2;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_LINE__VALUE = 3;

	/**
	 * The number of structural features of the '<em>Omnetpp Ini Line</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_LINE_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Omnetpp Ini Line</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_LINE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.OmnetppIniFileImpl <em>Omnetpp Ini File</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.OmnetppIniFileImpl
	 * @see OMNET.impl.OMNETPackageImpl#getOmnetppIniFile()
	 * @generated
	 */
	int OMNETPP_INI_FILE = 6;

	/**
	 * The feature id for the '<em><b>Routingconf</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_FILE__ROUTINGCONF = 0;

	/**
	 * The feature id for the '<em><b>Sections</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_FILE__SECTIONS = 1;

	/**
	 * The number of structural features of the '<em>Omnetpp Ini File</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_FILE_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Omnetpp Ini File</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OMNETPP_INI_FILE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.NedFileImpl <em>Ned File</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.NedFileImpl
	 * @see OMNET.impl.OMNETPackageImpl#getNedFile()
	 * @generated
	 */
	int NED_FILE = 7;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NED_FILE__COMMENT = 0;

	/**
	 * The feature id for the '<em><b>Header</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NED_FILE__HEADER = 1;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NED_FILE__DEFINITIONS = 2;

	/**
	 * The feature id for the '<em><b>Config</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NED_FILE__CONFIG = 3;

	/**
	 * The number of structural features of the '<em>Ned File</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NED_FILE_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Ned File</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NED_FILE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.FileHeaderImpl <em>File Header</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.FileHeaderImpl
	 * @see OMNET.impl.OMNETPackageImpl#getFileHeader()
	 * @generated
	 */
	int FILE_HEADER = 8;

	/**
	 * The feature id for the '<em><b>Package Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILE_HEADER__PACKAGE_NAME = 0;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILE_HEADER__IMPORTS = 1;

	/**
	 * The number of structural features of the '<em>File Header</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILE_HEADER_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>File Header</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILE_HEADER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.LocalTypeImpl <em>Local Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.LocalTypeImpl
	 * @see OMNET.impl.OMNETPackageImpl#getLocalType()
	 * @generated
	 */
	int LOCAL_TYPE = 9;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_TYPE__COMMENT = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_TYPE__NAME = 1;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_TYPE__EXTENDS = 2;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_TYPE__PARAMETERS = 3;

	/**
	 * The number of structural features of the '<em>Local Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_TYPE_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Local Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.InterfaceTypeImpl <em>Interface Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.InterfaceTypeImpl
	 * @see OMNET.impl.OMNETPackageImpl#getInterfaceType()
	 * @generated
	 */
	int INTERFACE_TYPE = 10;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_TYPE__COMMENT = LOCAL_TYPE__COMMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_TYPE__NAME = LOCAL_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_TYPE__EXTENDS = LOCAL_TYPE__EXTENDS;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_TYPE__PARAMETERS = LOCAL_TYPE__PARAMETERS;

	/**
	 * The number of structural features of the '<em>Interface Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_TYPE_FEATURE_COUNT = LOCAL_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Interface Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_TYPE_OPERATION_COUNT = LOCAL_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ModuleTypeImpl <em>Module Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ModuleTypeImpl
	 * @see OMNET.impl.OMNETPackageImpl#getModuleType()
	 * @generated
	 */
	int MODULE_TYPE = 11;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_TYPE__COMMENT = LOCAL_TYPE__COMMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_TYPE__NAME = LOCAL_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_TYPE__EXTENDS = LOCAL_TYPE__EXTENDS;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_TYPE__PARAMETERS = LOCAL_TYPE__PARAMETERS;

	/**
	 * The feature id for the '<em><b>Like</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_TYPE__LIKE = LOCAL_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Module Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_TYPE_FEATURE_COUNT = LOCAL_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Module Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_TYPE_OPERATION_COUNT = LOCAL_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ChannelImpl <em>Channel</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ChannelImpl
	 * @see OMNET.impl.OMNETPackageImpl#getChannel()
	 * @generated
	 */
	int CHANNEL = 12;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__COMMENT = MODULE_TYPE__COMMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__NAME = MODULE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__EXTENDS = MODULE_TYPE__EXTENDS;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__PARAMETERS = MODULE_TYPE__PARAMETERS;

	/**
	 * The feature id for the '<em><b>Like</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__LIKE = MODULE_TYPE__LIKE;

	/**
	 * The number of structural features of the '<em>Channel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FEATURE_COUNT = MODULE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Channel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_OPERATION_COUNT = MODULE_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ChannelInterfaceImpl <em>Channel Interface</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ChannelInterfaceImpl
	 * @see OMNET.impl.OMNETPackageImpl#getChannelInterface()
	 * @generated
	 */
	int CHANNEL_INTERFACE = 13;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_INTERFACE__COMMENT = INTERFACE_TYPE__COMMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_INTERFACE__NAME = INTERFACE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_INTERFACE__EXTENDS = INTERFACE_TYPE__EXTENDS;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_INTERFACE__PARAMETERS = INTERFACE_TYPE__PARAMETERS;

	/**
	 * The number of structural features of the '<em>Channel Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_INTERFACE_FEATURE_COUNT = INTERFACE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Channel Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_INTERFACE_OPERATION_COUNT = INTERFACE_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.SimpleModuleImpl <em>Simple Module</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.SimpleModuleImpl
	 * @see OMNET.impl.OMNETPackageImpl#getSimpleModule()
	 * @generated
	 */
	int SIMPLE_MODULE = 14;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_MODULE__COMMENT = MODULE_TYPE__COMMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_MODULE__NAME = MODULE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_MODULE__EXTENDS = MODULE_TYPE__EXTENDS;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_MODULE__PARAMETERS = MODULE_TYPE__PARAMETERS;

	/**
	 * The feature id for the '<em><b>Like</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_MODULE__LIKE = MODULE_TYPE__LIKE;

	/**
	 * The feature id for the '<em><b>Gates</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_MODULE__GATES = MODULE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Simple Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_MODULE_FEATURE_COUNT = MODULE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Simple Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_MODULE_OPERATION_COUNT = MODULE_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ModuleInterfaceImpl <em>Module Interface</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ModuleInterfaceImpl
	 * @see OMNET.impl.OMNETPackageImpl#getModuleInterface()
	 * @generated
	 */
	int MODULE_INTERFACE = 15;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_INTERFACE__COMMENT = INTERFACE_TYPE__COMMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_INTERFACE__NAME = INTERFACE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_INTERFACE__EXTENDS = INTERFACE_TYPE__EXTENDS;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_INTERFACE__PARAMETERS = INTERFACE_TYPE__PARAMETERS;

	/**
	 * The feature id for the '<em><b>Gates</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_INTERFACE__GATES = INTERFACE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Module Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_INTERFACE_FEATURE_COUNT = INTERFACE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Module Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_INTERFACE_OPERATION_COUNT = INTERFACE_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.CompoundModuleImpl <em>Compound Module</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.CompoundModuleImpl
	 * @see OMNET.impl.OMNETPackageImpl#getCompoundModule()
	 * @generated
	 */
	int COMPOUND_MODULE = 16;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__COMMENT = MODULE_TYPE__COMMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__NAME = MODULE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__EXTENDS = MODULE_TYPE__EXTENDS;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__PARAMETERS = MODULE_TYPE__PARAMETERS;

	/**
	 * The feature id for the '<em><b>Like</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__LIKE = MODULE_TYPE__LIKE;

	/**
	 * The feature id for the '<em><b>Gates</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__GATES = MODULE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Local Types</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__LOCAL_TYPES = MODULE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Submodules</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__SUBMODULES = MODULE_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Connections</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE__CONNECTIONS = MODULE_TYPE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Compound Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE_FEATURE_COUNT = MODULE_TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Compound Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_MODULE_OPERATION_COUNT = MODULE_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.NetworkImpl <em>Network</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.NetworkImpl
	 * @see OMNET.impl.OMNETPackageImpl#getNetwork()
	 * @generated
	 */
	int NETWORK = 17;

	/**
	 * The feature id for the '<em><b>Comment</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__COMMENT = MODULE_TYPE__COMMENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__NAME = MODULE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Extends</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__EXTENDS = MODULE_TYPE__EXTENDS;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__PARAMETERS = MODULE_TYPE__PARAMETERS;

	/**
	 * The feature id for the '<em><b>Like</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__LIKE = MODULE_TYPE__LIKE;

	/**
	 * The feature id for the '<em><b>Gates</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__GATES = MODULE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Local Types</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__LOCAL_TYPES = MODULE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Submodules</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__SUBMODULES = MODULE_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Connections</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK__CONNECTIONS = MODULE_TYPE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Network</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK_FEATURE_COUNT = MODULE_TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Network</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NETWORK_OPERATION_COUNT = MODULE_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.GateImpl <em>Gate</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.GateImpl
	 * @see OMNET.impl.OMNETPackageImpl#getGate()
	 * @generated
	 */
	int GATE = 18;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GATE__NAME = 0;

	/**
	 * The feature id for the '<em><b>Is Array</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GATE__IS_ARRAY = 1;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GATE__SIZE = 2;

	/**
	 * The feature id for the '<em><b>Variable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GATE__VARIABLE = 3;

	/**
	 * The feature id for the '<em><b>Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GATE__PROPERTIES = 4;

	/**
	 * The number of structural features of the '<em>Gate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GATE_FEATURE_COUNT = 5;

	/**
	 * The number of operations of the '<em>Gate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GATE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ModuleParamImpl <em>Module Param</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ModuleParamImpl
	 * @see OMNET.impl.OMNETPackageImpl#getModuleParam()
	 * @generated
	 */
	int MODULE_PARAM = 19;

	/**
	 * The number of structural features of the '<em>Module Param</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_PARAM_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Module Param</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODULE_PARAM_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.PropertyDeclarationImpl <em>Property Declaration</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.PropertyDeclarationImpl
	 * @see OMNET.impl.OMNETPackageImpl#getPropertyDeclaration()
	 * @generated
	 */
	int PROPERTY_DECLARATION = 24;

	/**
	 * The number of structural features of the '<em>Property Declaration</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_DECLARATION_FEATURE_COUNT = MODULE_PARAM_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Property Declaration</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_DECLARATION_OPERATION_COUNT = MODULE_PARAM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.PropertyImpl <em>Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.PropertyImpl
	 * @see OMNET.impl.OMNETPackageImpl#getProperty()
	 * @generated
	 */
	int PROPERTY = 20;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY__NAME = PROPERTY_DECLARATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY__INDEX = PROPERTY_DECLARATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_FEATURE_COUNT = PROPERTY_DECLARATION_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_OPERATION_COUNT = PROPERTY_DECLARATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.SimplePropertyImpl <em>Simple Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.SimplePropertyImpl
	 * @see OMNET.impl.OMNETPackageImpl#getSimpleProperty()
	 * @generated
	 */
	int SIMPLE_PROPERTY = 21;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PROPERTY__NAME = PROPERTY__NAME;

	/**
	 * The feature id for the '<em><b>Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PROPERTY__INDEX = PROPERTY__INDEX;

	/**
	 * The number of structural features of the '<em>Simple Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PROPERTY_FEATURE_COUNT = PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Simple Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PROPERTY_OPERATION_COUNT = PROPERTY_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.MultiValuePropertyImpl <em>Multi Value Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.MultiValuePropertyImpl
	 * @see OMNET.impl.OMNETPackageImpl#getMultiValueProperty()
	 * @generated
	 */
	int MULTI_VALUE_PROPERTY = 22;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTI_VALUE_PROPERTY__NAME = PROPERTY__NAME;

	/**
	 * The feature id for the '<em><b>Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTI_VALUE_PROPERTY__INDEX = PROPERTY__INDEX;

	/**
	 * The feature id for the '<em><b>Param</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTI_VALUE_PROPERTY__PARAM = PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Multi Value Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTI_VALUE_PROPERTY_FEATURE_COUNT = PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Multi Value Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTI_VALUE_PROPERTY_OPERATION_COUNT = PROPERTY_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.SingleValuePropertyImpl <em>Single Value Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.SingleValuePropertyImpl
	 * @see OMNET.impl.OMNETPackageImpl#getSingleValueProperty()
	 * @generated
	 */
	int SINGLE_VALUE_PROPERTY = 23;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_VALUE_PROPERTY__NAME = PROPERTY__NAME;

	/**
	 * The feature id for the '<em><b>Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_VALUE_PROPERTY__INDEX = PROPERTY__INDEX;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_VALUE_PROPERTY__VALUE = PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Single Value Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_VALUE_PROPERTY_FEATURE_COUNT = PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Single Value Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_VALUE_PROPERTY_OPERATION_COUNT = PROPERTY_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ParameterImpl <em>Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ParameterImpl
	 * @see OMNET.impl.OMNETPackageImpl#getParameter()
	 * @generated
	 */
	int PARAMETER = 25;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER__NAME = MODULE_PARAM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER__UNIT = MODULE_PARAM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_FEATURE_COUNT = MODULE_PARAM_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_OPERATION_COUNT = MODULE_PARAM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.VariableImpl <em>Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.VariableImpl
	 * @see OMNET.impl.OMNETPackageImpl#getVariable()
	 * @generated
	 */
	int VARIABLE = 26;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE__NAME = MODULE_PARAM_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_FEATURE_COUNT = MODULE_PARAM_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_OPERATION_COUNT = MODULE_PARAM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.SubModuleImpl <em>Sub Module</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.SubModuleImpl
	 * @see OMNET.impl.OMNETPackageImpl#getSubModule()
	 * @generated
	 */
	int SUB_MODULE = 27;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_MODULE__NAME = 0;

	/**
	 * The feature id for the '<em><b>Vector Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_MODULE__VECTOR_SIZE = 1;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_MODULE__TYPE = 2;

	/**
	 * The feature id for the '<em><b>Like Param</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_MODULE__LIKE_PARAM = 3;

	/**
	 * The feature id for the '<em><b>Like Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_MODULE__LIKE_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_MODULE__PARAMETERS = 5;

	/**
	 * The number of structural features of the '<em>Sub Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_MODULE_FEATURE_COUNT = 6;

	/**
	 * The number of operations of the '<em>Sub Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_MODULE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ConnectionsImpl <em>Connections</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ConnectionsImpl
	 * @see OMNET.impl.OMNETPackageImpl#getConnections()
	 * @generated
	 */
	int CONNECTIONS = 28;

	/**
	 * The feature id for the '<em><b>Allowunconnected</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTIONS__ALLOWUNCONNECTED = 0;

	/**
	 * The feature id for the '<em><b>Connections</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTIONS__CONNECTIONS = 1;

	/**
	 * The number of structural features of the '<em>Connections</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTIONS_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Connections</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTIONS_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ConnectionImpl <em>Connection</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ConnectionImpl
	 * @see OMNET.impl.OMNETPackageImpl#getConnection()
	 * @generated
	 */
	int CONNECTION = 29;

	/**
	 * The number of structural features of the '<em>Connection</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Connection</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ConnectionItemImpl <em>Connection Item</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ConnectionItemImpl
	 * @see OMNET.impl.OMNETPackageImpl#getConnectionItem()
	 * @generated
	 */
	int CONNECTION_ITEM = 30;

	/**
	 * The feature id for the '<em><b>Left Port</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_ITEM__LEFT_PORT = CONNECTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_ITEM__DIRECTION = CONNECTION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Right Port</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_ITEM__RIGHT_PORT = CONNECTION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Connection Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_ITEM_FEATURE_COUNT = CONNECTION_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Connection Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_ITEM_OPERATION_COUNT = CONNECTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ChannelConnectionItemImpl <em>Channel Connection Item</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ChannelConnectionItemImpl
	 * @see OMNET.impl.OMNETPackageImpl#getChannelConnectionItem()
	 * @generated
	 */
	int CHANNEL_CONNECTION_ITEM = 31;

	/**
	 * The feature id for the '<em><b>Left Port</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_CONNECTION_ITEM__LEFT_PORT = CONNECTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_CONNECTION_ITEM__DIRECTION = CONNECTION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Channel</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_CONNECTION_ITEM__CHANNEL = CONNECTION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Channel Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_CONNECTION_ITEM__CHANNEL_ID = CONNECTION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Direction2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_CONNECTION_ITEM__DIRECTION2 = CONNECTION_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Right Port</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_CONNECTION_ITEM__RIGHT_PORT = CONNECTION_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Channel Connection Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_CONNECTION_ITEM_FEATURE_COUNT = CONNECTION_FEATURE_COUNT + 6;

	/**
	 * The number of operations of the '<em>Channel Connection Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_CONNECTION_ITEM_OPERATION_COUNT = CONNECTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ConnectionGroupImpl <em>Connection Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ConnectionGroupImpl
	 * @see OMNET.impl.OMNETPackageImpl#getConnectionGroup()
	 * @generated
	 */
	int CONNECTION_GROUP = 32;

	/**
	 * The number of structural features of the '<em>Connection Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_GROUP_FEATURE_COUNT = CONNECTION_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Connection Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_GROUP_OPERATION_COUNT = CONNECTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ForLoopImpl <em>For Loop</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ForLoopImpl
	 * @see OMNET.impl.OMNETPackageImpl#getForLoop()
	 * @generated
	 */
	int FOR_LOOP = 33;

	/**
	 * The feature id for the '<em><b>Connections</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FOR_LOOP__CONNECTIONS = CONNECTION_GROUP_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FOR_LOOP__NAME = CONNECTION_GROUP_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Begin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FOR_LOOP__BEGIN = CONNECTION_GROUP_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>End</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FOR_LOOP__END = CONNECTION_GROUP_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>For Loop</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FOR_LOOP_FEATURE_COUNT = CONNECTION_GROUP_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>For Loop</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FOR_LOOP_OPERATION_COUNT = CONNECTION_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.PortIDImpl <em>Port ID</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.PortIDImpl
	 * @see OMNET.impl.OMNETPackageImpl#getPortID()
	 * @generated
	 */
	int PORT_ID = 34;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_ID__NAME = 0;

	/**
	 * The feature id for the '<em><b>Selector</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_ID__SELECTOR = 1;

	/**
	 * The feature id for the '<em><b>Increment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_ID__INCREMENT = 2;

	/**
	 * The number of structural features of the '<em>Port ID</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_ID_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Port ID</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PORT_ID_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.InputGateImpl <em>Input Gate</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.InputGateImpl
	 * @see OMNET.impl.OMNETPackageImpl#getInputGate()
	 * @generated
	 */
	int INPUT_GATE = 35;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INPUT_GATE__NAME = GATE__NAME;

	/**
	 * The feature id for the '<em><b>Is Array</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INPUT_GATE__IS_ARRAY = GATE__IS_ARRAY;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INPUT_GATE__SIZE = GATE__SIZE;

	/**
	 * The feature id for the '<em><b>Variable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INPUT_GATE__VARIABLE = GATE__VARIABLE;

	/**
	 * The feature id for the '<em><b>Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INPUT_GATE__PROPERTIES = GATE__PROPERTIES;

	/**
	 * The number of structural features of the '<em>Input Gate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INPUT_GATE_FEATURE_COUNT = GATE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Input Gate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INPUT_GATE_OPERATION_COUNT = GATE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.OutputGateImpl <em>Output Gate</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.OutputGateImpl
	 * @see OMNET.impl.OMNETPackageImpl#getOutputGate()
	 * @generated
	 */
	int OUTPUT_GATE = 36;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTPUT_GATE__NAME = GATE__NAME;

	/**
	 * The feature id for the '<em><b>Is Array</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTPUT_GATE__IS_ARRAY = GATE__IS_ARRAY;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTPUT_GATE__SIZE = GATE__SIZE;

	/**
	 * The feature id for the '<em><b>Variable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTPUT_GATE__VARIABLE = GATE__VARIABLE;

	/**
	 * The feature id for the '<em><b>Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTPUT_GATE__PROPERTIES = GATE__PROPERTIES;

	/**
	 * The number of structural features of the '<em>Output Gate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTPUT_GATE_FEATURE_COUNT = GATE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Output Gate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTPUT_GATE_OPERATION_COUNT = GATE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.InOutGateImpl <em>In Out Gate</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.InOutGateImpl
	 * @see OMNET.impl.OMNETPackageImpl#getInOutGate()
	 * @generated
	 */
	int IN_OUT_GATE = 37;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IN_OUT_GATE__NAME = GATE__NAME;

	/**
	 * The feature id for the '<em><b>Is Array</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IN_OUT_GATE__IS_ARRAY = GATE__IS_ARRAY;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IN_OUT_GATE__SIZE = GATE__SIZE;

	/**
	 * The feature id for the '<em><b>Variable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IN_OUT_GATE__VARIABLE = GATE__VARIABLE;

	/**
	 * The feature id for the '<em><b>Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IN_OUT_GATE__PROPERTIES = GATE__PROPERTIES;

	/**
	 * The number of structural features of the '<em>In Out Gate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IN_OUT_GATE_FEATURE_COUNT = GATE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>In Out Gate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IN_OUT_GATE_OPERATION_COUNT = GATE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.StringParameterImpl <em>String Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.StringParameterImpl
	 * @see OMNET.impl.OMNETPackageImpl#getStringParameter()
	 * @generated
	 */
	int STRING_PARAMETER = 38;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER__NAME = PARAMETER__NAME;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER__UNIT = PARAMETER__UNIT;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER__VALUE = PARAMETER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>String Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_FEATURE_COUNT = PARAMETER_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>String Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_OPERATION_COUNT = PARAMETER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.IntParameterImpl <em>Int Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.IntParameterImpl
	 * @see OMNET.impl.OMNETPackageImpl#getIntParameter()
	 * @generated
	 */
	int INT_PARAMETER = 39;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_PARAMETER__NAME = PARAMETER__NAME;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_PARAMETER__UNIT = PARAMETER__UNIT;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_PARAMETER__VALUE = PARAMETER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Int Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_PARAMETER_FEATURE_COUNT = PARAMETER_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Int Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_PARAMETER_OPERATION_COUNT = PARAMETER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.DoubleParameterImpl <em>Double Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.DoubleParameterImpl
	 * @see OMNET.impl.OMNETPackageImpl#getDoubleParameter()
	 * @generated
	 */
	int DOUBLE_PARAMETER = 40;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_PARAMETER__NAME = PARAMETER__NAME;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_PARAMETER__UNIT = PARAMETER__UNIT;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_PARAMETER__VALUE = PARAMETER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Double Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_PARAMETER_FEATURE_COUNT = PARAMETER_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Double Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_PARAMETER_OPERATION_COUNT = PARAMETER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.BoolParameterImpl <em>Bool Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.BoolParameterImpl
	 * @see OMNET.impl.OMNETPackageImpl#getBoolParameter()
	 * @generated
	 */
	int BOOL_PARAMETER = 41;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_PARAMETER__NAME = PARAMETER__NAME;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_PARAMETER__UNIT = PARAMETER__UNIT;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_PARAMETER__VALUE = PARAMETER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bool Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_PARAMETER_FEATURE_COUNT = PARAMETER_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bool Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_PARAMETER_OPERATION_COUNT = PARAMETER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.IntVariableImpl <em>Int Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.IntVariableImpl
	 * @see OMNET.impl.OMNETPackageImpl#getIntVariable()
	 * @generated
	 */
	int INT_VARIABLE = 42;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_VARIABLE__NAME = VARIABLE__NAME;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_VARIABLE__VALUE = VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Int Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_VARIABLE_FEATURE_COUNT = VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Int Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_VARIABLE_OPERATION_COUNT = VARIABLE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.DoubleVariableImpl <em>Double Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.DoubleVariableImpl
	 * @see OMNET.impl.OMNETPackageImpl#getDoubleVariable()
	 * @generated
	 */
	int DOUBLE_VARIABLE = 43;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_VARIABLE__NAME = VARIABLE__NAME;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_VARIABLE__VALUE = VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Double Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_VARIABLE_FEATURE_COUNT = VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Double Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_VARIABLE_OPERATION_COUNT = VARIABLE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.BoolVariableImpl <em>Bool Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.BoolVariableImpl
	 * @see OMNET.impl.OMNETPackageImpl#getBoolVariable()
	 * @generated
	 */
	int BOOL_VARIABLE = 44;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_VARIABLE__NAME = VARIABLE__NAME;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_VARIABLE__VALUE = VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Bool Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_VARIABLE_FEATURE_COUNT = VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Bool Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_VARIABLE_OPERATION_COUNT = VARIABLE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.StringVariableImpl <em>String Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.StringVariableImpl
	 * @see OMNET.impl.OMNETPackageImpl#getStringVariable()
	 * @generated
	 */
	int STRING_VARIABLE = 45;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_VARIABLE__NAME = VARIABLE__NAME;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_VARIABLE__VALUE = VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>String Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_VARIABLE_FEATURE_COUNT = VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>String Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_VARIABLE_OPERATION_COUNT = VARIABLE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.SimplePortImpl <em>Simple Port</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.SimplePortImpl
	 * @see OMNET.impl.OMNETPackageImpl#getSimplePort()
	 * @generated
	 */
	int SIMPLE_PORT = 46;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PORT__NAME = PORT_ID__NAME;

	/**
	 * The feature id for the '<em><b>Selector</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PORT__SELECTOR = PORT_ID__SELECTOR;

	/**
	 * The feature id for the '<em><b>Increment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PORT__INCREMENT = PORT_ID__INCREMENT;

	/**
	 * The number of structural features of the '<em>Simple Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PORT_FEATURE_COUNT = PORT_ID_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Simple Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_PORT_OPERATION_COUNT = PORT_ID_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.ArrayPortImpl <em>Array Port</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.ArrayPortImpl
	 * @see OMNET.impl.OMNETPackageImpl#getArrayPort()
	 * @generated
	 */
	int ARRAY_PORT = 47;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY_PORT__NAME = PORT_ID__NAME;

	/**
	 * The feature id for the '<em><b>Selector</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY_PORT__SELECTOR = PORT_ID__SELECTOR;

	/**
	 * The feature id for the '<em><b>Increment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY_PORT__INCREMENT = PORT_ID__INCREMENT;

	/**
	 * The feature id for the '<em><b>Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY_PORT__INDEX = PORT_ID_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Array Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY_PORT_FEATURE_COUNT = PORT_ID_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Array Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY_PORT_OPERATION_COUNT = PORT_ID_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.impl.VarArrayPortImpl <em>Var Array Port</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.impl.VarArrayPortImpl
	 * @see OMNET.impl.OMNETPackageImpl#getVarArrayPort()
	 * @generated
	 */
	int VAR_ARRAY_PORT = 48;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VAR_ARRAY_PORT__NAME = PORT_ID__NAME;

	/**
	 * The feature id for the '<em><b>Selector</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VAR_ARRAY_PORT__SELECTOR = PORT_ID__SELECTOR;

	/**
	 * The feature id for the '<em><b>Increment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VAR_ARRAY_PORT__INCREMENT = PORT_ID__INCREMENT;

	/**
	 * The feature id for the '<em><b>Variable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VAR_ARRAY_PORT__VARIABLE = PORT_ID_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VAR_ARRAY_PORT__EXPRESSION = PORT_ID_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Var Array Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VAR_ARRAY_PORT_FEATURE_COUNT = PORT_ID_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Var Array Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VAR_ARRAY_PORT_OPERATION_COUNT = PORT_ID_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link OMNET.Direction <em>Direction</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.Direction
	 * @see OMNET.impl.OMNETPackageImpl#getDirection()
	 * @generated
	 */
	int DIRECTION = 49;

	/**
	 * The meta object id for the '{@link OMNET.Selector <em>Selector</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see OMNET.Selector
	 * @see OMNET.impl.OMNETPackageImpl#getSelector()
	 * @generated
	 */
	int SELECTOR = 50;


	/**
	 * Returns the meta object for class '{@link OMNET.RoutingXmlRoute <em>Routing Xml Route</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Routing Xml Route</em>'.
	 * @see OMNET.RoutingXmlRoute
	 * @generated
	 */
	EClass getRoutingXmlRoute();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlRoute#getHosts <em>Hosts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Hosts</em>'.
	 * @see OMNET.RoutingXmlRoute#getHosts()
	 * @see #getRoutingXmlRoute()
	 * @generated
	 */
	EAttribute getRoutingXmlRoute_Hosts();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlRoute#getDestination <em>Destination</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Destination</em>'.
	 * @see OMNET.RoutingXmlRoute#getDestination()
	 * @see #getRoutingXmlRoute()
	 * @generated
	 */
	EAttribute getRoutingXmlRoute_Destination();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlRoute#getNetmask <em>Netmask</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Netmask</em>'.
	 * @see OMNET.RoutingXmlRoute#getNetmask()
	 * @see #getRoutingXmlRoute()
	 * @generated
	 */
	EAttribute getRoutingXmlRoute_Netmask();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlRoute#getGateway <em>Gateway</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Gateway</em>'.
	 * @see OMNET.RoutingXmlRoute#getGateway()
	 * @see #getRoutingXmlRoute()
	 * @generated
	 */
	EAttribute getRoutingXmlRoute_Gateway();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlRoute#getIface <em>Iface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Iface</em>'.
	 * @see OMNET.RoutingXmlRoute#getIface()
	 * @see #getRoutingXmlRoute()
	 * @generated
	 */
	EAttribute getRoutingXmlRoute_Iface();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlRoute#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Metric</em>'.
	 * @see OMNET.RoutingXmlRoute#getMetric()
	 * @see #getRoutingXmlRoute()
	 * @generated
	 */
	EAttribute getRoutingXmlRoute_Metric();

	/**
	 * Returns the meta object for class '{@link OMNET.RoutingXmlInterface <em>Routing Xml Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Routing Xml Interface</em>'.
	 * @see OMNET.RoutingXmlInterface
	 * @generated
	 */
	EClass getRoutingXmlInterface();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlInterface#getHosts <em>Hosts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Hosts</em>'.
	 * @see OMNET.RoutingXmlInterface#getHosts()
	 * @see #getRoutingXmlInterface()
	 * @generated
	 */
	EAttribute getRoutingXmlInterface_Hosts();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlInterface#getNames <em>Names</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Names</em>'.
	 * @see OMNET.RoutingXmlInterface#getNames()
	 * @see #getRoutingXmlInterface()
	 * @generated
	 */
	EAttribute getRoutingXmlInterface_Names();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlInterface#getAddress <em>Address</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Address</em>'.
	 * @see OMNET.RoutingXmlInterface#getAddress()
	 * @see #getRoutingXmlInterface()
	 * @generated
	 */
	EAttribute getRoutingXmlInterface_Address();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlInterface#getNetmask <em>Netmask</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Netmask</em>'.
	 * @see OMNET.RoutingXmlInterface#getNetmask()
	 * @see #getRoutingXmlInterface()
	 * @generated
	 */
	EAttribute getRoutingXmlInterface_Netmask();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlInterface#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Metric</em>'.
	 * @see OMNET.RoutingXmlInterface#getMetric()
	 * @see #getRoutingXmlInterface()
	 * @generated
	 */
	EAttribute getRoutingXmlInterface_Metric();

	/**
	 * Returns the meta object for class '{@link OMNET.RoutingXmlMulticast <em>Routing Xml Multicast</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Routing Xml Multicast</em>'.
	 * @see OMNET.RoutingXmlMulticast
	 * @generated
	 */
	EClass getRoutingXmlMulticast();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlMulticast#getHosts <em>Hosts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Hosts</em>'.
	 * @see OMNET.RoutingXmlMulticast#getHosts()
	 * @see #getRoutingXmlMulticast()
	 * @generated
	 */
	EAttribute getRoutingXmlMulticast_Hosts();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlMulticast#getInterfaces <em>Interfaces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Interfaces</em>'.
	 * @see OMNET.RoutingXmlMulticast#getInterfaces()
	 * @see #getRoutingXmlMulticast()
	 * @generated
	 */
	EAttribute getRoutingXmlMulticast_Interfaces();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlMulticast#getAddress <em>Address</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Address</em>'.
	 * @see OMNET.RoutingXmlMulticast#getAddress()
	 * @see #getRoutingXmlMulticast()
	 * @generated
	 */
	EAttribute getRoutingXmlMulticast_Address();

	/**
	 * Returns the meta object for class '{@link OMNET.RoutingXmlFile <em>Routing Xml File</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Routing Xml File</em>'.
	 * @see OMNET.RoutingXmlFile
	 * @generated
	 */
	EClass getRoutingXmlFile();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.RoutingXmlFile#getFilename <em>Filename</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Filename</em>'.
	 * @see OMNET.RoutingXmlFile#getFilename()
	 * @see #getRoutingXmlFile()
	 * @generated
	 */
	EAttribute getRoutingXmlFile_Filename();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.RoutingXmlFile#getIfaces <em>Ifaces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Ifaces</em>'.
	 * @see OMNET.RoutingXmlFile#getIfaces()
	 * @see #getRoutingXmlFile()
	 * @generated
	 */
	EReference getRoutingXmlFile_Ifaces();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.RoutingXmlFile#getMulticasts <em>Multicasts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Multicasts</em>'.
	 * @see OMNET.RoutingXmlFile#getMulticasts()
	 * @see #getRoutingXmlFile()
	 * @generated
	 */
	EReference getRoutingXmlFile_Multicasts();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.RoutingXmlFile#getRoutes <em>Routes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Routes</em>'.
	 * @see OMNET.RoutingXmlFile#getRoutes()
	 * @see #getRoutingXmlFile()
	 * @generated
	 */
	EReference getRoutingXmlFile_Routes();

	/**
	 * Returns the meta object for class '{@link OMNET.OmnetppIniGroup <em>Omnetpp Ini Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Omnetpp Ini Group</em>'.
	 * @see OMNET.OmnetppIniGroup
	 * @generated
	 */
	EClass getOmnetppIniGroup();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.OmnetppIniGroup#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.OmnetppIniGroup#getName()
	 * @see #getOmnetppIniGroup()
	 * @generated
	 */
	EAttribute getOmnetppIniGroup_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.OmnetppIniGroup#getLines <em>Lines</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Lines</em>'.
	 * @see OMNET.OmnetppIniGroup#getLines()
	 * @see #getOmnetppIniGroup()
	 * @generated
	 */
	EReference getOmnetppIniGroup_Lines();

	/**
	 * Returns the meta object for class '{@link OMNET.OmnetppIniLine <em>Omnetpp Ini Line</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Omnetpp Ini Line</em>'.
	 * @see OMNET.OmnetppIniLine
	 * @generated
	 */
	EClass getOmnetppIniLine();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.OmnetppIniLine#getPrefix <em>Prefix</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Prefix</em>'.
	 * @see OMNET.OmnetppIniLine#getPrefix()
	 * @see #getOmnetppIniLine()
	 * @generated
	 */
	EAttribute getOmnetppIniLine_Prefix();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.OmnetppIniLine#getNodeSelector <em>Node Selector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Node Selector</em>'.
	 * @see OMNET.OmnetppIniLine#getNodeSelector()
	 * @see #getOmnetppIniLine()
	 * @generated
	 */
	EAttribute getOmnetppIniLine_NodeSelector();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.OmnetppIniLine#getParameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Parameter</em>'.
	 * @see OMNET.OmnetppIniLine#getParameter()
	 * @see #getOmnetppIniLine()
	 * @generated
	 */
	EAttribute getOmnetppIniLine_Parameter();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.OmnetppIniLine#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.OmnetppIniLine#getValue()
	 * @see #getOmnetppIniLine()
	 * @generated
	 */
	EAttribute getOmnetppIniLine_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.OmnetppIniFile <em>Omnetpp Ini File</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Omnetpp Ini File</em>'.
	 * @see OMNET.OmnetppIniFile
	 * @generated
	 */
	EClass getOmnetppIniFile();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.OmnetppIniFile#getRoutingconf <em>Routingconf</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Routingconf</em>'.
	 * @see OMNET.OmnetppIniFile#getRoutingconf()
	 * @see #getOmnetppIniFile()
	 * @generated
	 */
	EReference getOmnetppIniFile_Routingconf();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.OmnetppIniFile#getSections <em>Sections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Sections</em>'.
	 * @see OMNET.OmnetppIniFile#getSections()
	 * @see #getOmnetppIniFile()
	 * @generated
	 */
	EReference getOmnetppIniFile_Sections();

	/**
	 * Returns the meta object for class '{@link OMNET.NedFile <em>Ned File</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ned File</em>'.
	 * @see OMNET.NedFile
	 * @generated
	 */
	EClass getNedFile();

	/**
	 * Returns the meta object for the attribute list '{@link OMNET.NedFile#getComment <em>Comment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Comment</em>'.
	 * @see OMNET.NedFile#getComment()
	 * @see #getNedFile()
	 * @generated
	 */
	EAttribute getNedFile_Comment();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.NedFile#getHeader <em>Header</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Header</em>'.
	 * @see OMNET.NedFile#getHeader()
	 * @see #getNedFile()
	 * @generated
	 */
	EReference getNedFile_Header();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.NedFile#getDefinitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Definitions</em>'.
	 * @see OMNET.NedFile#getDefinitions()
	 * @see #getNedFile()
	 * @generated
	 */
	EReference getNedFile_Definitions();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.NedFile#getConfig <em>Config</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Config</em>'.
	 * @see OMNET.NedFile#getConfig()
	 * @see #getNedFile()
	 * @generated
	 */
	EReference getNedFile_Config();

	/**
	 * Returns the meta object for class '{@link OMNET.FileHeader <em>File Header</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>File Header</em>'.
	 * @see OMNET.FileHeader
	 * @generated
	 */
	EClass getFileHeader();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.FileHeader#getPackageName <em>Package Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Package Name</em>'.
	 * @see OMNET.FileHeader#getPackageName()
	 * @see #getFileHeader()
	 * @generated
	 */
	EAttribute getFileHeader_PackageName();

	/**
	 * Returns the meta object for the attribute list '{@link OMNET.FileHeader#getImports <em>Imports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Imports</em>'.
	 * @see OMNET.FileHeader#getImports()
	 * @see #getFileHeader()
	 * @generated
	 */
	EAttribute getFileHeader_Imports();

	/**
	 * Returns the meta object for class '{@link OMNET.LocalType <em>Local Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Local Type</em>'.
	 * @see OMNET.LocalType
	 * @generated
	 */
	EClass getLocalType();

	/**
	 * Returns the meta object for the attribute list '{@link OMNET.LocalType#getComment <em>Comment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Comment</em>'.
	 * @see OMNET.LocalType#getComment()
	 * @see #getLocalType()
	 * @generated
	 */
	EAttribute getLocalType_Comment();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.LocalType#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.LocalType#getName()
	 * @see #getLocalType()
	 * @generated
	 */
	EAttribute getLocalType_Name();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.LocalType#getExtends <em>Extends</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Extends</em>'.
	 * @see OMNET.LocalType#getExtends()
	 * @see #getLocalType()
	 * @generated
	 */
	EAttribute getLocalType_Extends();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.LocalType#getParameters <em>Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameters</em>'.
	 * @see OMNET.LocalType#getParameters()
	 * @see #getLocalType()
	 * @generated
	 */
	EReference getLocalType_Parameters();

	/**
	 * Returns the meta object for class '{@link OMNET.InterfaceType <em>Interface Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Interface Type</em>'.
	 * @see OMNET.InterfaceType
	 * @generated
	 */
	EClass getInterfaceType();

	/**
	 * Returns the meta object for class '{@link OMNET.ModuleType <em>Module Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Module Type</em>'.
	 * @see OMNET.ModuleType
	 * @generated
	 */
	EClass getModuleType();

	/**
	 * Returns the meta object for the attribute list '{@link OMNET.ModuleType#getLike <em>Like</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Like</em>'.
	 * @see OMNET.ModuleType#getLike()
	 * @see #getModuleType()
	 * @generated
	 */
	EAttribute getModuleType_Like();

	/**
	 * Returns the meta object for class '{@link OMNET.Channel <em>Channel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel</em>'.
	 * @see OMNET.Channel
	 * @generated
	 */
	EClass getChannel();

	/**
	 * Returns the meta object for class '{@link OMNET.ChannelInterface <em>Channel Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Interface</em>'.
	 * @see OMNET.ChannelInterface
	 * @generated
	 */
	EClass getChannelInterface();

	/**
	 * Returns the meta object for class '{@link OMNET.SimpleModule <em>Simple Module</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Module</em>'.
	 * @see OMNET.SimpleModule
	 * @generated
	 */
	EClass getSimpleModule();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.SimpleModule#getGates <em>Gates</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Gates</em>'.
	 * @see OMNET.SimpleModule#getGates()
	 * @see #getSimpleModule()
	 * @generated
	 */
	EReference getSimpleModule_Gates();

	/**
	 * Returns the meta object for class '{@link OMNET.ModuleInterface <em>Module Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Module Interface</em>'.
	 * @see OMNET.ModuleInterface
	 * @generated
	 */
	EClass getModuleInterface();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.ModuleInterface#getGates <em>Gates</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Gates</em>'.
	 * @see OMNET.ModuleInterface#getGates()
	 * @see #getModuleInterface()
	 * @generated
	 */
	EReference getModuleInterface_Gates();

	/**
	 * Returns the meta object for class '{@link OMNET.CompoundModule <em>Compound Module</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Compound Module</em>'.
	 * @see OMNET.CompoundModule
	 * @generated
	 */
	EClass getCompoundModule();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.CompoundModule#getGates <em>Gates</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Gates</em>'.
	 * @see OMNET.CompoundModule#getGates()
	 * @see #getCompoundModule()
	 * @generated
	 */
	EReference getCompoundModule_Gates();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.CompoundModule#getLocalTypes <em>Local Types</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Local Types</em>'.
	 * @see OMNET.CompoundModule#getLocalTypes()
	 * @see #getCompoundModule()
	 * @generated
	 */
	EReference getCompoundModule_LocalTypes();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.CompoundModule#getSubmodules <em>Submodules</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Submodules</em>'.
	 * @see OMNET.CompoundModule#getSubmodules()
	 * @see #getCompoundModule()
	 * @generated
	 */
	EReference getCompoundModule_Submodules();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.CompoundModule#getConnections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Connections</em>'.
	 * @see OMNET.CompoundModule#getConnections()
	 * @see #getCompoundModule()
	 * @generated
	 */
	EReference getCompoundModule_Connections();

	/**
	 * Returns the meta object for class '{@link OMNET.Network <em>Network</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Network</em>'.
	 * @see OMNET.Network
	 * @generated
	 */
	EClass getNetwork();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.Network#getGates <em>Gates</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Gates</em>'.
	 * @see OMNET.Network#getGates()
	 * @see #getNetwork()
	 * @generated
	 */
	EReference getNetwork_Gates();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.Network#getLocalTypes <em>Local Types</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Local Types</em>'.
	 * @see OMNET.Network#getLocalTypes()
	 * @see #getNetwork()
	 * @generated
	 */
	EReference getNetwork_LocalTypes();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.Network#getSubmodules <em>Submodules</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Submodules</em>'.
	 * @see OMNET.Network#getSubmodules()
	 * @see #getNetwork()
	 * @generated
	 */
	EReference getNetwork_Submodules();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.Network#getConnections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Connections</em>'.
	 * @see OMNET.Network#getConnections()
	 * @see #getNetwork()
	 * @generated
	 */
	EReference getNetwork_Connections();

	/**
	 * Returns the meta object for class '{@link OMNET.Gate <em>Gate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gate</em>'.
	 * @see OMNET.Gate
	 * @generated
	 */
	EClass getGate();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Gate#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.Gate#getName()
	 * @see #getGate()
	 * @generated
	 */
	EAttribute getGate_Name();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Gate#isIsArray <em>Is Array</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Array</em>'.
	 * @see OMNET.Gate#isIsArray()
	 * @see #getGate()
	 * @generated
	 */
	EAttribute getGate_IsArray();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Gate#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Size</em>'.
	 * @see OMNET.Gate#getSize()
	 * @see #getGate()
	 * @generated
	 */
	EAttribute getGate_Size();

	/**
	 * Returns the meta object for the reference '{@link OMNET.Gate#getVariable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Variable</em>'.
	 * @see OMNET.Gate#getVariable()
	 * @see #getGate()
	 * @generated
	 */
	EReference getGate_Variable();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.Gate#getProperties <em>Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Properties</em>'.
	 * @see OMNET.Gate#getProperties()
	 * @see #getGate()
	 * @generated
	 */
	EReference getGate_Properties();

	/**
	 * Returns the meta object for class '{@link OMNET.ModuleParam <em>Module Param</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Module Param</em>'.
	 * @see OMNET.ModuleParam
	 * @generated
	 */
	EClass getModuleParam();

	/**
	 * Returns the meta object for class '{@link OMNET.Property <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Property</em>'.
	 * @see OMNET.Property
	 * @generated
	 */
	EClass getProperty();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Property#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.Property#getName()
	 * @see #getProperty()
	 * @generated
	 */
	EAttribute getProperty_Name();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Property#getIndex <em>Index</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Index</em>'.
	 * @see OMNET.Property#getIndex()
	 * @see #getProperty()
	 * @generated
	 */
	EAttribute getProperty_Index();

	/**
	 * Returns the meta object for class '{@link OMNET.SimpleProperty <em>Simple Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Property</em>'.
	 * @see OMNET.SimpleProperty
	 * @generated
	 */
	EClass getSimpleProperty();

	/**
	 * Returns the meta object for class '{@link OMNET.MultiValueProperty <em>Multi Value Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Multi Value Property</em>'.
	 * @see OMNET.MultiValueProperty
	 * @generated
	 */
	EClass getMultiValueProperty();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.MultiValueProperty#getParam <em>Param</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Param</em>'.
	 * @see OMNET.MultiValueProperty#getParam()
	 * @see #getMultiValueProperty()
	 * @generated
	 */
	EReference getMultiValueProperty_Param();

	/**
	 * Returns the meta object for class '{@link OMNET.SingleValueProperty <em>Single Value Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Single Value Property</em>'.
	 * @see OMNET.SingleValueProperty
	 * @generated
	 */
	EClass getSingleValueProperty();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.SingleValueProperty#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.SingleValueProperty#getValue()
	 * @see #getSingleValueProperty()
	 * @generated
	 */
	EAttribute getSingleValueProperty_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.PropertyDeclaration <em>Property Declaration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Property Declaration</em>'.
	 * @see OMNET.PropertyDeclaration
	 * @generated
	 */
	EClass getPropertyDeclaration();

	/**
	 * Returns the meta object for class '{@link OMNET.Parameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parameter</em>'.
	 * @see OMNET.Parameter
	 * @generated
	 */
	EClass getParameter();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Parameter#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.Parameter#getName()
	 * @see #getParameter()
	 * @generated
	 */
	EAttribute getParameter_Name();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Parameter#getUnit <em>Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit</em>'.
	 * @see OMNET.Parameter#getUnit()
	 * @see #getParameter()
	 * @generated
	 */
	EAttribute getParameter_Unit();

	/**
	 * Returns the meta object for class '{@link OMNET.Variable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable</em>'.
	 * @see OMNET.Variable
	 * @generated
	 */
	EClass getVariable();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Variable#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.Variable#getName()
	 * @see #getVariable()
	 * @generated
	 */
	EAttribute getVariable_Name();

	/**
	 * Returns the meta object for class '{@link OMNET.SubModule <em>Sub Module</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sub Module</em>'.
	 * @see OMNET.SubModule
	 * @generated
	 */
	EClass getSubModule();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.SubModule#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.SubModule#getName()
	 * @see #getSubModule()
	 * @generated
	 */
	EAttribute getSubModule_Name();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.SubModule#getVectorSize <em>Vector Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Vector Size</em>'.
	 * @see OMNET.SubModule#getVectorSize()
	 * @see #getSubModule()
	 * @generated
	 */
	EAttribute getSubModule_VectorSize();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.SubModule#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see OMNET.SubModule#getType()
	 * @see #getSubModule()
	 * @generated
	 */
	EAttribute getSubModule_Type();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.SubModule#getLikeParam <em>Like Param</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Like Param</em>'.
	 * @see OMNET.SubModule#getLikeParam()
	 * @see #getSubModule()
	 * @generated
	 */
	EAttribute getSubModule_LikeParam();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.SubModule#getLikeType <em>Like Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Like Type</em>'.
	 * @see OMNET.SubModule#getLikeType()
	 * @see #getSubModule()
	 * @generated
	 */
	EAttribute getSubModule_LikeType();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.SubModule#getParameters <em>Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameters</em>'.
	 * @see OMNET.SubModule#getParameters()
	 * @see #getSubModule()
	 * @generated
	 */
	EReference getSubModule_Parameters();

	/**
	 * Returns the meta object for class '{@link OMNET.Connections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Connections</em>'.
	 * @see OMNET.Connections
	 * @generated
	 */
	EClass getConnections();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.Connections#isAllowunconnected <em>Allowunconnected</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Allowunconnected</em>'.
	 * @see OMNET.Connections#isAllowunconnected()
	 * @see #getConnections()
	 * @generated
	 */
	EAttribute getConnections_Allowunconnected();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.Connections#getConnections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Connections</em>'.
	 * @see OMNET.Connections#getConnections()
	 * @see #getConnections()
	 * @generated
	 */
	EReference getConnections_Connections();

	/**
	 * Returns the meta object for class '{@link OMNET.Connection <em>Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Connection</em>'.
	 * @see OMNET.Connection
	 * @generated
	 */
	EClass getConnection();

	/**
	 * Returns the meta object for class '{@link OMNET.ConnectionItem <em>Connection Item</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Connection Item</em>'.
	 * @see OMNET.ConnectionItem
	 * @generated
	 */
	EClass getConnectionItem();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.ConnectionItem#getLeftPort <em>Left Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left Port</em>'.
	 * @see OMNET.ConnectionItem#getLeftPort()
	 * @see #getConnectionItem()
	 * @generated
	 */
	EReference getConnectionItem_LeftPort();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.ConnectionItem#getDirection <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Direction</em>'.
	 * @see OMNET.ConnectionItem#getDirection()
	 * @see #getConnectionItem()
	 * @generated
	 */
	EAttribute getConnectionItem_Direction();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.ConnectionItem#getRightPort <em>Right Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right Port</em>'.
	 * @see OMNET.ConnectionItem#getRightPort()
	 * @see #getConnectionItem()
	 * @generated
	 */
	EReference getConnectionItem_RightPort();

	/**
	 * Returns the meta object for class '{@link OMNET.ChannelConnectionItem <em>Channel Connection Item</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Connection Item</em>'.
	 * @see OMNET.ChannelConnectionItem
	 * @generated
	 */
	EClass getChannelConnectionItem();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.ChannelConnectionItem#getLeftPort <em>Left Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left Port</em>'.
	 * @see OMNET.ChannelConnectionItem#getLeftPort()
	 * @see #getChannelConnectionItem()
	 * @generated
	 */
	EReference getChannelConnectionItem_LeftPort();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.ChannelConnectionItem#getDirection <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Direction</em>'.
	 * @see OMNET.ChannelConnectionItem#getDirection()
	 * @see #getChannelConnectionItem()
	 * @generated
	 */
	EAttribute getChannelConnectionItem_Direction();

	/**
	 * Returns the meta object for the reference '{@link OMNET.ChannelConnectionItem#getChannel <em>Channel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Channel</em>'.
	 * @see OMNET.ChannelConnectionItem#getChannel()
	 * @see #getChannelConnectionItem()
	 * @generated
	 */
	EReference getChannelConnectionItem_Channel();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.ChannelConnectionItem#getChannelId <em>Channel Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Channel Id</em>'.
	 * @see OMNET.ChannelConnectionItem#getChannelId()
	 * @see #getChannelConnectionItem()
	 * @generated
	 */
	EAttribute getChannelConnectionItem_ChannelId();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.ChannelConnectionItem#getDirection2 <em>Direction2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Direction2</em>'.
	 * @see OMNET.ChannelConnectionItem#getDirection2()
	 * @see #getChannelConnectionItem()
	 * @generated
	 */
	EAttribute getChannelConnectionItem_Direction2();

	/**
	 * Returns the meta object for the containment reference '{@link OMNET.ChannelConnectionItem#getRightPort <em>Right Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right Port</em>'.
	 * @see OMNET.ChannelConnectionItem#getRightPort()
	 * @see #getChannelConnectionItem()
	 * @generated
	 */
	EReference getChannelConnectionItem_RightPort();

	/**
	 * Returns the meta object for class '{@link OMNET.ConnectionGroup <em>Connection Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Connection Group</em>'.
	 * @see OMNET.ConnectionGroup
	 * @generated
	 */
	EClass getConnectionGroup();

	/**
	 * Returns the meta object for class '{@link OMNET.ForLoop <em>For Loop</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>For Loop</em>'.
	 * @see OMNET.ForLoop
	 * @generated
	 */
	EClass getForLoop();

	/**
	 * Returns the meta object for the containment reference list '{@link OMNET.ForLoop#getConnections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Connections</em>'.
	 * @see OMNET.ForLoop#getConnections()
	 * @see #getForLoop()
	 * @generated
	 */
	EReference getForLoop_Connections();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.ForLoop#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.ForLoop#getName()
	 * @see #getForLoop()
	 * @generated
	 */
	EAttribute getForLoop_Name();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.ForLoop#getBegin <em>Begin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Begin</em>'.
	 * @see OMNET.ForLoop#getBegin()
	 * @see #getForLoop()
	 * @generated
	 */
	EAttribute getForLoop_Begin();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.ForLoop#getEnd <em>End</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>End</em>'.
	 * @see OMNET.ForLoop#getEnd()
	 * @see #getForLoop()
	 * @generated
	 */
	EAttribute getForLoop_End();

	/**
	 * Returns the meta object for class '{@link OMNET.PortID <em>Port ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Port ID</em>'.
	 * @see OMNET.PortID
	 * @generated
	 */
	EClass getPortID();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.PortID#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see OMNET.PortID#getName()
	 * @see #getPortID()
	 * @generated
	 */
	EAttribute getPortID_Name();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.PortID#getSelector <em>Selector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Selector</em>'.
	 * @see OMNET.PortID#getSelector()
	 * @see #getPortID()
	 * @generated
	 */
	EAttribute getPortID_Selector();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.PortID#isIncrement <em>Increment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Increment</em>'.
	 * @see OMNET.PortID#isIncrement()
	 * @see #getPortID()
	 * @generated
	 */
	EAttribute getPortID_Increment();

	/**
	 * Returns the meta object for class '{@link OMNET.InputGate <em>Input Gate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Input Gate</em>'.
	 * @see OMNET.InputGate
	 * @generated
	 */
	EClass getInputGate();

	/**
	 * Returns the meta object for class '{@link OMNET.OutputGate <em>Output Gate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Output Gate</em>'.
	 * @see OMNET.OutputGate
	 * @generated
	 */
	EClass getOutputGate();

	/**
	 * Returns the meta object for class '{@link OMNET.InOutGate <em>In Out Gate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>In Out Gate</em>'.
	 * @see OMNET.InOutGate
	 * @generated
	 */
	EClass getInOutGate();

	/**
	 * Returns the meta object for class '{@link OMNET.StringParameter <em>String Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Parameter</em>'.
	 * @see OMNET.StringParameter
	 * @generated
	 */
	EClass getStringParameter();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.StringParameter#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.StringParameter#getValue()
	 * @see #getStringParameter()
	 * @generated
	 */
	EAttribute getStringParameter_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.IntParameter <em>Int Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Int Parameter</em>'.
	 * @see OMNET.IntParameter
	 * @generated
	 */
	EClass getIntParameter();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.IntParameter#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.IntParameter#getValue()
	 * @see #getIntParameter()
	 * @generated
	 */
	EAttribute getIntParameter_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.DoubleParameter <em>Double Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Double Parameter</em>'.
	 * @see OMNET.DoubleParameter
	 * @generated
	 */
	EClass getDoubleParameter();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.DoubleParameter#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.DoubleParameter#getValue()
	 * @see #getDoubleParameter()
	 * @generated
	 */
	EAttribute getDoubleParameter_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.BoolParameter <em>Bool Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bool Parameter</em>'.
	 * @see OMNET.BoolParameter
	 * @generated
	 */
	EClass getBoolParameter();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.BoolParameter#isValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.BoolParameter#isValue()
	 * @see #getBoolParameter()
	 * @generated
	 */
	EAttribute getBoolParameter_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.IntVariable <em>Int Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Int Variable</em>'.
	 * @see OMNET.IntVariable
	 * @generated
	 */
	EClass getIntVariable();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.IntVariable#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.IntVariable#getValue()
	 * @see #getIntVariable()
	 * @generated
	 */
	EAttribute getIntVariable_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.DoubleVariable <em>Double Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Double Variable</em>'.
	 * @see OMNET.DoubleVariable
	 * @generated
	 */
	EClass getDoubleVariable();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.DoubleVariable#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.DoubleVariable#getValue()
	 * @see #getDoubleVariable()
	 * @generated
	 */
	EAttribute getDoubleVariable_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.BoolVariable <em>Bool Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bool Variable</em>'.
	 * @see OMNET.BoolVariable
	 * @generated
	 */
	EClass getBoolVariable();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.BoolVariable#isValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.BoolVariable#isValue()
	 * @see #getBoolVariable()
	 * @generated
	 */
	EAttribute getBoolVariable_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.StringVariable <em>String Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Variable</em>'.
	 * @see OMNET.StringVariable
	 * @generated
	 */
	EClass getStringVariable();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.StringVariable#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see OMNET.StringVariable#getValue()
	 * @see #getStringVariable()
	 * @generated
	 */
	EAttribute getStringVariable_Value();

	/**
	 * Returns the meta object for class '{@link OMNET.SimplePort <em>Simple Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Port</em>'.
	 * @see OMNET.SimplePort
	 * @generated
	 */
	EClass getSimplePort();

	/**
	 * Returns the meta object for class '{@link OMNET.ArrayPort <em>Array Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Array Port</em>'.
	 * @see OMNET.ArrayPort
	 * @generated
	 */
	EClass getArrayPort();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.ArrayPort#getIndex <em>Index</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Index</em>'.
	 * @see OMNET.ArrayPort#getIndex()
	 * @see #getArrayPort()
	 * @generated
	 */
	EAttribute getArrayPort_Index();

	/**
	 * Returns the meta object for class '{@link OMNET.VarArrayPort <em>Var Array Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Var Array Port</em>'.
	 * @see OMNET.VarArrayPort
	 * @generated
	 */
	EClass getVarArrayPort();

	/**
	 * Returns the meta object for the reference '{@link OMNET.VarArrayPort#getVariable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Variable</em>'.
	 * @see OMNET.VarArrayPort#getVariable()
	 * @see #getVarArrayPort()
	 * @generated
	 */
	EReference getVarArrayPort_Variable();

	/**
	 * Returns the meta object for the attribute '{@link OMNET.VarArrayPort#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Expression</em>'.
	 * @see OMNET.VarArrayPort#getExpression()
	 * @see #getVarArrayPort()
	 * @generated
	 */
	EAttribute getVarArrayPort_Expression();

	/**
	 * Returns the meta object for enum '{@link OMNET.Direction <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Direction</em>'.
	 * @see OMNET.Direction
	 * @generated
	 */
	EEnum getDirection();

	/**
	 * Returns the meta object for enum '{@link OMNET.Selector <em>Selector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Selector</em>'.
	 * @see OMNET.Selector
	 * @generated
	 */
	EEnum getSelector();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	OMNETFactory getOMNETFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link OMNET.impl.RoutingXmlRouteImpl <em>Routing Xml Route</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.RoutingXmlRouteImpl
		 * @see OMNET.impl.OMNETPackageImpl#getRoutingXmlRoute()
		 * @generated
		 */
		EClass ROUTING_XML_ROUTE = eINSTANCE.getRoutingXmlRoute();

		/**
		 * The meta object literal for the '<em><b>Hosts</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_ROUTE__HOSTS = eINSTANCE.getRoutingXmlRoute_Hosts();

		/**
		 * The meta object literal for the '<em><b>Destination</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_ROUTE__DESTINATION = eINSTANCE.getRoutingXmlRoute_Destination();

		/**
		 * The meta object literal for the '<em><b>Netmask</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_ROUTE__NETMASK = eINSTANCE.getRoutingXmlRoute_Netmask();

		/**
		 * The meta object literal for the '<em><b>Gateway</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_ROUTE__GATEWAY = eINSTANCE.getRoutingXmlRoute_Gateway();

		/**
		 * The meta object literal for the '<em><b>Iface</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_ROUTE__IFACE = eINSTANCE.getRoutingXmlRoute_Iface();

		/**
		 * The meta object literal for the '<em><b>Metric</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_ROUTE__METRIC = eINSTANCE.getRoutingXmlRoute_Metric();

		/**
		 * The meta object literal for the '{@link OMNET.impl.RoutingXmlInterfaceImpl <em>Routing Xml Interface</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.RoutingXmlInterfaceImpl
		 * @see OMNET.impl.OMNETPackageImpl#getRoutingXmlInterface()
		 * @generated
		 */
		EClass ROUTING_XML_INTERFACE = eINSTANCE.getRoutingXmlInterface();

		/**
		 * The meta object literal for the '<em><b>Hosts</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_INTERFACE__HOSTS = eINSTANCE.getRoutingXmlInterface_Hosts();

		/**
		 * The meta object literal for the '<em><b>Names</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_INTERFACE__NAMES = eINSTANCE.getRoutingXmlInterface_Names();

		/**
		 * The meta object literal for the '<em><b>Address</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_INTERFACE__ADDRESS = eINSTANCE.getRoutingXmlInterface_Address();

		/**
		 * The meta object literal for the '<em><b>Netmask</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_INTERFACE__NETMASK = eINSTANCE.getRoutingXmlInterface_Netmask();

		/**
		 * The meta object literal for the '<em><b>Metric</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_INTERFACE__METRIC = eINSTANCE.getRoutingXmlInterface_Metric();

		/**
		 * The meta object literal for the '{@link OMNET.impl.RoutingXmlMulticastImpl <em>Routing Xml Multicast</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.RoutingXmlMulticastImpl
		 * @see OMNET.impl.OMNETPackageImpl#getRoutingXmlMulticast()
		 * @generated
		 */
		EClass ROUTING_XML_MULTICAST = eINSTANCE.getRoutingXmlMulticast();

		/**
		 * The meta object literal for the '<em><b>Hosts</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_MULTICAST__HOSTS = eINSTANCE.getRoutingXmlMulticast_Hosts();

		/**
		 * The meta object literal for the '<em><b>Interfaces</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_MULTICAST__INTERFACES = eINSTANCE.getRoutingXmlMulticast_Interfaces();

		/**
		 * The meta object literal for the '<em><b>Address</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_MULTICAST__ADDRESS = eINSTANCE.getRoutingXmlMulticast_Address();

		/**
		 * The meta object literal for the '{@link OMNET.impl.RoutingXmlFileImpl <em>Routing Xml File</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.RoutingXmlFileImpl
		 * @see OMNET.impl.OMNETPackageImpl#getRoutingXmlFile()
		 * @generated
		 */
		EClass ROUTING_XML_FILE = eINSTANCE.getRoutingXmlFile();

		/**
		 * The meta object literal for the '<em><b>Filename</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ROUTING_XML_FILE__FILENAME = eINSTANCE.getRoutingXmlFile_Filename();

		/**
		 * The meta object literal for the '<em><b>Ifaces</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ROUTING_XML_FILE__IFACES = eINSTANCE.getRoutingXmlFile_Ifaces();

		/**
		 * The meta object literal for the '<em><b>Multicasts</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ROUTING_XML_FILE__MULTICASTS = eINSTANCE.getRoutingXmlFile_Multicasts();

		/**
		 * The meta object literal for the '<em><b>Routes</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ROUTING_XML_FILE__ROUTES = eINSTANCE.getRoutingXmlFile_Routes();

		/**
		 * The meta object literal for the '{@link OMNET.impl.OmnetppIniGroupImpl <em>Omnetpp Ini Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.OmnetppIniGroupImpl
		 * @see OMNET.impl.OMNETPackageImpl#getOmnetppIniGroup()
		 * @generated
		 */
		EClass OMNETPP_INI_GROUP = eINSTANCE.getOmnetppIniGroup();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OMNETPP_INI_GROUP__NAME = eINSTANCE.getOmnetppIniGroup_Name();

		/**
		 * The meta object literal for the '<em><b>Lines</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OMNETPP_INI_GROUP__LINES = eINSTANCE.getOmnetppIniGroup_Lines();

		/**
		 * The meta object literal for the '{@link OMNET.impl.OmnetppIniLineImpl <em>Omnetpp Ini Line</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.OmnetppIniLineImpl
		 * @see OMNET.impl.OMNETPackageImpl#getOmnetppIniLine()
		 * @generated
		 */
		EClass OMNETPP_INI_LINE = eINSTANCE.getOmnetppIniLine();

		/**
		 * The meta object literal for the '<em><b>Prefix</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OMNETPP_INI_LINE__PREFIX = eINSTANCE.getOmnetppIniLine_Prefix();

		/**
		 * The meta object literal for the '<em><b>Node Selector</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OMNETPP_INI_LINE__NODE_SELECTOR = eINSTANCE.getOmnetppIniLine_NodeSelector();

		/**
		 * The meta object literal for the '<em><b>Parameter</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OMNETPP_INI_LINE__PARAMETER = eINSTANCE.getOmnetppIniLine_Parameter();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OMNETPP_INI_LINE__VALUE = eINSTANCE.getOmnetppIniLine_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.OmnetppIniFileImpl <em>Omnetpp Ini File</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.OmnetppIniFileImpl
		 * @see OMNET.impl.OMNETPackageImpl#getOmnetppIniFile()
		 * @generated
		 */
		EClass OMNETPP_INI_FILE = eINSTANCE.getOmnetppIniFile();

		/**
		 * The meta object literal for the '<em><b>Routingconf</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OMNETPP_INI_FILE__ROUTINGCONF = eINSTANCE.getOmnetppIniFile_Routingconf();

		/**
		 * The meta object literal for the '<em><b>Sections</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OMNETPP_INI_FILE__SECTIONS = eINSTANCE.getOmnetppIniFile_Sections();

		/**
		 * The meta object literal for the '{@link OMNET.impl.NedFileImpl <em>Ned File</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.NedFileImpl
		 * @see OMNET.impl.OMNETPackageImpl#getNedFile()
		 * @generated
		 */
		EClass NED_FILE = eINSTANCE.getNedFile();

		/**
		 * The meta object literal for the '<em><b>Comment</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute NED_FILE__COMMENT = eINSTANCE.getNedFile_Comment();

		/**
		 * The meta object literal for the '<em><b>Header</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference NED_FILE__HEADER = eINSTANCE.getNedFile_Header();

		/**
		 * The meta object literal for the '<em><b>Definitions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference NED_FILE__DEFINITIONS = eINSTANCE.getNedFile_Definitions();

		/**
		 * The meta object literal for the '<em><b>Config</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference NED_FILE__CONFIG = eINSTANCE.getNedFile_Config();

		/**
		 * The meta object literal for the '{@link OMNET.impl.FileHeaderImpl <em>File Header</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.FileHeaderImpl
		 * @see OMNET.impl.OMNETPackageImpl#getFileHeader()
		 * @generated
		 */
		EClass FILE_HEADER = eINSTANCE.getFileHeader();

		/**
		 * The meta object literal for the '<em><b>Package Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FILE_HEADER__PACKAGE_NAME = eINSTANCE.getFileHeader_PackageName();

		/**
		 * The meta object literal for the '<em><b>Imports</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FILE_HEADER__IMPORTS = eINSTANCE.getFileHeader_Imports();

		/**
		 * The meta object literal for the '{@link OMNET.impl.LocalTypeImpl <em>Local Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.LocalTypeImpl
		 * @see OMNET.impl.OMNETPackageImpl#getLocalType()
		 * @generated
		 */
		EClass LOCAL_TYPE = eINSTANCE.getLocalType();

		/**
		 * The meta object literal for the '<em><b>Comment</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LOCAL_TYPE__COMMENT = eINSTANCE.getLocalType_Comment();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LOCAL_TYPE__NAME = eINSTANCE.getLocalType_Name();

		/**
		 * The meta object literal for the '<em><b>Extends</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LOCAL_TYPE__EXTENDS = eINSTANCE.getLocalType_Extends();

		/**
		 * The meta object literal for the '<em><b>Parameters</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LOCAL_TYPE__PARAMETERS = eINSTANCE.getLocalType_Parameters();

		/**
		 * The meta object literal for the '{@link OMNET.impl.InterfaceTypeImpl <em>Interface Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.InterfaceTypeImpl
		 * @see OMNET.impl.OMNETPackageImpl#getInterfaceType()
		 * @generated
		 */
		EClass INTERFACE_TYPE = eINSTANCE.getInterfaceType();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ModuleTypeImpl <em>Module Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ModuleTypeImpl
		 * @see OMNET.impl.OMNETPackageImpl#getModuleType()
		 * @generated
		 */
		EClass MODULE_TYPE = eINSTANCE.getModuleType();

		/**
		 * The meta object literal for the '<em><b>Like</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MODULE_TYPE__LIKE = eINSTANCE.getModuleType_Like();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ChannelImpl <em>Channel</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ChannelImpl
		 * @see OMNET.impl.OMNETPackageImpl#getChannel()
		 * @generated
		 */
		EClass CHANNEL = eINSTANCE.getChannel();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ChannelInterfaceImpl <em>Channel Interface</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ChannelInterfaceImpl
		 * @see OMNET.impl.OMNETPackageImpl#getChannelInterface()
		 * @generated
		 */
		EClass CHANNEL_INTERFACE = eINSTANCE.getChannelInterface();

		/**
		 * The meta object literal for the '{@link OMNET.impl.SimpleModuleImpl <em>Simple Module</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.SimpleModuleImpl
		 * @see OMNET.impl.OMNETPackageImpl#getSimpleModule()
		 * @generated
		 */
		EClass SIMPLE_MODULE = eINSTANCE.getSimpleModule();

		/**
		 * The meta object literal for the '<em><b>Gates</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SIMPLE_MODULE__GATES = eINSTANCE.getSimpleModule_Gates();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ModuleInterfaceImpl <em>Module Interface</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ModuleInterfaceImpl
		 * @see OMNET.impl.OMNETPackageImpl#getModuleInterface()
		 * @generated
		 */
		EClass MODULE_INTERFACE = eINSTANCE.getModuleInterface();

		/**
		 * The meta object literal for the '<em><b>Gates</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODULE_INTERFACE__GATES = eINSTANCE.getModuleInterface_Gates();

		/**
		 * The meta object literal for the '{@link OMNET.impl.CompoundModuleImpl <em>Compound Module</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.CompoundModuleImpl
		 * @see OMNET.impl.OMNETPackageImpl#getCompoundModule()
		 * @generated
		 */
		EClass COMPOUND_MODULE = eINSTANCE.getCompoundModule();

		/**
		 * The meta object literal for the '<em><b>Gates</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOUND_MODULE__GATES = eINSTANCE.getCompoundModule_Gates();

		/**
		 * The meta object literal for the '<em><b>Local Types</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOUND_MODULE__LOCAL_TYPES = eINSTANCE.getCompoundModule_LocalTypes();

		/**
		 * The meta object literal for the '<em><b>Submodules</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOUND_MODULE__SUBMODULES = eINSTANCE.getCompoundModule_Submodules();

		/**
		 * The meta object literal for the '<em><b>Connections</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOUND_MODULE__CONNECTIONS = eINSTANCE.getCompoundModule_Connections();

		/**
		 * The meta object literal for the '{@link OMNET.impl.NetworkImpl <em>Network</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.NetworkImpl
		 * @see OMNET.impl.OMNETPackageImpl#getNetwork()
		 * @generated
		 */
		EClass NETWORK = eINSTANCE.getNetwork();

		/**
		 * The meta object literal for the '<em><b>Gates</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference NETWORK__GATES = eINSTANCE.getNetwork_Gates();

		/**
		 * The meta object literal for the '<em><b>Local Types</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference NETWORK__LOCAL_TYPES = eINSTANCE.getNetwork_LocalTypes();

		/**
		 * The meta object literal for the '<em><b>Submodules</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference NETWORK__SUBMODULES = eINSTANCE.getNetwork_Submodules();

		/**
		 * The meta object literal for the '<em><b>Connections</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference NETWORK__CONNECTIONS = eINSTANCE.getNetwork_Connections();

		/**
		 * The meta object literal for the '{@link OMNET.impl.GateImpl <em>Gate</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.GateImpl
		 * @see OMNET.impl.OMNETPackageImpl#getGate()
		 * @generated
		 */
		EClass GATE = eINSTANCE.getGate();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GATE__NAME = eINSTANCE.getGate_Name();

		/**
		 * The meta object literal for the '<em><b>Is Array</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GATE__IS_ARRAY = eINSTANCE.getGate_IsArray();

		/**
		 * The meta object literal for the '<em><b>Size</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GATE__SIZE = eINSTANCE.getGate_Size();

		/**
		 * The meta object literal for the '<em><b>Variable</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GATE__VARIABLE = eINSTANCE.getGate_Variable();

		/**
		 * The meta object literal for the '<em><b>Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GATE__PROPERTIES = eINSTANCE.getGate_Properties();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ModuleParamImpl <em>Module Param</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ModuleParamImpl
		 * @see OMNET.impl.OMNETPackageImpl#getModuleParam()
		 * @generated
		 */
		EClass MODULE_PARAM = eINSTANCE.getModuleParam();

		/**
		 * The meta object literal for the '{@link OMNET.impl.PropertyImpl <em>Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.PropertyImpl
		 * @see OMNET.impl.OMNETPackageImpl#getProperty()
		 * @generated
		 */
		EClass PROPERTY = eINSTANCE.getProperty();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PROPERTY__NAME = eINSTANCE.getProperty_Name();

		/**
		 * The meta object literal for the '<em><b>Index</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PROPERTY__INDEX = eINSTANCE.getProperty_Index();

		/**
		 * The meta object literal for the '{@link OMNET.impl.SimplePropertyImpl <em>Simple Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.SimplePropertyImpl
		 * @see OMNET.impl.OMNETPackageImpl#getSimpleProperty()
		 * @generated
		 */
		EClass SIMPLE_PROPERTY = eINSTANCE.getSimpleProperty();

		/**
		 * The meta object literal for the '{@link OMNET.impl.MultiValuePropertyImpl <em>Multi Value Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.MultiValuePropertyImpl
		 * @see OMNET.impl.OMNETPackageImpl#getMultiValueProperty()
		 * @generated
		 */
		EClass MULTI_VALUE_PROPERTY = eINSTANCE.getMultiValueProperty();

		/**
		 * The meta object literal for the '<em><b>Param</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MULTI_VALUE_PROPERTY__PARAM = eINSTANCE.getMultiValueProperty_Param();

		/**
		 * The meta object literal for the '{@link OMNET.impl.SingleValuePropertyImpl <em>Single Value Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.SingleValuePropertyImpl
		 * @see OMNET.impl.OMNETPackageImpl#getSingleValueProperty()
		 * @generated
		 */
		EClass SINGLE_VALUE_PROPERTY = eINSTANCE.getSingleValueProperty();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SINGLE_VALUE_PROPERTY__VALUE = eINSTANCE.getSingleValueProperty_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.PropertyDeclarationImpl <em>Property Declaration</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.PropertyDeclarationImpl
		 * @see OMNET.impl.OMNETPackageImpl#getPropertyDeclaration()
		 * @generated
		 */
		EClass PROPERTY_DECLARATION = eINSTANCE.getPropertyDeclaration();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ParameterImpl <em>Parameter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ParameterImpl
		 * @see OMNET.impl.OMNETPackageImpl#getParameter()
		 * @generated
		 */
		EClass PARAMETER = eINSTANCE.getParameter();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER__NAME = eINSTANCE.getParameter_Name();

		/**
		 * The meta object literal for the '<em><b>Unit</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER__UNIT = eINSTANCE.getParameter_Unit();

		/**
		 * The meta object literal for the '{@link OMNET.impl.VariableImpl <em>Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.VariableImpl
		 * @see OMNET.impl.OMNETPackageImpl#getVariable()
		 * @generated
		 */
		EClass VARIABLE = eINSTANCE.getVariable();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VARIABLE__NAME = eINSTANCE.getVariable_Name();

		/**
		 * The meta object literal for the '{@link OMNET.impl.SubModuleImpl <em>Sub Module</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.SubModuleImpl
		 * @see OMNET.impl.OMNETPackageImpl#getSubModule()
		 * @generated
		 */
		EClass SUB_MODULE = eINSTANCE.getSubModule();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SUB_MODULE__NAME = eINSTANCE.getSubModule_Name();

		/**
		 * The meta object literal for the '<em><b>Vector Size</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SUB_MODULE__VECTOR_SIZE = eINSTANCE.getSubModule_VectorSize();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SUB_MODULE__TYPE = eINSTANCE.getSubModule_Type();

		/**
		 * The meta object literal for the '<em><b>Like Param</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SUB_MODULE__LIKE_PARAM = eINSTANCE.getSubModule_LikeParam();

		/**
		 * The meta object literal for the '<em><b>Like Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SUB_MODULE__LIKE_TYPE = eINSTANCE.getSubModule_LikeType();

		/**
		 * The meta object literal for the '<em><b>Parameters</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SUB_MODULE__PARAMETERS = eINSTANCE.getSubModule_Parameters();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ConnectionsImpl <em>Connections</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ConnectionsImpl
		 * @see OMNET.impl.OMNETPackageImpl#getConnections()
		 * @generated
		 */
		EClass CONNECTIONS = eINSTANCE.getConnections();

		/**
		 * The meta object literal for the '<em><b>Allowunconnected</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONNECTIONS__ALLOWUNCONNECTED = eINSTANCE.getConnections_Allowunconnected();

		/**
		 * The meta object literal for the '<em><b>Connections</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONNECTIONS__CONNECTIONS = eINSTANCE.getConnections_Connections();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ConnectionImpl <em>Connection</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ConnectionImpl
		 * @see OMNET.impl.OMNETPackageImpl#getConnection()
		 * @generated
		 */
		EClass CONNECTION = eINSTANCE.getConnection();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ConnectionItemImpl <em>Connection Item</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ConnectionItemImpl
		 * @see OMNET.impl.OMNETPackageImpl#getConnectionItem()
		 * @generated
		 */
		EClass CONNECTION_ITEM = eINSTANCE.getConnectionItem();

		/**
		 * The meta object literal for the '<em><b>Left Port</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONNECTION_ITEM__LEFT_PORT = eINSTANCE.getConnectionItem_LeftPort();

		/**
		 * The meta object literal for the '<em><b>Direction</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONNECTION_ITEM__DIRECTION = eINSTANCE.getConnectionItem_Direction();

		/**
		 * The meta object literal for the '<em><b>Right Port</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONNECTION_ITEM__RIGHT_PORT = eINSTANCE.getConnectionItem_RightPort();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ChannelConnectionItemImpl <em>Channel Connection Item</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ChannelConnectionItemImpl
		 * @see OMNET.impl.OMNETPackageImpl#getChannelConnectionItem()
		 * @generated
		 */
		EClass CHANNEL_CONNECTION_ITEM = eINSTANCE.getChannelConnectionItem();

		/**
		 * The meta object literal for the '<em><b>Left Port</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHANNEL_CONNECTION_ITEM__LEFT_PORT = eINSTANCE.getChannelConnectionItem_LeftPort();

		/**
		 * The meta object literal for the '<em><b>Direction</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CHANNEL_CONNECTION_ITEM__DIRECTION = eINSTANCE.getChannelConnectionItem_Direction();

		/**
		 * The meta object literal for the '<em><b>Channel</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHANNEL_CONNECTION_ITEM__CHANNEL = eINSTANCE.getChannelConnectionItem_Channel();

		/**
		 * The meta object literal for the '<em><b>Channel Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CHANNEL_CONNECTION_ITEM__CHANNEL_ID = eINSTANCE.getChannelConnectionItem_ChannelId();

		/**
		 * The meta object literal for the '<em><b>Direction2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CHANNEL_CONNECTION_ITEM__DIRECTION2 = eINSTANCE.getChannelConnectionItem_Direction2();

		/**
		 * The meta object literal for the '<em><b>Right Port</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHANNEL_CONNECTION_ITEM__RIGHT_PORT = eINSTANCE.getChannelConnectionItem_RightPort();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ConnectionGroupImpl <em>Connection Group</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ConnectionGroupImpl
		 * @see OMNET.impl.OMNETPackageImpl#getConnectionGroup()
		 * @generated
		 */
		EClass CONNECTION_GROUP = eINSTANCE.getConnectionGroup();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ForLoopImpl <em>For Loop</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ForLoopImpl
		 * @see OMNET.impl.OMNETPackageImpl#getForLoop()
		 * @generated
		 */
		EClass FOR_LOOP = eINSTANCE.getForLoop();

		/**
		 * The meta object literal for the '<em><b>Connections</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FOR_LOOP__CONNECTIONS = eINSTANCE.getForLoop_Connections();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FOR_LOOP__NAME = eINSTANCE.getForLoop_Name();

		/**
		 * The meta object literal for the '<em><b>Begin</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FOR_LOOP__BEGIN = eINSTANCE.getForLoop_Begin();

		/**
		 * The meta object literal for the '<em><b>End</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FOR_LOOP__END = eINSTANCE.getForLoop_End();

		/**
		 * The meta object literal for the '{@link OMNET.impl.PortIDImpl <em>Port ID</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.PortIDImpl
		 * @see OMNET.impl.OMNETPackageImpl#getPortID()
		 * @generated
		 */
		EClass PORT_ID = eINSTANCE.getPortID();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PORT_ID__NAME = eINSTANCE.getPortID_Name();

		/**
		 * The meta object literal for the '<em><b>Selector</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PORT_ID__SELECTOR = eINSTANCE.getPortID_Selector();

		/**
		 * The meta object literal for the '<em><b>Increment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PORT_ID__INCREMENT = eINSTANCE.getPortID_Increment();

		/**
		 * The meta object literal for the '{@link OMNET.impl.InputGateImpl <em>Input Gate</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.InputGateImpl
		 * @see OMNET.impl.OMNETPackageImpl#getInputGate()
		 * @generated
		 */
		EClass INPUT_GATE = eINSTANCE.getInputGate();

		/**
		 * The meta object literal for the '{@link OMNET.impl.OutputGateImpl <em>Output Gate</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.OutputGateImpl
		 * @see OMNET.impl.OMNETPackageImpl#getOutputGate()
		 * @generated
		 */
		EClass OUTPUT_GATE = eINSTANCE.getOutputGate();

		/**
		 * The meta object literal for the '{@link OMNET.impl.InOutGateImpl <em>In Out Gate</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.InOutGateImpl
		 * @see OMNET.impl.OMNETPackageImpl#getInOutGate()
		 * @generated
		 */
		EClass IN_OUT_GATE = eINSTANCE.getInOutGate();

		/**
		 * The meta object literal for the '{@link OMNET.impl.StringParameterImpl <em>String Parameter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.StringParameterImpl
		 * @see OMNET.impl.OMNETPackageImpl#getStringParameter()
		 * @generated
		 */
		EClass STRING_PARAMETER = eINSTANCE.getStringParameter();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRING_PARAMETER__VALUE = eINSTANCE.getStringParameter_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.IntParameterImpl <em>Int Parameter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.IntParameterImpl
		 * @see OMNET.impl.OMNETPackageImpl#getIntParameter()
		 * @generated
		 */
		EClass INT_PARAMETER = eINSTANCE.getIntParameter();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INT_PARAMETER__VALUE = eINSTANCE.getIntParameter_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.DoubleParameterImpl <em>Double Parameter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.DoubleParameterImpl
		 * @see OMNET.impl.OMNETPackageImpl#getDoubleParameter()
		 * @generated
		 */
		EClass DOUBLE_PARAMETER = eINSTANCE.getDoubleParameter();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOUBLE_PARAMETER__VALUE = eINSTANCE.getDoubleParameter_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.BoolParameterImpl <em>Bool Parameter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.BoolParameterImpl
		 * @see OMNET.impl.OMNETPackageImpl#getBoolParameter()
		 * @generated
		 */
		EClass BOOL_PARAMETER = eINSTANCE.getBoolParameter();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BOOL_PARAMETER__VALUE = eINSTANCE.getBoolParameter_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.IntVariableImpl <em>Int Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.IntVariableImpl
		 * @see OMNET.impl.OMNETPackageImpl#getIntVariable()
		 * @generated
		 */
		EClass INT_VARIABLE = eINSTANCE.getIntVariable();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INT_VARIABLE__VALUE = eINSTANCE.getIntVariable_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.DoubleVariableImpl <em>Double Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.DoubleVariableImpl
		 * @see OMNET.impl.OMNETPackageImpl#getDoubleVariable()
		 * @generated
		 */
		EClass DOUBLE_VARIABLE = eINSTANCE.getDoubleVariable();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOUBLE_VARIABLE__VALUE = eINSTANCE.getDoubleVariable_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.BoolVariableImpl <em>Bool Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.BoolVariableImpl
		 * @see OMNET.impl.OMNETPackageImpl#getBoolVariable()
		 * @generated
		 */
		EClass BOOL_VARIABLE = eINSTANCE.getBoolVariable();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BOOL_VARIABLE__VALUE = eINSTANCE.getBoolVariable_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.StringVariableImpl <em>String Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.StringVariableImpl
		 * @see OMNET.impl.OMNETPackageImpl#getStringVariable()
		 * @generated
		 */
		EClass STRING_VARIABLE = eINSTANCE.getStringVariable();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRING_VARIABLE__VALUE = eINSTANCE.getStringVariable_Value();

		/**
		 * The meta object literal for the '{@link OMNET.impl.SimplePortImpl <em>Simple Port</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.SimplePortImpl
		 * @see OMNET.impl.OMNETPackageImpl#getSimplePort()
		 * @generated
		 */
		EClass SIMPLE_PORT = eINSTANCE.getSimplePort();

		/**
		 * The meta object literal for the '{@link OMNET.impl.ArrayPortImpl <em>Array Port</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.ArrayPortImpl
		 * @see OMNET.impl.OMNETPackageImpl#getArrayPort()
		 * @generated
		 */
		EClass ARRAY_PORT = eINSTANCE.getArrayPort();

		/**
		 * The meta object literal for the '<em><b>Index</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ARRAY_PORT__INDEX = eINSTANCE.getArrayPort_Index();

		/**
		 * The meta object literal for the '{@link OMNET.impl.VarArrayPortImpl <em>Var Array Port</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.impl.VarArrayPortImpl
		 * @see OMNET.impl.OMNETPackageImpl#getVarArrayPort()
		 * @generated
		 */
		EClass VAR_ARRAY_PORT = eINSTANCE.getVarArrayPort();

		/**
		 * The meta object literal for the '<em><b>Variable</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VAR_ARRAY_PORT__VARIABLE = eINSTANCE.getVarArrayPort_Variable();

		/**
		 * The meta object literal for the '<em><b>Expression</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VAR_ARRAY_PORT__EXPRESSION = eINSTANCE.getVarArrayPort_Expression();

		/**
		 * The meta object literal for the '{@link OMNET.Direction <em>Direction</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.Direction
		 * @see OMNET.impl.OMNETPackageImpl#getDirection()
		 * @generated
		 */
		EEnum DIRECTION = eINSTANCE.getDirection();

		/**
		 * The meta object literal for the '{@link OMNET.Selector <em>Selector</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see OMNET.Selector
		 * @see OMNET.impl.OMNETPackageImpl#getSelector()
		 * @generated
		 */
		EEnum SELECTOR = eINSTANCE.getSelector();

	}

} //OMNETPackage
