/**
 */
package OMNET.util;

import OMNET.*;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see OMNET.OMNETPackage
 * @generated
 */
public class OMNETSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static OMNETPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OMNETSwitch() {
		if (modelPackage == null) {
			modelPackage = OMNETPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case OMNETPackage.ROUTING_XML_ROUTE: {
				RoutingXmlRoute routingXmlRoute = (RoutingXmlRoute)theEObject;
				T result = caseRoutingXmlRoute(routingXmlRoute);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.ROUTING_XML_INTERFACE: {
				RoutingXmlInterface routingXmlInterface = (RoutingXmlInterface)theEObject;
				T result = caseRoutingXmlInterface(routingXmlInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.ROUTING_XML_MULTICAST: {
				RoutingXmlMulticast routingXmlMulticast = (RoutingXmlMulticast)theEObject;
				T result = caseRoutingXmlMulticast(routingXmlMulticast);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.ROUTING_XML_FILE: {
				RoutingXmlFile routingXmlFile = (RoutingXmlFile)theEObject;
				T result = caseRoutingXmlFile(routingXmlFile);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.OMNETPP_INI_GROUP: {
				OmnetppIniGroup omnetppIniGroup = (OmnetppIniGroup)theEObject;
				T result = caseOmnetppIniGroup(omnetppIniGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.OMNETPP_INI_LINE: {
				OmnetppIniLine omnetppIniLine = (OmnetppIniLine)theEObject;
				T result = caseOmnetppIniLine(omnetppIniLine);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.OMNETPP_INI_FILE: {
				OmnetppIniFile omnetppIniFile = (OmnetppIniFile)theEObject;
				T result = caseOmnetppIniFile(omnetppIniFile);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.NED_FILE: {
				NedFile nedFile = (NedFile)theEObject;
				T result = caseNedFile(nedFile);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.FILE_HEADER: {
				FileHeader fileHeader = (FileHeader)theEObject;
				T result = caseFileHeader(fileHeader);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.LOCAL_TYPE: {
				LocalType localType = (LocalType)theEObject;
				T result = caseLocalType(localType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.INTERFACE_TYPE: {
				InterfaceType interfaceType = (InterfaceType)theEObject;
				T result = caseInterfaceType(interfaceType);
				if (result == null) result = caseLocalType(interfaceType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.MODULE_TYPE: {
				ModuleType moduleType = (ModuleType)theEObject;
				T result = caseModuleType(moduleType);
				if (result == null) result = caseLocalType(moduleType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.CHANNEL: {
				Channel channel = (Channel)theEObject;
				T result = caseChannel(channel);
				if (result == null) result = caseModuleType(channel);
				if (result == null) result = caseLocalType(channel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.CHANNEL_INTERFACE: {
				ChannelInterface channelInterface = (ChannelInterface)theEObject;
				T result = caseChannelInterface(channelInterface);
				if (result == null) result = caseInterfaceType(channelInterface);
				if (result == null) result = caseLocalType(channelInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.SIMPLE_MODULE: {
				SimpleModule simpleModule = (SimpleModule)theEObject;
				T result = caseSimpleModule(simpleModule);
				if (result == null) result = caseModuleType(simpleModule);
				if (result == null) result = caseLocalType(simpleModule);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.MODULE_INTERFACE: {
				ModuleInterface moduleInterface = (ModuleInterface)theEObject;
				T result = caseModuleInterface(moduleInterface);
				if (result == null) result = caseInterfaceType(moduleInterface);
				if (result == null) result = caseLocalType(moduleInterface);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.COMPOUND_MODULE: {
				CompoundModule compoundModule = (CompoundModule)theEObject;
				T result = caseCompoundModule(compoundModule);
				if (result == null) result = caseModuleType(compoundModule);
				if (result == null) result = caseLocalType(compoundModule);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.NETWORK: {
				Network network = (Network)theEObject;
				T result = caseNetwork(network);
				if (result == null) result = caseModuleType(network);
				if (result == null) result = caseLocalType(network);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.GATE: {
				Gate gate = (Gate)theEObject;
				T result = caseGate(gate);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.MODULE_PARAM: {
				ModuleParam moduleParam = (ModuleParam)theEObject;
				T result = caseModuleParam(moduleParam);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.PROPERTY: {
				Property property = (Property)theEObject;
				T result = caseProperty(property);
				if (result == null) result = casePropertyDeclaration(property);
				if (result == null) result = caseModuleParam(property);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.SIMPLE_PROPERTY: {
				SimpleProperty simpleProperty = (SimpleProperty)theEObject;
				T result = caseSimpleProperty(simpleProperty);
				if (result == null) result = caseProperty(simpleProperty);
				if (result == null) result = casePropertyDeclaration(simpleProperty);
				if (result == null) result = caseModuleParam(simpleProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.MULTI_VALUE_PROPERTY: {
				MultiValueProperty multiValueProperty = (MultiValueProperty)theEObject;
				T result = caseMultiValueProperty(multiValueProperty);
				if (result == null) result = caseProperty(multiValueProperty);
				if (result == null) result = casePropertyDeclaration(multiValueProperty);
				if (result == null) result = caseModuleParam(multiValueProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.SINGLE_VALUE_PROPERTY: {
				SingleValueProperty singleValueProperty = (SingleValueProperty)theEObject;
				T result = caseSingleValueProperty(singleValueProperty);
				if (result == null) result = caseProperty(singleValueProperty);
				if (result == null) result = casePropertyDeclaration(singleValueProperty);
				if (result == null) result = caseModuleParam(singleValueProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.PROPERTY_DECLARATION: {
				PropertyDeclaration propertyDeclaration = (PropertyDeclaration)theEObject;
				T result = casePropertyDeclaration(propertyDeclaration);
				if (result == null) result = caseModuleParam(propertyDeclaration);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.PARAMETER: {
				Parameter parameter = (Parameter)theEObject;
				T result = caseParameter(parameter);
				if (result == null) result = caseModuleParam(parameter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.VARIABLE: {
				Variable variable = (Variable)theEObject;
				T result = caseVariable(variable);
				if (result == null) result = caseModuleParam(variable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.SUB_MODULE: {
				SubModule subModule = (SubModule)theEObject;
				T result = caseSubModule(subModule);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.CONNECTIONS: {
				Connections connections = (Connections)theEObject;
				T result = caseConnections(connections);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.CONNECTION: {
				Connection connection = (Connection)theEObject;
				T result = caseConnection(connection);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.CONNECTION_ITEM: {
				ConnectionItem connectionItem = (ConnectionItem)theEObject;
				T result = caseConnectionItem(connectionItem);
				if (result == null) result = caseConnection(connectionItem);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.CHANNEL_CONNECTION_ITEM: {
				ChannelConnectionItem channelConnectionItem = (ChannelConnectionItem)theEObject;
				T result = caseChannelConnectionItem(channelConnectionItem);
				if (result == null) result = caseConnection(channelConnectionItem);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.CONNECTION_GROUP: {
				ConnectionGroup connectionGroup = (ConnectionGroup)theEObject;
				T result = caseConnectionGroup(connectionGroup);
				if (result == null) result = caseConnection(connectionGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.FOR_LOOP: {
				ForLoop forLoop = (ForLoop)theEObject;
				T result = caseForLoop(forLoop);
				if (result == null) result = caseConnectionGroup(forLoop);
				if (result == null) result = caseConnection(forLoop);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.PORT_ID: {
				PortID portID = (PortID)theEObject;
				T result = casePortID(portID);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.INPUT_GATE: {
				InputGate inputGate = (InputGate)theEObject;
				T result = caseInputGate(inputGate);
				if (result == null) result = caseGate(inputGate);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.OUTPUT_GATE: {
				OutputGate outputGate = (OutputGate)theEObject;
				T result = caseOutputGate(outputGate);
				if (result == null) result = caseGate(outputGate);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.IN_OUT_GATE: {
				InOutGate inOutGate = (InOutGate)theEObject;
				T result = caseInOutGate(inOutGate);
				if (result == null) result = caseGate(inOutGate);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.STRING_PARAMETER: {
				StringParameter stringParameter = (StringParameter)theEObject;
				T result = caseStringParameter(stringParameter);
				if (result == null) result = caseParameter(stringParameter);
				if (result == null) result = caseModuleParam(stringParameter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.INT_PARAMETER: {
				IntParameter intParameter = (IntParameter)theEObject;
				T result = caseIntParameter(intParameter);
				if (result == null) result = caseParameter(intParameter);
				if (result == null) result = caseModuleParam(intParameter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.DOUBLE_PARAMETER: {
				DoubleParameter doubleParameter = (DoubleParameter)theEObject;
				T result = caseDoubleParameter(doubleParameter);
				if (result == null) result = caseParameter(doubleParameter);
				if (result == null) result = caseModuleParam(doubleParameter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.BOOL_PARAMETER: {
				BoolParameter boolParameter = (BoolParameter)theEObject;
				T result = caseBoolParameter(boolParameter);
				if (result == null) result = caseParameter(boolParameter);
				if (result == null) result = caseModuleParam(boolParameter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.INT_VARIABLE: {
				IntVariable intVariable = (IntVariable)theEObject;
				T result = caseIntVariable(intVariable);
				if (result == null) result = caseVariable(intVariable);
				if (result == null) result = caseModuleParam(intVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.DOUBLE_VARIABLE: {
				DoubleVariable doubleVariable = (DoubleVariable)theEObject;
				T result = caseDoubleVariable(doubleVariable);
				if (result == null) result = caseVariable(doubleVariable);
				if (result == null) result = caseModuleParam(doubleVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.BOOL_VARIABLE: {
				BoolVariable boolVariable = (BoolVariable)theEObject;
				T result = caseBoolVariable(boolVariable);
				if (result == null) result = caseVariable(boolVariable);
				if (result == null) result = caseModuleParam(boolVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.STRING_VARIABLE: {
				StringVariable stringVariable = (StringVariable)theEObject;
				T result = caseStringVariable(stringVariable);
				if (result == null) result = caseVariable(stringVariable);
				if (result == null) result = caseModuleParam(stringVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.SIMPLE_PORT: {
				SimplePort simplePort = (SimplePort)theEObject;
				T result = caseSimplePort(simplePort);
				if (result == null) result = casePortID(simplePort);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.ARRAY_PORT: {
				ArrayPort arrayPort = (ArrayPort)theEObject;
				T result = caseArrayPort(arrayPort);
				if (result == null) result = casePortID(arrayPort);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case OMNETPackage.VAR_ARRAY_PORT: {
				VarArrayPort varArrayPort = (VarArrayPort)theEObject;
				T result = caseVarArrayPort(varArrayPort);
				if (result == null) result = casePortID(varArrayPort);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Routing Xml Route</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Routing Xml Route</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoutingXmlRoute(RoutingXmlRoute object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Routing Xml Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Routing Xml Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoutingXmlInterface(RoutingXmlInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Routing Xml Multicast</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Routing Xml Multicast</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoutingXmlMulticast(RoutingXmlMulticast object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Routing Xml File</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Routing Xml File</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRoutingXmlFile(RoutingXmlFile object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Omnetpp Ini Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Omnetpp Ini Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOmnetppIniGroup(OmnetppIniGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Omnetpp Ini Line</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Omnetpp Ini Line</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOmnetppIniLine(OmnetppIniLine object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Omnetpp Ini File</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Omnetpp Ini File</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOmnetppIniFile(OmnetppIniFile object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Ned File</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Ned File</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNedFile(NedFile object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>File Header</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>File Header</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFileHeader(FileHeader object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Local Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Local Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLocalType(LocalType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Interface Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Interface Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInterfaceType(InterfaceType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Module Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Module Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModuleType(ModuleType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Channel</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Channel</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseChannel(Channel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Channel Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Channel Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseChannelInterface(ChannelInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Simple Module</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Simple Module</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSimpleModule(SimpleModule object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Module Interface</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Module Interface</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModuleInterface(ModuleInterface object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Compound Module</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Compound Module</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCompoundModule(CompoundModule object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Network</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Network</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNetwork(Network object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gate</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gate</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGate(Gate object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Module Param</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Module Param</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModuleParam(ModuleParam object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProperty(Property object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Simple Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Simple Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSimpleProperty(SimpleProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Multi Value Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Multi Value Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMultiValueProperty(MultiValueProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Single Value Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Single Value Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSingleValueProperty(SingleValueProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property Declaration</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property Declaration</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePropertyDeclaration(PropertyDeclaration object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Parameter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseParameter(Parameter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVariable(Variable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sub Module</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sub Module</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSubModule(SubModule object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Connections</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Connections</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConnections(Connections object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Connection</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Connection</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConnection(Connection object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Connection Item</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Connection Item</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConnectionItem(ConnectionItem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Channel Connection Item</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Channel Connection Item</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseChannelConnectionItem(ChannelConnectionItem object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Connection Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Connection Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConnectionGroup(ConnectionGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>For Loop</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>For Loop</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseForLoop(ForLoop object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Port ID</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Port ID</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePortID(PortID object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Input Gate</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Input Gate</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInputGate(InputGate object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Output Gate</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Output Gate</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOutputGate(OutputGate object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>In Out Gate</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>In Out Gate</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInOutGate(InOutGate object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>String Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>String Parameter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStringParameter(StringParameter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Int Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Int Parameter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIntParameter(IntParameter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Double Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Double Parameter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDoubleParameter(DoubleParameter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bool Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bool Parameter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBoolParameter(BoolParameter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Int Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Int Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIntVariable(IntVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Double Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Double Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDoubleVariable(DoubleVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bool Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bool Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBoolVariable(BoolVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>String Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>String Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStringVariable(StringVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Simple Port</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Simple Port</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSimplePort(SimplePort object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Array Port</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Array Port</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseArrayPort(ArrayPort object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Var Array Port</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Var Array Port</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVarArrayPort(VarArrayPort object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //OMNETSwitch
