package epsilonStandalone

import epsilonStandalone.DNIRunner
import org.eclipse.epsilon.eol.execute.context.Variable
import org.eclipse.epsilon.eol.types.EolPrimitiveType
import java.util.List

class DNIRunner_Simutools2016 extends DNIRunner {
	
	public def static void main(String[] args) {
	  	
	  	val a = new DNIRunner_Simutools2016()
	  	a.reset()
//	  	a.start_experiment1(true)
	  	a.reset()
	  	a.start_experiment2()
	  	a.reset()
	  	a.start_experiment3_2920()
	  	a.reset()
	  	a.start_experiment3_3500()
	  	a.reset()
//	  	a.start_experiment3_3500_new()
//	  	new DNIRunner_Simutools2016().start_experiment2()
//	  	new DNIRunner_Simutools2016().start_experiment3_2920()
//	  	new DNIRunner_Simutools2016().start_experiment3_3500()
	  	
  	}
  	
  	public def reset(){
  		simQpnParser.interestingPlaces = newLinkedList("rx_of_Receiver" )//, "SW_SDN_Switching_QP_SwitchSDN(HP3500)", "HW_SDN_Switching_QP_SwitchSDN(HP3500)")
  		simQpnParser.interestingColors = newLinkedList("Flow-iperf_to_iperf-destination")
  		simQpnParser.interestingMetrics = newLinkedList("arrivThrPut")//, "deptThrPut")
  		
  		dniModels.clear
		qpmeModels.clear
		qpmeFiles.clear
		qpmeSimulationResultFiles.clear
		qpmeSimulationProcessedResults.clear
  		
  		dni_base_model_file = "models/simutools_exp3_3500_OF.dnimm3"
  		
  		
  	}
	
	
	public def start_experiment1(boolean simulate){
		epsilonTransformationParameters.clear	
		
		var expNamePrefix = "Experiment1_";
		
		
		//2920 HW pps = 92.2*1000000
		//2920 HW Gbps = 128 Gbps
		//2920 HW latency = 3.3us
		//2920 SW pps = 2*1000
		//2920 SW latency = 340us
		//Tri Core ARM1176 @ 625 MHz, 512 MB SDRAM, 1 GB flash MB; packet buffer size: 11.25 MB (6.75 MB dynamic egress + 4.5 MB ingress)
		
		//3500 HW pps = 75.7*1000000
		//3500 HW latency = 3.4us
		//3500 HW Gbps = 101.8 Gbps
		//3500 SW pps = 10*1000
		//3500 SW latency = 30us
		//10G module: ARM9 @ 200 MHz; packet buffer size: 36 Mb QDR SDRAM
		//Stackable memory and processor: Freescale PowerPC 8540 @ 666 MHz, 4 MB flash, 128 MB compact flash, 256 MB DDR SDRAM
		
		//5700 HW pps = 714.2*1000000
		//5700 HW Gbps = 960 Gbps
		//5700 HW latency = 1.5us
		//512 MB flash, 2 GB SDRAM; packet buffer size: 9 MB
		
		//5130 HW pps = 96*1000*1000
		//5130 HW Gbps = 128 Gbps
		//5130 HW latency = 5us
		//1 GB SDRAM, 512 MB flash; packet buffer size: 1.5 MB
		
		var int i = 0
		var param_MTUsize = 1500 //1500; //B
		
		i=1
		{
			var String expName = expNamePrefix+"2920_HW_92.2Mpps_128Gbps_3.3us";		
			var param_SdnSwSwitchingLatency = 340
			var param_SdnSwSwitchingperfPPS = 2000
			var boolean param_goOverSdnSW = false
			var param_SdnHwSwitchingLatency = 3.3 //prefix us
			var param_SdnHwSwitchingperfPPS = 92.2*1000000 //prefix=none
			var param_SdnHwSwitchingperfBPS = 128 //prefix=G
			
			
			var List<Variable> list = newLinkedList()
			list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
			list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
			
			list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
			epsilonTransformationParameters.put(expName, list)
			generateDniModel(dni_base_model_file, list, i, expName)
		}
		{
			var String expName = expNamePrefix+"2920_SW_2Kpps_128Gbps_340us";		
			var param_SdnSwSwitchingLatency = 340
			var param_SdnSwSwitchingperfPPS = 2000
			var boolean param_goOverSdnSW = true
			var param_SdnHwSwitchingLatency = 3.3
			var param_SdnHwSwitchingperfPPS = 92.2*1000000
			var param_SdnHwSwitchingperfBPS = 128 //*1000*1000*1000
			var List<Variable> list = newLinkedList()
			list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
			list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
			
			list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
			epsilonTransformationParameters.put(expName, list)
			generateDniModel(dni_base_model_file, list, i, expName)
		}
		{
			var String expName = expNamePrefix+"3500_HW_75.5Mpps_101.8Gbps_3.4us";		
			var param_SdnSwSwitchingLatency = 30
			var param_SdnSwSwitchingperfPPS = 10000
			var boolean param_goOverSdnSW = false
			var param_SdnHwSwitchingLatency = 3.3
			var param_SdnHwSwitchingperfPPS = 75.7*1000*1000
			var param_SdnHwSwitchingperfBPS = 108.1//*1000*1000*1000
			var List<Variable> list = newLinkedList()
			list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
			list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
			
			list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
			epsilonTransformationParameters.put(expName, list)
			generateDniModel(dni_base_model_file, list, i, expName)
		
		}
		{
			var String expName = expNamePrefix+"3500_SW_10Kpps_101.8Gbps_30us";		
			var param_SdnSwSwitchingLatency = 90
			var param_SdnSwSwitchingperfPPS = 10000
			var boolean param_goOverSdnSW = true
			var param_SdnHwSwitchingLatency = 3.3
			var param_SdnHwSwitchingperfPPS = 75.7*1000*1000
			var param_SdnHwSwitchingperfBPS = 108.1//*1000*1000*1000
			var List<Variable> list = newLinkedList()
			list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
			list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
			
			list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
			epsilonTransformationParameters.put(expName, list)
			generateDniModel(dni_base_model_file, list, i, expName)
		
		}
		
		{
			var String expName = expNamePrefix+"5700_HW_714.1Mpps_960Gbps_1.5us";		
			var param_SdnSwSwitchingLatency = 1
			var param_SdnSwSwitchingperfPPS = 999999999
			var boolean param_goOverSdnSW = false
			var param_SdnHwSwitchingLatency = 1.5
			var param_SdnHwSwitchingperfPPS = 714.1*1000*1000
			var param_SdnHwSwitchingperfBPS = 960//*1000*1000*1000
			var List<Variable> list = newLinkedList()
			list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
			list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
			
			list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
			epsilonTransformationParameters.put(expName, list)
			generateDniModel(dni_base_model_file, list, i, expName)
		
		}


		{
			var String expName = expNamePrefix+"5130_HW_96Mpps_960Gbps_5us";		
			var param_SdnSwSwitchingLatency = 1
			var param_SdnSwSwitchingperfPPS = 999999999
			var boolean param_goOverSdnSW = false
			var param_SdnHwSwitchingLatency = 5
			var param_SdnHwSwitchingperfPPS = 96*1000*1000
			var param_SdnHwSwitchingperfBPS = 128//*1000*1000*1000
			var List<Variable> list = newLinkedList()
			list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
			list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
			
			list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
			list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
			list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
			epsilonTransformationParameters.put(expName, list)
			generateDniModel(dni_base_model_file, list, i, expName)
		
		}

		

		
		//from here, the expName is accessible only via linked lists!!
		
		
		//dniModels is filled
		checkDniModels		// eol //optional
		transformAll		// etl
		//qpmeModels is filled
		generateQpeFiles	//egl
		//qpmeFiles is filled 
		println("Starting run of "+i+" simulations.")
		if(simulate){
			simulateAll			//bash SimQPN simulation
			//qpmeSimulationResultFiles is filled	
		}
		
		parseAllResults(expNamePrefix+getCurrentTimeStamp+"_final.txt")
		//qpmeSimulationProcessedResults is filled
		
		///cleanup
		cleanup
	}
	
	public def start_experiment2(){
		
		simQpnParser.interestingPlaces = newLinkedList("rx_of_Receiver")//, "SW_SDN_Switching_QP_SwitchSDN(HP3500)", "HW_SDN_Switching_QP_SwitchSDN(HP3500)")
  		simQpnParser.interestingColors = newLinkedList("Flow-iperf_to_iperf-destination")
  		simQpnParser.interestingMetrics = newLinkedList("arrivThrPut")//, "deptThrPut")

		epsilonTransformationParameters.clear
		var expNamePrefix = "Experiment2";
		var mtus = newLinkedList(1500, 1188, 888, 588, 288, 128)
		
		var int i = 0
		for(goOverSdnSW : #[true]){
			for(swlatency : #[80,90,100]){ //currently in us
				for(Integer mtu : mtus){
					i+=1
					var param_MTUsize = mtu //1500; //B
					var param_SdnSwSwitchingLatency = swlatency//3.3 //us
					var param_SdnSwSwitchingperfPPS = 10*1000 //100000;  //PPS
					
					var boolean param_goOverSdnSW = goOverSdnSW
					var param_SdnHwSwitchingLatency = 3.3 //us
					var param_SdnHwSwitchingperfPPS = 7.57E7 //100000;  //PPS
					var param_SdnHwSwitchingperfBPS = 101.8*1000*1000*1000
					
					var String expName = expNamePrefix+".mtu."+param_MTUsize+".SWlatency."+param_SdnSwSwitchingLatency+".SWpps."+param_SdnSwSwitchingperfPPS+".HWlatency."+param_SdnHwSwitchingLatency+".HWpps."+param_SdnHwSwitchingperfPPS+".goOverSwSDN."+param_goOverSdnSW;
					
					
					var List<Variable> list = newLinkedList()
					list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
					list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
					list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
					list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
					
					list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
					list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
					list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
					epsilonTransformationParameters.put(expName, list)
					
					
					
					generateDniModel(dni_base_model_file, list, i, expName)
				}
			}
		}
		
		//from here, the expName is accessible only via linked lists!!
		
		
		//dniModels is filled
		checkDniModels		// eol //optional
		transformAll		// etl
		//qpmeModels is filled
		generateQpeFiles	//egl
		//qpmeFiles is filled 
		println("Starting run of "+i+" simulations.")
		simulateAll			//bash SimQPN simulation
		//qpmeSimulationResultFiles is filled
		
		println("pwdURI "+pwdURI)
		println("pwdUnix "+pwdUnix)
		
		
				
				
		parseAllResults(expNamePrefix+getCurrentTimeStamp+"_final.txt")
		//qpmeSimulationProcessedResults is filled
		
		qpmeSimulationResultFiles.forEach[pair, placeIndex|
			var p = pair as ExperimentModel
			println("EXP "+p.experiment+" FILE "+p.modelURI)
		]
		
		
		///cleanup
		cleanup
	}
	
	public def start_experiment3_3500(){
		
		simQpnParser.interestingPlaces = newLinkedList("rx_of_Receiver")//, "SW_SDN_Switching_QP_SwitchSDN(HP3500)", "HW_SDN_Switching_QP_SwitchSDN(HP3500)")
  		simQpnParser.interestingColors = newLinkedList("Flow-iperf_to_iperf-destination")
  		simQpnParser.interestingMetrics = newLinkedList("arrivThrPut")//, "deptThrPut")

		epsilonTransformationParameters.clear
		var expNamePrefix = "Experiment3_3500_";
		
		var ppsList = (1..100).map[v|v*100]
		
		var int i = 0
		for(goOverSdnSW : #[true]){
			for(swlatency : #[0]){ //currently in us
				for(Integer pps : ppsList){
					i+=1
					var param_MTUsize = 1500
					var param_SdnSwSwitchingLatency = swlatency
					var param_SdnSwSwitchingperfPPS = pps 
					
					var boolean param_goOverSdnSW = goOverSdnSW
					var param_SdnHwSwitchingLatency = 3.4
					var param_SdnHwSwitchingperfPPS = 7.57E7
					var param_SdnHwSwitchingperfBPS = 101.8// prefix G is default *1000*1000*1000
					
					var String expName = expNamePrefix+".mtu."+param_MTUsize+".SWlatency."+param_SdnSwSwitchingLatency+".SWpps."+param_SdnSwSwitchingperfPPS+".HWlatency."+param_SdnHwSwitchingLatency+".HWpps."+param_SdnHwSwitchingperfPPS+".goOverSwSDN."+param_goOverSdnSW;
					
					
					var List<Variable> list = newLinkedList()
					list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
					list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
					list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
					list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
					
					list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
					list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
					list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
					epsilonTransformationParameters.put(expName, list)
					
					
					
					generateDniModel(dni_base_model_file, list, i, expName)
				}
			}
		}
		
		//from here, the expName is accessible only via linked lists!!
		
		
		//dniModels is filled
		checkDniModels		// eol //optional
		transformAll		// etl
		//qpmeModels is filled
		generateQpeFiles	//egl
		//qpmeFiles is filled 
		println("Starting run of "+i+" simulations.")
		simulateAll			//bash SimQPN simulation
		//qpmeSimulationResultFiles is filled
		
		println("pwdURI "+pwdURI)
		println("pwdUnix "+pwdUnix)
		
		
				
				
		parseAllResults(expNamePrefix+getCurrentTimeStamp+"_final.txt")
		//qpmeSimulationProcessedResults is filled
		
		qpmeSimulationResultFiles.forEach[pair, placeIndex|
			var p = pair as ExperimentModel
			println("EXP "+p.experiment+" FILE "+p.modelURI)
		]

		///cleanup
		cleanup
	}
	
	public def start_experiment3_3500_new(){
		
		simQpnParser.interestingPlaces = newLinkedList("rx_of_Receiver")//, "SW_SDN_Switching_QP_SwitchSDN(HP3500)", "HW_SDN_Switching_QP_SwitchSDN(HP3500)")
  		simQpnParser.interestingColors = newLinkedList("Flow-iperf_to_iperf-destination")
  		simQpnParser.interestingMetrics = newLinkedList("arrivThrPut")//, "deptThrPut")

		epsilonTransformationParameters.clear
		var expNamePrefix = "Experiment3_3500_NEW";
		
		var ppsList = (1..10).map[v|v*1000]
		
		var int i = 0
		for(goOverSdnSW : #[true]){
			for(swlatency : #[70, 80, 90]){ //currently in us
				for(Integer pps : ppsList){
					i+=1
					var param_MTUsize = 1500
					var param_SdnSwSwitchingLatency = swlatency
					var param_SdnSwSwitchingperfPPS = pps 
					
					var boolean param_goOverSdnSW = goOverSdnSW
					var param_SdnHwSwitchingLatency = 3.4
					var param_SdnHwSwitchingperfPPS = 7.57E7
					var param_SdnHwSwitchingperfBPS = 101.8// prefix G is default *1000*1000*1000
					
					var String expName = expNamePrefix+".mtu."+param_MTUsize+".SWlatency."+param_SdnSwSwitchingLatency+".SWpps."+param_SdnSwSwitchingperfPPS+".HWlatency."+param_SdnHwSwitchingLatency+".HWpps."+param_SdnHwSwitchingperfPPS+".goOverSwSDN."+param_goOverSdnSW;
					
					
					var List<Variable> list = newLinkedList()
					list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
					list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
					list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
					list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
					
					list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
					list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
					list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
					epsilonTransformationParameters.put(expName, list)
					
					
					
					generateDniModel(dni_base_model_file, list, i, expName)
				}
			}
		}
		
		//from here, the expName is accessible only via linked lists!!
		
		
		//dniModels is filled
		checkDniModels		// eol //optional
		transformAll		// etl
		//qpmeModels is filled
		generateQpeFiles	//egl
		//qpmeFiles is filled 
		println("Starting run of "+i+" simulations.")
		simulateAll			//bash SimQPN simulation
		//qpmeSimulationResultFiles is filled
		
		println("pwdURI "+pwdURI)
		println("pwdUnix "+pwdUnix)
		
		
				
				
		parseAllResults(expNamePrefix+getCurrentTimeStamp+"_final.txt")
		//qpmeSimulationProcessedResults is filled
		
		qpmeSimulationResultFiles.forEach[pair, placeIndex|
			var p = pair as ExperimentModel
			println("EXP "+p.experiment+" FILE "+p.modelURI)
		]

		///cleanup
		cleanup
	}
	public def start_experiment3_2920(){
		
		simQpnParser.interestingPlaces = newLinkedList("rx_of_Receiver")//, "SW_SDN_Switching_QP_SwitchSDN(HP3500)", "HW_SDN_Switching_QP_SwitchSDN(HP3500)")
  		simQpnParser.interestingColors = newLinkedList("Flow-iperf_to_iperf-destination")
  		simQpnParser.interestingMetrics = newLinkedList("arrivThrPut")//, "deptThrPut")

		epsilonTransformationParameters.clear
		var expNamePrefix = "Experiment3_2920_";
		
		var ppsList = (1..20).map[v|v*100]
		
		var int i = 0
		for(goOverSdnSW : #[true]){
			for(swlatency : #[200, 300]){ //currently in us
				for(Integer pps : ppsList){
					i+=1
					var param_MTUsize = 1500
					var param_SdnSwSwitchingLatency = swlatency
					var param_SdnSwSwitchingperfPPS = pps 
					
					var boolean param_goOverSdnSW = goOverSdnSW
					var param_SdnHwSwitchingLatency = 3.3 
					var param_SdnHwSwitchingperfPPS = 92.2*1000000
					var param_SdnHwSwitchingperfBPS = 128// prefix G is default *1000*1000*1000
					
					var String expName = expNamePrefix+".mtu."+param_MTUsize+".SWlatency."+param_SdnSwSwitchingLatency+".SWpps."+param_SdnSwSwitchingperfPPS+".HWlatency."+param_SdnHwSwitchingLatency+".HWpps."+param_SdnHwSwitchingperfPPS+".goOverSwSDN."+param_goOverSdnSW;
					
					
					var List<Variable> list = newLinkedList()
					list.add(new Variable("param_goOverSdnSW", param_goOverSdnSW, EolPrimitiveType.Boolean))
					list.add(new Variable("param_MTUsize", param_MTUsize, EolPrimitiveType.Integer))
					list.add(new Variable("param_SdnSwSwitchingLatency", param_SdnSwSwitchingLatency, EolPrimitiveType.Real))
					list.add(new Variable("param_SdnSwSwitchingperfPPS", param_SdnSwSwitchingperfPPS, EolPrimitiveType.Integer))
					
					list.add(new Variable("param_SdnHwSwitchingLatency", param_SdnHwSwitchingLatency, EolPrimitiveType.Real))
					list.add(new Variable("param_SdnHwSwitchingperfPPS", param_SdnHwSwitchingperfPPS, EolPrimitiveType.Integer))
					list.add(new Variable("param_SdnHwSwitchingperfBPS", param_SdnHwSwitchingperfBPS, EolPrimitiveType.Real))
					epsilonTransformationParameters.put(expName, list)
					
					
					
					generateDniModel(dni_base_model_file, list, i, expName)
				}
			}
		}
		
		//from here, the expName is accessible only via linked lists!!
		
		
		//dniModels is filled
		checkDniModels		// eol //optional
		transformAll		// etl
		//qpmeModels is filled
		generateQpeFiles	//egl
		//qpmeFiles is filled 
		println("Starting run of "+i+" simulations.")
		simulateAll			//bash SimQPN simulation
		//qpmeSimulationResultFiles is filled
		
		println("pwdURI "+pwdURI)
		println("pwdUnix "+pwdUnix)
		
		
				
				
		parseAllResults(expNamePrefix+getCurrentTimeStamp+"_final.txt")
		//qpmeSimulationProcessedResults is filled
		
		qpmeSimulationResultFiles.forEach[pair, placeIndex|
			var p = pair as ExperimentModel
			println("EXP "+p.experiment+" FILE "+p.modelURI)
		]
		
		
		///cleanup
		cleanup
	}
}