/**
 */
package tools.descartes.dni.dnimm3ap.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import tools.descartes.dni.dnimm3.ConstantDoubleVariable;
import tools.descartes.dni.dnimm3.ConstantLongVariable;
import tools.descartes.dni.dnimm3.Dependency;
import tools.descartes.dni.dnimm3.ITypedEntity;
import tools.descartes.dni.dnimm3.Identifier;
import tools.descartes.dni.dnimm3.NamedElement;
import tools.descartes.dni.dnimm3.Variable;

import tools.descartes.dni.dnimm3ap.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see tools.descartes.dni.dnimm3ap.DNIAPPackage
 * @generated
 */
public class DNIAPAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static DNIAPPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DNIAPAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = DNIAPPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DNIAPSwitch<Adapter> modelSwitch =
		new DNIAPSwitch<Adapter>() {
			@Override
			public Adapter caseAdaptationPoints(AdaptationPoints object) {
				return createAdaptationPointsAdapter();
			}
			@Override
			public Adapter caseAdaptationRepository(AdaptationRepository object) {
				return createAdaptationRepositoryAdapter();
			}
			@Override
			public <T extends ITypedEntity> Adapter caseIAdaptableEntity(IAdaptableEntity<T> object) {
				return createIAdaptableEntityAdapter();
			}
			@Override
			public Adapter caseIAdaptableGroupableEntity(IAdaptableGroupableEntity object) {
				return createIAdaptableGroupableEntityAdapter();
			}
			@Override
			public Adapter caseAdaptableNode(AdaptableNode object) {
				return createAdaptableNodeAdapter();
			}
			@Override
			public Adapter caseAdaptableLink(AdaptableLink object) {
				return createAdaptableLinkAdapter();
			}
			@Override
			public Adapter caseAdaptableLinkPerformance(AdaptableLinkPerformance object) {
				return createAdaptableLinkPerformanceAdapter();
			}
			@Override
			public Adapter caseAdaptableEndPerformance(AdaptableEndPerformance object) {
				return createAdaptableEndPerformanceAdapter();
			}
			@Override
			public Adapter caseAdaptableIntermediatePerformance(AdaptableIntermediatePerformance object) {
				return createAdaptableIntermediatePerformanceAdapter();
			}
			@Override
			public Adapter caseAdaptableSdnNodePerformance(AdaptableSdnNodePerformance object) {
				return createAdaptableSdnNodePerformanceAdapter();
			}
			@Override
			public Adapter caseAdaptableNetworkInterface(AdaptableNetworkInterface object) {
				return createAdaptableNetworkInterfaceAdapter();
			}
			@Override
			public Adapter caseAdaptableNetworkInterfacePerformance(AdaptableNetworkInterfacePerformance object) {
				return createAdaptableNetworkInterfacePerformanceAdapter();
			}
			@Override
			public Adapter caseAdaptableFlow(AdaptableFlow object) {
				return createAdaptableFlowAdapter();
			}
			@Override
			public Adapter caseAdaptationGroups(AdaptationGroups object) {
				return createAdaptationGroupsAdapter();
			}
			@Override
			public Adapter caseIAdaptationGroup(IAdaptationGroup object) {
				return createIAdaptationGroupAdapter();
			}
			@Override
			public Adapter caseNodeAdaptationGroup(NodeAdaptationGroup object) {
				return createNodeAdaptationGroupAdapter();
			}
			@Override
			public Adapter caseLinkAdaptationGroup(LinkAdaptationGroup object) {
				return createLinkAdaptationGroupAdapter();
			}
			@Override
			public Adapter caseAlternativeDependency(AlternativeDependency object) {
				return createAlternativeDependencyAdapter();
			}
			@Override
			public Adapter caseAlternativeDependencySet(AlternativeDependencySet object) {
				return createAlternativeDependencySetAdapter();
			}
			@Override
			public Adapter caseAlternativeVariable(AlternativeVariable object) {
				return createAlternativeVariableAdapter();
			}
			@Override
			public Adapter caseAlternativeVariableSet(AlternativeVariableSet object) {
				return createAlternativeVariableSetAdapter();
			}
			@Override
			public Adapter caseAdaptableDependency(AdaptableDependency object) {
				return createAdaptableDependencyAdapter();
			}
			@Override
			public Adapter caseAdaptableVariable(AdaptableVariable object) {
				return createAdaptableVariableAdapter();
			}
			@Override
			public Adapter caseAdaptableConstantLongVariable(AdaptableConstantLongVariable object) {
				return createAdaptableConstantLongVariableAdapter();
			}
			@Override
			public Adapter caseAdaptableConstantDoubleVariable(AdaptableConstantDoubleVariable object) {
				return createAdaptableConstantDoubleVariableAdapter();
			}
			@Override
			public Adapter caseICostable(ICostable object) {
				return createICostableAdapter();
			}
			@Override
			public Adapter caseCost(Cost object) {
				return createCostAdapter();
			}
			@Override
			public Adapter caseInvestment(Investment object) {
				return createInvestmentAdapter();
			}
			@Override
			public Adapter caseHandlingTime(HandlingTime object) {
				return createHandlingTimeAdapter();
			}
			@Override
			public Adapter caseICostFunction(ICostFunction object) {
				return createICostFunctionAdapter();
			}
			@Override
			public Adapter caseFixedCostFunction(FixedCostFunction object) {
				return createFixedCostFunctionAdapter();
			}
			@Override
			public Adapter caseNamedElement(NamedElement object) {
				return createNamedElementAdapter();
			}
			@Override
			public Adapter caseIdentifier(Identifier object) {
				return createIdentifierAdapter();
			}
			@Override
			public Adapter caseDependency(Dependency object) {
				return createDependencyAdapter();
			}
			@Override
			public Adapter caseVariable(Variable object) {
				return createVariableAdapter();
			}
			@Override
			public Adapter caseConstantLongVariable(ConstantLongVariable object) {
				return createConstantLongVariableAdapter();
			}
			@Override
			public Adapter caseConstantDoubleVariable(ConstantDoubleVariable object) {
				return createConstantDoubleVariableAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptationPoints <em>Adaptation Points</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptationPoints
	 * @generated
	 */
	public Adapter createAdaptationPointsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptationRepository <em>Adaptation Repository</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptationRepository
	 * @generated
	 */
	public Adapter createAdaptationRepositoryAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.IAdaptableEntity <em>IAdaptable Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.IAdaptableEntity
	 * @generated
	 */
	public Adapter createIAdaptableEntityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.IAdaptableGroupableEntity <em>IAdaptable Groupable Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.IAdaptableGroupableEntity
	 * @generated
	 */
	public Adapter createIAdaptableGroupableEntityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableNode <em>Adaptable Node</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableNode
	 * @generated
	 */
	public Adapter createAdaptableNodeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableLink <em>Adaptable Link</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableLink
	 * @generated
	 */
	public Adapter createAdaptableLinkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableLinkPerformance <em>Adaptable Link Performance</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableLinkPerformance
	 * @generated
	 */
	public Adapter createAdaptableLinkPerformanceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableEndPerformance <em>Adaptable End Performance</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableEndPerformance
	 * @generated
	 */
	public Adapter createAdaptableEndPerformanceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableIntermediatePerformance <em>Adaptable Intermediate Performance</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableIntermediatePerformance
	 * @generated
	 */
	public Adapter createAdaptableIntermediatePerformanceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableSdnNodePerformance <em>Adaptable Sdn Node Performance</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableSdnNodePerformance
	 * @generated
	 */
	public Adapter createAdaptableSdnNodePerformanceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableNetworkInterface <em>Adaptable Network Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableNetworkInterface
	 * @generated
	 */
	public Adapter createAdaptableNetworkInterfaceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableNetworkInterfacePerformance <em>Adaptable Network Interface Performance</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableNetworkInterfacePerformance
	 * @generated
	 */
	public Adapter createAdaptableNetworkInterfacePerformanceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableFlow <em>Adaptable Flow</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableFlow
	 * @generated
	 */
	public Adapter createAdaptableFlowAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptationGroups <em>Adaptation Groups</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptationGroups
	 * @generated
	 */
	public Adapter createAdaptationGroupsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.IAdaptationGroup <em>IAdaptation Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.IAdaptationGroup
	 * @generated
	 */
	public Adapter createIAdaptationGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.NodeAdaptationGroup <em>Node Adaptation Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.NodeAdaptationGroup
	 * @generated
	 */
	public Adapter createNodeAdaptationGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.LinkAdaptationGroup <em>Link Adaptation Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.LinkAdaptationGroup
	 * @generated
	 */
	public Adapter createLinkAdaptationGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AlternativeDependency <em>Alternative Dependency</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AlternativeDependency
	 * @generated
	 */
	public Adapter createAlternativeDependencyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AlternativeDependencySet <em>Alternative Dependency Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AlternativeDependencySet
	 * @generated
	 */
	public Adapter createAlternativeDependencySetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AlternativeVariable <em>Alternative Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AlternativeVariable
	 * @generated
	 */
	public Adapter createAlternativeVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AlternativeVariableSet <em>Alternative Variable Set</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AlternativeVariableSet
	 * @generated
	 */
	public Adapter createAlternativeVariableSetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableDependency <em>Adaptable Dependency</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableDependency
	 * @generated
	 */
	public Adapter createAdaptableDependencyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableVariable <em>Adaptable Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableVariable
	 * @generated
	 */
	public Adapter createAdaptableVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableConstantLongVariable <em>Adaptable Constant Long Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableConstantLongVariable
	 * @generated
	 */
	public Adapter createAdaptableConstantLongVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.AdaptableConstantDoubleVariable <em>Adaptable Constant Double Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.AdaptableConstantDoubleVariable
	 * @generated
	 */
	public Adapter createAdaptableConstantDoubleVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.ICostable <em>ICostable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.ICostable
	 * @generated
	 */
	public Adapter createICostableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.Cost <em>Cost</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.Cost
	 * @generated
	 */
	public Adapter createCostAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.Investment <em>Investment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.Investment
	 * @generated
	 */
	public Adapter createInvestmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.HandlingTime <em>Handling Time</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.HandlingTime
	 * @generated
	 */
	public Adapter createHandlingTimeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.ICostFunction <em>ICost Function</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.ICostFunction
	 * @generated
	 */
	public Adapter createICostFunctionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3ap.FixedCostFunction <em>Fixed Cost Function</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3ap.FixedCostFunction
	 * @generated
	 */
	public Adapter createFixedCostFunctionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3.NamedElement <em>Named Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3.NamedElement
	 * @generated
	 */
	public Adapter createNamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3.Identifier <em>Identifier</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3.Identifier
	 * @generated
	 */
	public Adapter createIdentifierAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3.Dependency <em>Dependency</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3.Dependency
	 * @generated
	 */
	public Adapter createDependencyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3.Variable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3.Variable
	 * @generated
	 */
	public Adapter createVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3.ConstantLongVariable <em>Constant Long Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3.ConstantLongVariable
	 * @generated
	 */
	public Adapter createConstantLongVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link tools.descartes.dni.dnimm3.ConstantDoubleVariable <em>Constant Double Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see tools.descartes.dni.dnimm3.ConstantDoubleVariable
	 * @generated
	 */
	public Adapter createConstantDoubleVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //DNIAPAdapterFactory
