/**
 */
package tools.descartes.dni.dnimm3;

import java.util.List;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Flow</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link tools.descartes.dni.dnimm3.Flow#getSourceSoftware <em>Source Software</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3.Flow#getGeneratedTraffic <em>Generated Traffic</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3.Flow#getDestinationSoftware <em>Destination Software</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3.Flow#getDestinationAddresses <em>Destination Addresses</em>}</li>
 *   <li>{@link tools.descartes.dni.dnimm3.Flow#getEntityType <em>Entity Type</em>}</li>
 * </ul>
 *
 * @see tools.descartes.dni.dnimm3.DNIPackage#getFlow()
 * @model
 * @generated
 */
public interface Flow extends Entity {
	/**
	 * Returns the value of the '<em><b>Source Software</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Source Software</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Source Software</em>' reference.
	 * @see #setSourceSoftware(CommunicatingApplication)
	 * @see tools.descartes.dni.dnimm3.DNIPackage#getFlow_SourceSoftware()
	 * @model required="true"
	 * @generated
	 */
	CommunicatingApplication getSourceSoftware();

	/**
	 * Sets the value of the '{@link tools.descartes.dni.dnimm3.Flow#getSourceSoftware <em>Source Software</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Source Software</em>' reference.
	 * @see #getSourceSoftware()
	 * @generated
	 */
	void setSourceSoftware(CommunicatingApplication value);

	/**
	 * Returns the value of the '<em><b>Generated Traffic</b></em>' containment reference list.
	 * The list contents are of type {@link tools.descartes.dni.dnimm3.FlowTraffic}.
	 * It is bidirectional and its opposite is '{@link tools.descartes.dni.dnimm3.FlowTraffic#getFlow <em>Flow</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Generated Traffic</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Generated Traffic</em>' containment reference list.
	 * @see tools.descartes.dni.dnimm3.DNIPackage#getFlow_GeneratedTraffic()
	 * @see tools.descartes.dni.dnimm3.FlowTraffic#getFlow
	 * @model opposite="flow" containment="true"
	 * @generated
	 */
	List<FlowTraffic> getGeneratedTraffic();

	/**
	 * Returns the value of the '<em><b>Destination Software</b></em>' reference list.
	 * The list contents are of type {@link tools.descartes.dni.dnimm3.CommunicatingApplication}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Destination Software</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Destination Software</em>' reference list.
	 * @see tools.descartes.dni.dnimm3.DNIPackage#getFlow_DestinationSoftware()
	 * @model required="true"
	 * @generated
	 */
	List<CommunicatingApplication> getDestinationSoftware();

	/**
	 * Returns the value of the '<em><b>Destination Addresses</b></em>' containment reference list.
	 * The list contents are of type {@link tools.descartes.dni.dnimm3.EntityAddress}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Destination Addresses</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Destination Addresses</em>' containment reference list.
	 * @see tools.descartes.dni.dnimm3.DNIPackage#getFlow_DestinationAddresses()
	 * @model containment="true"
	 * @generated
	 */
	List<EntityAddress> getDestinationAddresses();

	/**
	 * Returns the value of the '<em><b>Entity Type</b></em>' reference.
	 * It is bidirectional and its opposite is '{@link tools.descartes.dni.dnimm3.FlowType#getEntities <em>Entities</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Entity Type</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Entity Type</em>' reference.
	 * @see #setEntityType(FlowType)
	 * @see tools.descartes.dni.dnimm3.DNIPackage#getFlow_EntityType()
	 * @see tools.descartes.dni.dnimm3.FlowType#getEntities
	 * @model opposite="entities"
	 * @generated
	 */
	FlowType getEntityType();

	/**
	 * Sets the value of the '{@link tools.descartes.dni.dnimm3.Flow#getEntityType <em>Entity Type</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Entity Type</em>' reference.
	 * @see #getEntityType()
	 * @generated
	 */
	void setEntityType(FlowType value);

} // Flow
