/**
 */
package tools.descartes.dni.dnimm3.provider;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.edit.provider.ChangeNotifier;
import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.ComposedAdapterFactory;
import org.eclipse.emf.edit.provider.IChangeNotifier;
import org.eclipse.emf.edit.provider.IDisposable;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.INotifyChangedListener;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;

import tools.descartes.dni.dnimm3.util.DNIAdapterFactory;

/**
 * This is the factory that is used to provide the interfaces needed to support Viewers.
 * The adapters generated by this factory convert EMF adapter notifications into calls to {@link #fireNotifyChanged fireNotifyChanged}.
 * The adapters also support Eclipse property sheets.
 * Note that most of the adapters are shared among multiple instances.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class DNIItemProviderAdapterFactory extends DNIAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable {
	/**
	 * This keeps track of the root adapter factory that delegates to this adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ComposedAdapterFactory parentAdapterFactory;

	/**
	 * This is used to implement {@link org.eclipse.emf.edit.provider.IChangeNotifier}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected IChangeNotifier changeNotifier = new ChangeNotifier();

	/**
	 * This keeps track of all the supported types checked by {@link #isFactoryForType isFactoryForType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected Collection<Object> supportedTypes = new ArrayList<Object>();

	/**
	 * This constructs an instance.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DNIItemProviderAdapterFactory() {
		supportedTypes.add(IEditingDomainItemProvider.class);
		supportedTypes.add(IStructuredItemContentProvider.class);
		supportedTypes.add(ITreeItemContentProvider.class);
		supportedTypes.add(IItemLabelProvider.class);
		supportedTypes.add(IItemPropertySource.class);
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NetworkInfrastructure} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkInfrastructureItemProvider networkInfrastructureItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NetworkInfrastructure}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNetworkInfrastructureAdapter() {
		if (networkInfrastructureItemProvider == null) {
			networkInfrastructureItemProvider = new NetworkInfrastructureItemProvider(this);
		}

		return networkInfrastructureItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NetworkStructure} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkStructureItemProvider networkStructureItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NetworkStructure}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNetworkStructureAdapter() {
		if (networkStructureItemProvider == null) {
			networkStructureItemProvider = new NetworkStructureItemProvider(this);
		}

		return networkStructureItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.Node} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NodeItemProvider nodeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.Node}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNodeAdapter() {
		if (nodeItemProvider == null) {
			nodeItemProvider = new NodeItemProvider(this);
		}

		return nodeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.End} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EndItemProvider endItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.End}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEndAdapter() {
		if (endItemProvider == null) {
			endItemProvider = new EndItemProvider(this);
		}

		return endItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.Intermediate} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected IntermediateItemProvider intermediateItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.Intermediate}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createIntermediateAdapter() {
		if (intermediateItemProvider == null) {
			intermediateItemProvider = new IntermediateItemProvider(this);
		}

		return intermediateItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.Link} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected LinkItemProvider linkItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.Link}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLinkAdapter() {
		if (linkItemProvider == null) {
			linkItemProvider = new LinkItemProvider(this);
		}

		return linkItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NetworkInterface} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkInterfaceItemProvider networkInterfaceItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NetworkInterface}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNetworkInterfaceAdapter() {
		if (networkInterfaceItemProvider == null) {
			networkInterfaceItemProvider = new NetworkInterfaceItemProvider(this);
		}

		return networkInterfaceItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NetworkTraffic} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkTrafficItemProvider networkTrafficItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NetworkTraffic}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNetworkTrafficAdapter() {
		if (networkTrafficItemProvider == null) {
			networkTrafficItemProvider = new NetworkTrafficItemProvider(this);
		}

		return networkTrafficItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.Flow} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FlowItemProvider flowItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.Flow}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createFlowAdapter() {
		if (flowItemProvider == null) {
			flowItemProvider = new FlowItemProvider(this);
		}

		return flowItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.SdnControlFlow} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SdnControlFlowItemProvider sdnControlFlowItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.SdnControlFlow}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSdnControlFlowAdapter() {
		if (sdnControlFlowItemProvider == null) {
			sdnControlFlowItemProvider = new SdnControlFlowItemProvider(this);
		}

		return sdnControlFlowItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.GenericFlowTraffic} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected GenericFlowTrafficItemProvider genericFlowTrafficItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.GenericFlowTraffic}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createGenericFlowTrafficAdapter() {
		if (genericFlowTrafficItemProvider == null) {
			genericFlowTrafficItemProvider = new GenericFlowTrafficItemProvider(this);
		}

		return genericFlowTrafficItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.CommunicatingApplication} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CommunicatingApplicationItemProvider communicatingApplicationItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.CommunicatingApplication}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createCommunicatingApplicationAdapter() {
		if (communicatingApplicationItemProvider == null) {
			communicatingApplicationItemProvider = new CommunicatingApplicationItemProvider(this);
		}

		return communicatingApplicationItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.TrafficSource} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TrafficSourceItemProvider trafficSourceItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.TrafficSource}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createTrafficSourceAdapter() {
		if (trafficSourceItemProvider == null) {
			trafficSourceItemProvider = new TrafficSourceItemProvider(this);
		}

		return trafficSourceItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NetworkConfiguration} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkConfigurationItemProvider networkConfigurationItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NetworkConfiguration}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNetworkConfigurationAdapter() {
		if (networkConfigurationItemProvider == null) {
			networkConfigurationItemProvider = new NetworkConfigurationItemProvider(this);
		}

		return networkConfigurationItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.ProtocolsRepository} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ProtocolsRepositoryItemProvider protocolsRepositoryItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.ProtocolsRepository}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createProtocolsRepositoryAdapter() {
		if (protocolsRepositoryItemProvider == null) {
			protocolsRepositoryItemProvider = new ProtocolsRepositoryItemProvider(this);
		}

		return protocolsRepositoryItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.ProtocolStack} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ProtocolStackItemProvider protocolStackItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.ProtocolStack}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createProtocolStackAdapter() {
		if (protocolStackItemProvider == null) {
			protocolStackItemProvider = new ProtocolStackItemProvider(this);
		}

		return protocolStackItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.ProtocolLayer} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ProtocolLayerItemProvider protocolLayerItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.ProtocolLayer}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createProtocolLayerAdapter() {
		if (protocolLayerItemProvider == null) {
			protocolLayerItemProvider = new ProtocolLayerItemProvider(this);
		}

		return protocolLayerItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NetworkProtocol} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkProtocolItemProvider networkProtocolItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NetworkProtocol}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNetworkProtocolAdapter() {
		if (networkProtocolItemProvider == null) {
			networkProtocolItemProvider = new NetworkProtocolItemProvider(this);
		}

		return networkProtocolItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.RoutesRepository} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected RoutesRepositoryItemProvider routesRepositoryItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.RoutesRepository}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createRoutesRepositoryAdapter() {
		if (routesRepositoryItemProvider == null) {
			routesRepositoryItemProvider = new RoutesRepositoryItemProvider(this);
		}

		return routesRepositoryItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.Direction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DirectionItemProvider directionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.Direction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createDirectionAdapter() {
		if (directionItemProvider == null) {
			directionItemProvider = new DirectionItemProvider(this);
		}

		return directionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.FlowRoute} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FlowRouteItemProvider flowRouteItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.FlowRoute}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createFlowRouteAdapter() {
		if (flowRouteItemProvider == null) {
			flowRouteItemProvider = new FlowRouteItemProvider(this);
		}

		return flowRouteItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.Route} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected RouteItemProvider routeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.Route}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createRouteAdapter() {
		if (routeItemProvider == null) {
			routeItemProvider = new RouteItemProvider(this);
		}

		return routeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.Hop} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected HopItemProvider hopItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.Hop}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createHopAdapter() {
		if (hopItemProvider == null) {
			hopItemProvider = new HopItemProvider(this);
		}

		return hopItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.EntityAddress} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EntityAddressItemProvider entityAddressItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.EntityAddress}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEntityAddressAdapter() {
		if (entityAddressItemProvider == null) {
			entityAddressItemProvider = new EntityAddressItemProvider(this);
		}

		return entityAddressItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.GenericWorkload} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected GenericWorkloadItemProvider genericWorkloadItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.GenericWorkload}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createGenericWorkloadAdapter() {
		if (genericWorkloadItemProvider == null) {
			genericWorkloadItemProvider = new GenericWorkloadItemProvider(this);
		}

		return genericWorkloadItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.BranchAction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected BranchActionItemProvider branchActionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.BranchAction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createBranchActionAdapter() {
		if (branchActionItemProvider == null) {
			branchActionItemProvider = new BranchActionItemProvider(this);
		}

		return branchActionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.LoopAction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected LoopActionItemProvider loopActionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.LoopAction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLoopActionAdapter() {
		if (loopActionItemProvider == null) {
			loopActionItemProvider = new LoopActionItemProvider(this);
		}

		return loopActionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.SequenceAction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SequenceActionItemProvider sequenceActionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.SequenceAction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSequenceActionAdapter() {
		if (sequenceActionItemProvider == null) {
			sequenceActionItemProvider = new SequenceActionItemProvider(this);
		}

		return sequenceActionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.StartAction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected StartActionItemProvider startActionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.StartAction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createStartActionAdapter() {
		if (startActionItemProvider == null) {
			startActionItemProvider = new StartActionItemProvider(this);
		}

		return startActionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.StopAction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected StopActionItemProvider stopActionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.StopAction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createStopActionAdapter() {
		if (stopActionItemProvider == null) {
			stopActionItemProvider = new StopActionItemProvider(this);
		}

		return stopActionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.TransmitAction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TransmitActionItemProvider transmitActionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.TransmitAction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createTransmitActionAdapter() {
		if (transmitActionItemProvider == null) {
			transmitActionItemProvider = new TransmitActionItemProvider(this);
		}

		return transmitActionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.WaitAction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected WaitActionItemProvider waitActionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.WaitAction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createWaitActionAdapter() {
		if (waitActionItemProvider == null) {
			waitActionItemProvider = new WaitActionItemProvider(this);
		}

		return waitActionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.PerformanceLink} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PerformanceLinkItemProvider performanceLinkItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.PerformanceLink}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createPerformanceLinkAdapter() {
		if (performanceLinkItemProvider == null) {
			performanceLinkItemProvider = new PerformanceLinkItemProvider(this);
		}

		return performanceLinkItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.PerformanceNetworkInterface} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PerformanceNetworkInterfaceItemProvider performanceNetworkInterfaceItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.PerformanceNetworkInterface}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createPerformanceNetworkInterfaceAdapter() {
		if (performanceNetworkInterfaceItemProvider == null) {
			performanceNetworkInterfaceItemProvider = new PerformanceNetworkInterfaceItemProvider(this);
		}

		return performanceNetworkInterfaceItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.SdnFlowRule} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SdnFlowRuleItemProvider sdnFlowRuleItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.SdnFlowRule}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSdnFlowRuleAdapter() {
		if (sdnFlowRuleItemProvider == null) {
			sdnFlowRuleItemProvider = new SdnFlowRuleItemProvider(this);
		}

		return sdnFlowRuleItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.SdnController} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SdnControllerItemProvider sdnControllerItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.SdnController}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSdnControllerAdapter() {
		if (sdnControllerItemProvider == null) {
			sdnControllerItemProvider = new SdnControllerItemProvider(this);
		}

		return sdnControllerItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.SdnControllerApplication} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SdnControllerApplicationItemProvider sdnControllerApplicationItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.SdnControllerApplication}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSdnControllerApplicationAdapter() {
		if (sdnControllerApplicationItemProvider == null) {
			sdnControllerApplicationItemProvider = new SdnControllerApplicationItemProvider(this);
		}

		return sdnControllerApplicationItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.Common} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CommonItemProvider commonItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.Common}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createCommonAdapter() {
		if (commonItemProvider == null) {
			commonItemProvider = new CommonItemProvider(this);
		}

		return commonItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.SDN} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SDNItemProvider sdnItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.SDN}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSDNAdapter() {
		if (sdnItemProvider == null) {
			sdnItemProvider = new SDNItemProvider(this);
		}

		return sdnItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.IntermediatePerformance} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected IntermediatePerformanceItemProvider intermediatePerformanceItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.IntermediatePerformance}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createIntermediatePerformanceAdapter() {
		if (intermediatePerformanceItemProvider == null) {
			intermediatePerformanceItemProvider = new IntermediatePerformanceItemProvider(this);
		}

		return intermediatePerformanceItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.EndPerformance} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EndPerformanceItemProvider endPerformanceItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.EndPerformance}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEndPerformanceAdapter() {
		if (endPerformanceItemProvider == null) {
			endPerformanceItemProvider = new EndPerformanceItemProvider(this);
		}

		return endPerformanceItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.PerformanceSdnNode} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PerformanceSdnNodeItemProvider performanceSdnNodeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.PerformanceSdnNode}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createPerformanceSdnNodeAdapter() {
		if (performanceSdnNodeItemProvider == null) {
			performanceSdnNodeItemProvider = new PerformanceSdnNodeItemProvider(this);
		}

		return performanceSdnNodeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.SpeedUnit} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SpeedUnitItemProvider speedUnitItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.SpeedUnit}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSpeedUnitAdapter() {
		if (speedUnitItemProvider == null) {
			speedUnitItemProvider = new SpeedUnitItemProvider(this);
		}

		return speedUnitItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.DataUnit} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DataUnitItemProvider dataUnitItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.DataUnit}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createDataUnitAdapter() {
		if (dataUnitItemProvider == null) {
			dataUnitItemProvider = new DataUnitItemProvider(this);
		}

		return dataUnitItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.TimeUnit} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TimeUnitItemProvider timeUnitItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.TimeUnit}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createTimeUnitAdapter() {
		if (timeUnitItemProvider == null) {
			timeUnitItemProvider = new TimeUnitItemProvider(this);
		}

		return timeUnitItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.ConstantDoubleVariable} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ConstantDoubleVariableItemProvider constantDoubleVariableItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.ConstantDoubleVariable}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createConstantDoubleVariableAdapter() {
		if (constantDoubleVariableItemProvider == null) {
			constantDoubleVariableItemProvider = new ConstantDoubleVariableItemProvider(this);
		}

		return constantDoubleVariableItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.ConstantLongVariable} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ConstantLongVariableItemProvider constantLongVariableItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.ConstantLongVariable}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createConstantLongVariableAdapter() {
		if (constantLongVariableItemProvider == null) {
			constantLongVariableItemProvider = new ConstantLongVariableItemProvider(this);
		}

		return constantLongVariableItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.RandomVariable} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected RandomVariableItemProvider randomVariableItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.RandomVariable}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createRandomVariableAdapter() {
		if (randomVariableItemProvider == null) {
			randomVariableItemProvider = new RandomVariableItemProvider(this);
		}

		return randomVariableItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.FloatCoordinate} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FloatCoordinateItemProvider floatCoordinateItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.FloatCoordinate}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createFloatCoordinateAdapter() {
		if (floatCoordinateItemProvider == null) {
			floatCoordinateItemProvider = new FloatCoordinateItemProvider(this);
		}

		return floatCoordinateItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.DiscreteFunction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected DiscreteFunctionItemProvider discreteFunctionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.DiscreteFunction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createDiscreteFunctionAdapter() {
		if (discreteFunctionItemProvider == null) {
			discreteFunctionItemProvider = new DiscreteFunctionItemProvider(this);
		}

		return discreteFunctionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.ExponentialFunction} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ExponentialFunctionItemProvider exponentialFunctionItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.ExponentialFunction}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createExponentialFunctionAdapter() {
		if (exponentialFunctionItemProvider == null) {
			exponentialFunctionItemProvider = new ExponentialFunctionItemProvider(this);
		}

		return exponentialFunctionItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.EntityTypes} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EntityTypesItemProvider entityTypesItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.EntityTypes}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEntityTypesAdapter() {
		if (entityTypesItemProvider == null) {
			entityTypesItemProvider = new EntityTypesItemProvider(this);
		}

		return entityTypesItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.FlowType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected FlowTypeItemProvider flowTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.FlowType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createFlowTypeAdapter() {
		if (flowTypeItemProvider == null) {
			flowTypeItemProvider = new FlowTypeItemProvider(this);
		}

		return flowTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NodeType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NodeTypeItemProvider nodeTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NodeType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNodeTypeAdapter() {
		if (nodeTypeItemProvider == null) {
			nodeTypeItemProvider = new NodeTypeItemProvider(this);
		}

		return nodeTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.EndPerformanceType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EndPerformanceTypeItemProvider endPerformanceTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.EndPerformanceType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createEndPerformanceTypeAdapter() {
		if (endPerformanceTypeItemProvider == null) {
			endPerformanceTypeItemProvider = new EndPerformanceTypeItemProvider(this);
		}

		return endPerformanceTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.IntermediatePerformanceType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected IntermediatePerformanceTypeItemProvider intermediatePerformanceTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.IntermediatePerformanceType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createIntermediatePerformanceTypeAdapter() {
		if (intermediatePerformanceTypeItemProvider == null) {
			intermediatePerformanceTypeItemProvider = new IntermediatePerformanceTypeItemProvider(this);
		}

		return intermediatePerformanceTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.SdnNodePerformanceType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SdnNodePerformanceTypeItemProvider sdnNodePerformanceTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.SdnNodePerformanceType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createSdnNodePerformanceTypeAdapter() {
		if (sdnNodePerformanceTypeItemProvider == null) {
			sdnNodePerformanceTypeItemProvider = new SdnNodePerformanceTypeItemProvider(this);
		}

		return sdnNodePerformanceTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NetworkInterfaceType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkInterfaceTypeItemProvider networkInterfaceTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NetworkInterfaceType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNetworkInterfaceTypeAdapter() {
		if (networkInterfaceTypeItemProvider == null) {
			networkInterfaceTypeItemProvider = new NetworkInterfaceTypeItemProvider(this);
		}

		return networkInterfaceTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.NetworkInterfacePerformanceType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected NetworkInterfacePerformanceTypeItemProvider networkInterfacePerformanceTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.NetworkInterfacePerformanceType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createNetworkInterfacePerformanceTypeAdapter() {
		if (networkInterfacePerformanceTypeItemProvider == null) {
			networkInterfacePerformanceTypeItemProvider = new NetworkInterfacePerformanceTypeItemProvider(this);
		}

		return networkInterfacePerformanceTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.LinkType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected LinkTypeItemProvider linkTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.LinkType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLinkTypeAdapter() {
		if (linkTypeItemProvider == null) {
			linkTypeItemProvider = new LinkTypeItemProvider(this);
		}

		return linkTypeItemProvider;
	}

	/**
	 * This keeps track of the one adapter used for all {@link tools.descartes.dni.dnimm3.LinkPerformanceType} instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected LinkPerformanceTypeItemProvider linkPerformanceTypeItemProvider;

	/**
	 * This creates an adapter for a {@link tools.descartes.dni.dnimm3.LinkPerformanceType}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter createLinkPerformanceTypeAdapter() {
		if (linkPerformanceTypeItemProvider == null) {
			linkPerformanceTypeItemProvider = new LinkPerformanceTypeItemProvider(this);
		}

		return linkPerformanceTypeItemProvider;
	}

	/**
	 * This returns the root adapter factory that contains this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComposeableAdapterFactory getRootAdapterFactory() {
		return parentAdapterFactory == null ? this : parentAdapterFactory.getRootAdapterFactory();
	}

	/**
	 * This sets the composed adapter factory that contains this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory) {
		this.parentAdapterFactory = parentAdapterFactory;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object type) {
		return supportedTypes.contains(type) || super.isFactoryForType(type);
	}

	/**
	 * This implementation substitutes the factory itself as the key for the adapter.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Adapter adapt(Notifier notifier, Object type) {
		return super.adapt(notifier, this);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object adapt(Object object, Object type) {
		if (isFactoryForType(type)) {
			Object adapter = super.adapt(object, type);
			if (!(type instanceof Class<?>) || (((Class<?>)type).isInstance(adapter))) {
				return adapter;
			}
		}

		return null;
	}

	/**
	 * This adds a listener.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void addListener(INotifyChangedListener notifyChangedListener) {
		changeNotifier.addListener(notifyChangedListener);
	}

	/**
	 * This removes a listener.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void removeListener(INotifyChangedListener notifyChangedListener) {
		changeNotifier.removeListener(notifyChangedListener);
	}

	/**
	 * This delegates to {@link #changeNotifier} and to {@link #parentAdapterFactory}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void fireNotifyChanged(Notification notification) {
		changeNotifier.fireNotifyChanged(notification);

		if (parentAdapterFactory != null) {
			parentAdapterFactory.fireNotifyChanged(notification);
		}
	}

	/**
	 * This disposes all of the item providers created by this factory. 
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void dispose() {
		if (networkInfrastructureItemProvider != null) networkInfrastructureItemProvider.dispose();
		if (networkStructureItemProvider != null) networkStructureItemProvider.dispose();
		if (nodeItemProvider != null) nodeItemProvider.dispose();
		if (endItemProvider != null) endItemProvider.dispose();
		if (intermediateItemProvider != null) intermediateItemProvider.dispose();
		if (linkItemProvider != null) linkItemProvider.dispose();
		if (networkInterfaceItemProvider != null) networkInterfaceItemProvider.dispose();
		if (networkTrafficItemProvider != null) networkTrafficItemProvider.dispose();
		if (flowItemProvider != null) flowItemProvider.dispose();
		if (sdnControlFlowItemProvider != null) sdnControlFlowItemProvider.dispose();
		if (genericFlowTrafficItemProvider != null) genericFlowTrafficItemProvider.dispose();
		if (communicatingApplicationItemProvider != null) communicatingApplicationItemProvider.dispose();
		if (trafficSourceItemProvider != null) trafficSourceItemProvider.dispose();
		if (networkConfigurationItemProvider != null) networkConfigurationItemProvider.dispose();
		if (protocolsRepositoryItemProvider != null) protocolsRepositoryItemProvider.dispose();
		if (protocolStackItemProvider != null) protocolStackItemProvider.dispose();
		if (protocolLayerItemProvider != null) protocolLayerItemProvider.dispose();
		if (networkProtocolItemProvider != null) networkProtocolItemProvider.dispose();
		if (routesRepositoryItemProvider != null) routesRepositoryItemProvider.dispose();
		if (directionItemProvider != null) directionItemProvider.dispose();
		if (flowRouteItemProvider != null) flowRouteItemProvider.dispose();
		if (routeItemProvider != null) routeItemProvider.dispose();
		if (hopItemProvider != null) hopItemProvider.dispose();
		if (entityAddressItemProvider != null) entityAddressItemProvider.dispose();
		if (genericWorkloadItemProvider != null) genericWorkloadItemProvider.dispose();
		if (branchActionItemProvider != null) branchActionItemProvider.dispose();
		if (loopActionItemProvider != null) loopActionItemProvider.dispose();
		if (sequenceActionItemProvider != null) sequenceActionItemProvider.dispose();
		if (startActionItemProvider != null) startActionItemProvider.dispose();
		if (stopActionItemProvider != null) stopActionItemProvider.dispose();
		if (transmitActionItemProvider != null) transmitActionItemProvider.dispose();
		if (waitActionItemProvider != null) waitActionItemProvider.dispose();
		if (performanceLinkItemProvider != null) performanceLinkItemProvider.dispose();
		if (performanceNetworkInterfaceItemProvider != null) performanceNetworkInterfaceItemProvider.dispose();
		if (sdnFlowRuleItemProvider != null) sdnFlowRuleItemProvider.dispose();
		if (sdnControllerItemProvider != null) sdnControllerItemProvider.dispose();
		if (sdnControllerApplicationItemProvider != null) sdnControllerApplicationItemProvider.dispose();
		if (commonItemProvider != null) commonItemProvider.dispose();
		if (sdnItemProvider != null) sdnItemProvider.dispose();
		if (intermediatePerformanceItemProvider != null) intermediatePerformanceItemProvider.dispose();
		if (endPerformanceItemProvider != null) endPerformanceItemProvider.dispose();
		if (performanceSdnNodeItemProvider != null) performanceSdnNodeItemProvider.dispose();
		if (speedUnitItemProvider != null) speedUnitItemProvider.dispose();
		if (dataUnitItemProvider != null) dataUnitItemProvider.dispose();
		if (timeUnitItemProvider != null) timeUnitItemProvider.dispose();
		if (constantDoubleVariableItemProvider != null) constantDoubleVariableItemProvider.dispose();
		if (constantLongVariableItemProvider != null) constantLongVariableItemProvider.dispose();
		if (randomVariableItemProvider != null) randomVariableItemProvider.dispose();
		if (floatCoordinateItemProvider != null) floatCoordinateItemProvider.dispose();
		if (discreteFunctionItemProvider != null) discreteFunctionItemProvider.dispose();
		if (exponentialFunctionItemProvider != null) exponentialFunctionItemProvider.dispose();
		if (entityTypesItemProvider != null) entityTypesItemProvider.dispose();
		if (flowTypeItemProvider != null) flowTypeItemProvider.dispose();
		if (nodeTypeItemProvider != null) nodeTypeItemProvider.dispose();
		if (endPerformanceTypeItemProvider != null) endPerformanceTypeItemProvider.dispose();
		if (intermediatePerformanceTypeItemProvider != null) intermediatePerformanceTypeItemProvider.dispose();
		if (sdnNodePerformanceTypeItemProvider != null) sdnNodePerformanceTypeItemProvider.dispose();
		if (networkInterfaceTypeItemProvider != null) networkInterfaceTypeItemProvider.dispose();
		if (networkInterfacePerformanceTypeItemProvider != null) networkInterfacePerformanceTypeItemProvider.dispose();
		if (linkTypeItemProvider != null) linkTypeItemProvider.dispose();
		if (linkPerformanceTypeItemProvider != null) linkPerformanceTypeItemProvider.dispose();
	}

}
