/**
 */
package tools.descartes.dni.dnimm3.provider;


import java.util.Collection;
import java.util.List;

import org.eclipse.emf.common.notify.AdapterFactory;
import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.ResourceLocator;

import org.eclipse.emf.ecore.EStructuralFeature;

import org.eclipse.emf.edit.provider.ComposeableAdapterFactory;
import org.eclipse.emf.edit.provider.IEditingDomainItemProvider;
import org.eclipse.emf.edit.provider.IItemLabelProvider;
import org.eclipse.emf.edit.provider.IItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.IItemPropertySource;
import org.eclipse.emf.edit.provider.IStructuredItemContentProvider;
import org.eclipse.emf.edit.provider.ITreeItemContentProvider;
import org.eclipse.emf.edit.provider.ItemPropertyDescriptor;
import org.eclipse.emf.edit.provider.ItemProviderAdapter;
import org.eclipse.emf.edit.provider.ViewerNotification;

import tools.descartes.dni.dnimm3.DNIFactory;
import tools.descartes.dni.dnimm3.DNIPackage;
import tools.descartes.dni.dnimm3.NetworkInfrastructure;

/**
 * This is the item provider adapter for a {@link tools.descartes.dni.dnimm3.NetworkInfrastructure} object.
 * <!-- begin-user-doc -->
 * <!-- end-user-doc -->
 * @generated
 */
public class NetworkInfrastructureItemProvider 
	extends ItemProviderAdapter
	implements
		IEditingDomainItemProvider,
		IStructuredItemContentProvider,
		ITreeItemContentProvider,
		IItemLabelProvider,
		IItemPropertySource {
	/**
	 * This constructs an instance from a factory and a notifier.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NetworkInfrastructureItemProvider(AdapterFactory adapterFactory) {
		super(adapterFactory);
	}

	/**
	 * This returns the property descriptors for the adapted class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object) {
		if (itemPropertyDescriptors == null) {
			super.getPropertyDescriptors(object);

			addDataCenterNamePropertyDescriptor(object);
			addMetaModelVersionPropertyDescriptor(object);
		}
		return itemPropertyDescriptors;
	}

	/**
	 * This adds a property descriptor for the Data Center Name feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addDataCenterNamePropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_NetworkInfrastructure_dataCenterName_feature"),
				 getString("_UI_PropertyDescriptor_description", "_UI_NetworkInfrastructure_dataCenterName_feature", "_UI_NetworkInfrastructure_type"),
				 DNIPackage.Literals.NETWORK_INFRASTRUCTURE__DATA_CENTER_NAME,
				 true,
				 false,
				 false,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This adds a property descriptor for the Meta Model Version feature.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void addMetaModelVersionPropertyDescriptor(Object object) {
		itemPropertyDescriptors.add
			(createItemPropertyDescriptor
				(((ComposeableAdapterFactory)adapterFactory).getRootAdapterFactory(),
				 getResourceLocator(),
				 getString("_UI_NetworkInfrastructure_metaModelVersion_feature"),
				 getString("_UI_PropertyDescriptor_description", "_UI_NetworkInfrastructure_metaModelVersion_feature", "_UI_NetworkInfrastructure_type"),
				 DNIPackage.Literals.NETWORK_INFRASTRUCTURE__META_MODEL_VERSION,
				 true,
				 false,
				 false,
				 ItemPropertyDescriptor.GENERIC_VALUE_IMAGE,
				 null,
				 null));
	}

	/**
	 * This specifies how to implement {@link #getChildren} and is used to deduce an appropriate feature for an
	 * {@link org.eclipse.emf.edit.command.AddCommand}, {@link org.eclipse.emf.edit.command.RemoveCommand} or
	 * {@link org.eclipse.emf.edit.command.MoveCommand} in {@link #createCommand}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Collection<? extends EStructuralFeature> getChildrenFeatures(Object object) {
		if (childrenFeatures == null) {
			super.getChildrenFeatures(object);
			childrenFeatures.add(DNIPackage.Literals.NETWORK_INFRASTRUCTURE__TRAFFIC);
			childrenFeatures.add(DNIPackage.Literals.NETWORK_INFRASTRUCTURE__STRUCTURE);
			childrenFeatures.add(DNIPackage.Literals.NETWORK_INFRASTRUCTURE__CONFIGURATION);
			childrenFeatures.add(DNIPackage.Literals.NETWORK_INFRASTRUCTURE__ENTITY_TYPES);
		}
		return childrenFeatures;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EStructuralFeature getChildFeature(Object object, Object child) {
		// Check the type of the specified child object and return the proper feature to use for
		// adding (see {@link AddCommand}) it as a child.

		return super.getChildFeature(object, child);
	}

	/**
	 * This returns NetworkInfrastructure.gif.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object getImage(Object object) {
		return overlayImage(object, getResourceLocator().getImage("full/obj16/NetworkInfrastructure"));
	}

	/**
	 * This returns the label text for the adapted class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String getText(Object object) {
		String label = ((NetworkInfrastructure)object).getDataCenterName();
		return label == null || label.length() == 0 ?
			getString("_UI_NetworkInfrastructure_type") :
			getString("_UI_NetworkInfrastructure_type") + " " + label;
	}
	

	/**
	 * This handles model notifications by calling {@link #updateChildren} to update any cached
	 * children and by creating a viewer notification, which it passes to {@link #fireNotifyChanged}.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void notifyChanged(Notification notification) {
		updateChildren(notification);

		switch (notification.getFeatureID(NetworkInfrastructure.class)) {
			case DNIPackage.NETWORK_INFRASTRUCTURE__DATA_CENTER_NAME:
			case DNIPackage.NETWORK_INFRASTRUCTURE__META_MODEL_VERSION:
				fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), false, true));
				return;
			case DNIPackage.NETWORK_INFRASTRUCTURE__TRAFFIC:
			case DNIPackage.NETWORK_INFRASTRUCTURE__STRUCTURE:
			case DNIPackage.NETWORK_INFRASTRUCTURE__CONFIGURATION:
			case DNIPackage.NETWORK_INFRASTRUCTURE__ENTITY_TYPES:
				fireNotifyChanged(new ViewerNotification(notification, notification.getNotifier(), true, false));
				return;
		}
		super.notifyChanged(notification);
	}

	/**
	 * This adds {@link org.eclipse.emf.edit.command.CommandParameter}s describing the children
	 * that can be created under this object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object) {
		super.collectNewChildDescriptors(newChildDescriptors, object);

		newChildDescriptors.add
			(createChildParameter
				(DNIPackage.Literals.NETWORK_INFRASTRUCTURE__TRAFFIC,
				 DNIFactory.eINSTANCE.createNetworkTraffic()));

		newChildDescriptors.add
			(createChildParameter
				(DNIPackage.Literals.NETWORK_INFRASTRUCTURE__STRUCTURE,
				 DNIFactory.eINSTANCE.createNetworkStructure()));

		newChildDescriptors.add
			(createChildParameter
				(DNIPackage.Literals.NETWORK_INFRASTRUCTURE__CONFIGURATION,
				 DNIFactory.eINSTANCE.createNetworkConfiguration()));

		newChildDescriptors.add
			(createChildParameter
				(DNIPackage.Literals.NETWORK_INFRASTRUCTURE__ENTITY_TYPES,
				 DNIFactory.eINSTANCE.createEntityTypes()));
	}

	/**
	 * Return the resource locator for this item provider's resources.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public ResourceLocator getResourceLocator() {
		return Dnimm3EditPlugin.INSTANCE;
	}

}
